
!*********************************************************************************
! Part of the MEDINA: MECCA - KPP Fortran to CUDA source-to-source pre-processor
!*********************************************************************************
!
!  This module is automatically generated by create_mz_kpp. Used as input for 
!  transformation. Chemistry is very simplified eg. "toy".
!
!  Author: Michail Alvanos
!

Module messy_mecca_kpp
 
! -*- f90 -*-

!  FORTRAN Code generated by kpp was modified to be used 
!
  ! NOTE: those are required for (some) reaction rates
  USE messy_main_constants_mem,ONLY: N_A,R_gas,atm2Pa
  USE messy_cmn_photol_mem     ! IP_MAX,ip_*,jname ! mz_rs_20081125


  IMPLICIT        NONE
  PRIVATE
  !SAVE  ! NOTE: OCCURS AGAIN IN AUTOMATICALLY GENERATED CODE ...

  PUBLIC :: IERR_NAMES
 
  PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
          ,REQ_MCFCT,IP_MAX

  PUBLIC :: dp
  PUBLIC :: atol,rtol
  PUBLIC :: NSPEC,nreact
  PUBLIC :: A
  ! mz_rs_20101111+
  PUBLIC :: rconst
  ! mz_rs_20101111-
  ! mz_rs_20130208+
  PUBLIC :: NVAR
  ! mz_rs_20130208-
 
  PUBLIC :: Initialize,Integrate,Update_RCONST,initialize_indexarrays
  PUBLIC :: kpp_integrate
  PUBLIC :: kpp_integrate_init

! END OF MODULE HEADER TEMPLATE
                                                                 
! Variables used for vector mode                                 
                                                                 
  logical,parameter           :: L_VECTOR=.FALSE.            
  integer,parameter           :: I_LU_DI = 1
  integer,parameter           :: VL_DIM=1
  integer,parameter           :: VL_GLOBAL=5760
  integer                     :: vl                              
                                                                 
  integer                     :: VL_glo                          
  integer                     :: is,ie                           
                                                                 
  integer,dimension(VL_dim)   :: Kacc,Krej                       
  integer,dimension(VL_dim)   :: IERRV                           
  logical                     :: data_loaded=.false.             


  !  
  !   Definition of different levels of accuracy
  !   for REAL variables using KIND parameterization
  !  
  !   KPP SP -  Single precision kind
  INTEGER, PARAMETER :: sp = SELECTED_REAL_KIND(6,30)
  !   KPP DP -  Double precision kind
  INTEGER, PARAMETER :: dp = SELECTED_REAL_KIND(12,307)
  !   KPP QP -  Quadruple precision kind
  INTEGER, PARAMETER :: qp = SELECTED_REAL_KIND(18,400)



  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Parameter Module File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Parameters.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~






  !   NSPEC -  Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 74 
  !   NVAR -  Number of Variable species
  INTEGER, PARAMETER :: NVAR = 73 
  !   NVARACT -  Number of Active species
  INTEGER, PARAMETER :: NVARACT = 46 
  !   NFIX -  Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 1 
  !   NREACT -  Number of reactions
  INTEGER, PARAMETER :: NREACT = 77 
  !   NVARST -  Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
  !   NFIXST -  Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 74 
  !   NONZERO -  Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 399 
  !   LU_NONZERO -  Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 454 
  !   CNVAR -  (NVAR+ 1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 74 
  !   NLOOKAT -  Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
  !   NMONITOR -  Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
  !   NMASS -  Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

  !   Index declaration for variable species in C and VAR
  !     VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER,PUBLIC :: ind_N2O5 = 1 
  INTEGER, PARAMETER,PUBLIC :: ind_HNO3 = 2 
  INTEGER, PARAMETER,PUBLIC :: ind_CO = 3 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CO3 = 4 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCl = 5 
  INTEGER, PARAMETER,PUBLIC :: ind_OClO = 6 
  INTEGER, PARAMETER,PUBLIC :: ind_HOBr = 7 
  INTEGER, PARAMETER,PUBLIC :: ind_H2SO4 = 8 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3SO3H = 9 
  INTEGER, PARAMETER,PUBLIC :: ind_NO3m_cs = 10 
  INTEGER, PARAMETER,PUBLIC :: ind_Hp_cs = 11 
  INTEGER, PARAMETER,PUBLIC :: ind_LHOC3H6O2 = 12 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG2104 = 13 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG2107 = 14 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG2110 = 15 
  INTEGER, PARAMETER,PUBLIC :: ind_LossHO2 = 16 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO1D = 17 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3 = 18 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3Br = 19 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3Cl = 20 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3H = 21 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3Nn = 22 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3O = 23 
  INTEGER, PARAMETER,PUBLIC :: ind_LossOH = 24 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdLBr = 25 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdLCl = 26 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdO3 = 27 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdSBr = 28 
  INTEGER, PARAMETER,PUBLIC :: ind_O3P = 29 
  INTEGER, PARAMETER,PUBLIC :: ind_H2OH2O = 30 
  INTEGER, PARAMETER,PUBLIC :: ind_Cl2O2 = 31 
  INTEGER, PARAMETER,PUBLIC :: ind_H = 32 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3Br = 33 
  INTEGER, PARAMETER,PUBLIC :: ind_CHCl2Br = 34 
  INTEGER, PARAMETER,PUBLIC :: ind_CHClBr2 = 35 
  INTEGER, PARAMETER,PUBLIC :: ind_CH2ClBr = 36 
  INTEGER, PARAMETER,PUBLIC :: ind_CH2Br2 = 37 
  INTEGER, PARAMETER,PUBLIC :: ind_CHBr3 = 38 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3SO3 = 39 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CCl3 = 40 
  INTEGER, PARAMETER,PUBLIC :: ind_H2 = 41 
  INTEGER, PARAMETER,PUBLIC :: ind_O1D = 42 
  INTEGER, PARAMETER,PUBLIC :: ind_CH4 = 43 
  INTEGER, PARAMETER,PUBLIC :: ind_C2H6 = 44 
  INTEGER, PARAMETER,PUBLIC :: ind_SO2 = 45 
  INTEGER, PARAMETER,PUBLIC :: ind_C2H4 = 46 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CHO = 47 
  INTEGER, PARAMETER,PUBLIC :: ind_H2O = 48 
  INTEGER, PARAMETER,PUBLIC :: ind_NO = 49 
  INTEGER, PARAMETER,PUBLIC :: ind_C2H2 = 50 
  INTEGER, PARAMETER,PUBLIC :: ind_DMSO = 51 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3OOH = 52 
  INTEGER, PARAMETER,PUBLIC :: ind_H2O2 = 53 
  INTEGER, PARAMETER,PUBLIC :: ind_NO3 = 54 
  INTEGER, PARAMETER,PUBLIC :: ind_Cl2 = 55 
  INTEGER, PARAMETER,PUBLIC :: ind_NO2 = 56 
  INTEGER, PARAMETER,PUBLIC :: ind_BrCl = 57 
  INTEGER, PARAMETER,PUBLIC :: ind_HBr = 58 
  INTEGER, PARAMETER,PUBLIC :: ind_HCl = 59 
  INTEGER, PARAMETER,PUBLIC :: ind_Br2 = 60 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3SO2 = 61 
  INTEGER, PARAMETER,PUBLIC :: ind_BrNO3 = 62 
  INTEGER, PARAMETER,PUBLIC :: ind_HCHO = 63 
  INTEGER, PARAMETER,PUBLIC :: ind_ClNO3 = 64 
  INTEGER, PARAMETER,PUBLIC :: ind_DMS = 65 
  INTEGER, PARAMETER,PUBLIC :: ind_OH = 66 
  INTEGER, PARAMETER,PUBLIC :: ind_O3 = 67 
  INTEGER, PARAMETER,PUBLIC :: ind_Cl = 68 
  INTEGER, PARAMETER,PUBLIC :: ind_Br = 69 
  INTEGER, PARAMETER,PUBLIC :: ind_ClO = 70 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3O2 = 71 
  INTEGER, PARAMETER,PUBLIC :: ind_HO2 = 72 
  INTEGER, PARAMETER,PUBLIC :: ind_BrO = 73 

  !   Index declaration for fixed species in C
  !     C(ind_spc)

  INTEGER, PARAMETER,PUBLIC :: ind_O2 = 74 

  !   Index declaration for dummy species

  INTEGER, PARAMETER,PUBLIC :: ind_N = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_N2D = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_N2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NH3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_N2O = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HONO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOONO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HNO4 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NH2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HNO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NHOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NH2O = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NH2OH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH2OO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3O = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3OH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2OH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3ONO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3O2NO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2O2NO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LCARBON = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCO3A = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_GLYOX = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CHOOCHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCH2O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOOCH2CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2CO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C2H5O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2CH2O = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2CH2O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C2H5OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ETHGLY = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HYETHO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PHAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ETHOHNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C33CO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CHOCOCH2O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCH2CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ALCOCH2OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MGLYOX = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2COCHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCH2CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCH2COCO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCH2CO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOCH2CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3COCH2O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOC2H4CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C3H6 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3COCH3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ACETOL = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HYPERACET = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOC2H4CO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOC2H4CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IC3H7O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HYPROPO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C3H8 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IC3H7OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HYPROPO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C3PAN2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOA = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C3PAN1 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PRONO3BO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IC3H7NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PR2O2HNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C312COCO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C4CODIAL = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO23C3CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C312COCO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO2H3CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BIACETO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CHOC3COO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C44O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO2H3CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACR = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MVK = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BIACET = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MVKOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BIACETOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C413COOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BIACETOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C44OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO2H3CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACRO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MEK = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HO12CO3C4 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACROH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MACROOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NC4H10 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C312COPAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MPAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LMEKO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHMVKABO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LMVKOHABO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LMEKOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHMVKABOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LMVKOHABOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LC4H9O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LC4H9OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LC4H9NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CHOC3COCO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO23C4CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO13C4CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO23C4CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C513CO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CHOC3COOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO23C4CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C511O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C512O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C513O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C5H8 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOC5 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C511OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C512OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C513OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPBO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPDO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C59O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPAOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPBOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPDOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPBOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPDOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C59OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C514OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C514O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CHOC3COPAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C5PAN9 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NC4CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NISOPO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPBNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOPDNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NISOPOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C514NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHC4ACCO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHC4ACCHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHC4ACCO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHC4ACCO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LISOPACO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LC578O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LISOPACOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LC578OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LC5PAN1719 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LISOPACNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LNISO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LNISOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO235C5CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO235C6O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C614CO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO235C6OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C614O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C614OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C614NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO235C6CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO235C6CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C235C6CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C716O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C716OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R4P = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R5P = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R3O = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C721O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C722O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R3O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R5O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C721OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C722OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R3OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C7PAN3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R3NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C8BCO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C721CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C8BCCO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C8BCOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C721CHO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NORPINIC = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C721CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C85O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C811O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C86O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C812O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C813O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C8BC = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C85OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C811OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C86OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C812OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C813OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C810OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C810O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C8BCNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C721PAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C810NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C85CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOPINDCO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C85CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOPINDO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C811CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOPINONE = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOPINOO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NORPINAL = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89CO2H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOPINDOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R3P = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PINIC = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C811CO3H = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C96O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C97O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C98O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C96OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C97OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C98OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C89PAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C9PAN2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C811PAN = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C96NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C98NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C109CO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PINALO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PINALOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C109O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C96CO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C106O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_APINENE = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BPINENE = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PINAL = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_APINAOO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_APINBOO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MENTHEN6ONE = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PINONIC = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C109OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PERPINONIC = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C106OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BPINAO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_OH2MENTHEN6ONE = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R1O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R1O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R3O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_OHMENTHEN6ONEO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BPINAOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R1OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R3OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R1OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PINALNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C10PAN2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C106NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BPINANO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R1NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RO6R3NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ROO6R1NO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LAPINABO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LAPINABOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LNAPINABO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LNBPINABO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LAPINABNO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LNAPINABOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LNBPINABOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClNO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CCl4 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3Cl = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CF2Cl2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CFCl3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrNO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CF3Br = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CF2ClBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_I = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_I2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_OIO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_I2O2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HI = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOI = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HIO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_INO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_INO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3I = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH2I2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C3H7I = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ICl = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH2ClI = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_S = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO3 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_OCS = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SF6 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Hg = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgO = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgCl = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgCl2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgBr2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClHgBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrHgOBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClHgOBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RGM_cs = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IPART = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Dummy = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_O3s = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LO3s = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LHOC3H6OOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISON = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ISOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MVKO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_MVKOOH = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NACA = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Op = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_O2p = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Np = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_N2p = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NOp = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Hp = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_em = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_kJmol = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RH2O = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RNOy = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RCly = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_RBr = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CFCl3_c = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CF2Cl2_c = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_N2O_c = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CCl3_c = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CF2ClBr_c = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CF3Br_c = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LTERP = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LALK4 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LALK5 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LARO1 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LARO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LOLE1 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LOLE2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfPOG01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfPOG02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfPOG03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfPOG04 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbPOG01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbPOG02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbPOG03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbPOG04 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfSOGsv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbSOGsv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfSOGiv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfSOGiv02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LfSOGiv03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbSOGiv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbSOGiv02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbbSOGiv03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbSOGv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbSOGv02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbSOGv03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbSOGv04 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbOSOGv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbOSOGv02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LbOSOGv03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaSOGv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaSOGv02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaSOGv03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaSOGv04 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaOSOGv01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaOSOGv02 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LaOSOGv03 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_O2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_O3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_OH_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HO2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_H2O_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_H2O2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NH3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NO2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NO3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HONO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HNO3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HNO4_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_N2O5_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3OH_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOOH_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCHO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3O2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3OOH_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CO2H_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PAN_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_C2H5O2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3CHO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3COCH3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Cl_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Cl2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCl_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOCl_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Br_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Br2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HBr_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOBr_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrCl_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_I2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HI_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HOI_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ICl_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IBr_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HIO3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_H2SO4_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DMS_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DMSO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Hg_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgO_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgOH_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgOHOH_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgOHCl_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgCl2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgBr2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgSO3_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClHgBr_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrHgOBr_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClHgOBr_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_O2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_OHm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Hp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NH4p_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NO2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_NO4m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCOOm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HCO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3COOm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Clm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Cl2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClOm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ClOHm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Brm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Br2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrOm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrOHm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_BrCl2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Br2Clm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Im_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IO2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ICl2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IClBrm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_IBr2m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO3mm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO4m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO4mm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_SO5m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HSO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HSO4m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HSO5m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH3SO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_CH2OHSO3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Hgp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Hgpp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgOHp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgClp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgCl3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgCl4mm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgBrp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgBr3m_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgBr4mm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_HgSO32mm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_D1O_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_D2O_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DAHp_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DA_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DAm_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DGtAi_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_DGtAs_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PROD1_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_PROD2_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_Nap_a01 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG2106 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3103 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3105 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3106 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3201 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3201a = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3201aKG = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3201b = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3201bKG = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG3202 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossG4110 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossJ3101 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossJ3103a = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3Cln = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3Hn = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3N = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3N2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_LossO3R = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdHO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdMeO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdRO2 = 0 
  INTEGER, PARAMETER,PUBLIC :: ind_ProdSCl = 0 

  !   Index declaration for fixed species in FIX
  !      FIX(indf_spc) = C(ind_spc) = C(NVAR+ indf_spc)

  INTEGER, PARAMETER :: indf_O2 = 1 


  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Global Data Module File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Global.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~






  !   Declaration of global variables

  !   C -  Concentration of all species
  REAL(kind=dp) :: C(NSPEC)
  !   VAR -  Concentrations of variable species (global)
  REAL(kind=dp) :: VAR(NVAR)
  !   FIX -  Concentrations of fixed species (global)
  REAL(kind=dp) :: FIX(NFIX)
  !   VAR, FIX are chunks of array C
      EQUIVALENCE( C(1),VAR(1))
      EQUIVALENCE( C(74),FIX(1))
  !   RCONST -  Rate constants (global)
  REAL(kind=dp) :: RCONST(NREACT)
  !   TIME -  Current integration time
  REAL(kind=dp) :: TIME
  !   SUN -  Sunlight intensity between [0,1]
  REAL(kind=dp) :: SUN
  !   TEMP -  Temperature
  REAL(dp)  :: TEMP(5760)
  !   TSTART -  Integration start time
  REAL(kind=dp) :: TSTART
  !   TEND -  Integration end time
  REAL(kind=dp) :: TEND
  !   DT -  Integration step
  REAL(kind=dp) :: DT
  !   ATOL -  Absolute tolerance
  REAL(kind=dp) :: ATOL(NVAR)
  !   RTOL -  Relative tolerance
  REAL(kind=dp) :: RTOL(NVAR)
  !   STEPMIN -  Lower bound for integration step
  REAL(kind=dp) :: STEPMIN
  !   STEPMAX -  Upper bound for integration step
  REAL(kind=dp) :: STEPMAX
  !   CFACTOR -  Conversion factor for concentration units
  REAL(kind=dp) :: CFACTOR

  !   INLINED global variable declarations

   !  MECCA info from xmecca:
  CHARACTER(LEN=*), PUBLIC, PARAMETER :: &
    timestamp            = 'xmecca was run on 2017-03-16 at 10:17:41 by malvanos on machine xyz',&
    batchfile            = 'MY_CCMI-sens-01.bat',&
    gas_spc_file         = '-rw------- 1 malvanos eewrc 38113 Mar 12  2015 gas.spc',&
    aqueous_spc_file     = '-rw------- 1 malvanos eewrc 8444 Apr 19  2010 aqueous.spc',&
    gas_eqn_file         = '-rw-r--r-- 1 malvanos eewrc 150997 May  6  2015 gas.eqn',&
    aqueous_eqn_file     = '-rw------- 1 malvanos eewrc 58815 Jun 30  2014 aqueous.eqn',&
    gas_spc_file_sum     = '10126    38',&
    aqueous_spc_file_sum = '54945     9',&
    gas_eqn_file_sum     = '53081   148',&
    aqueous_eqn_file_sum = '26881    58',&
    rplfile              = 'mim1-simple_MADE',&
    wanted               = '(((Tr && !I)) && !Hg)',&
    diagtracfile         = 'CCMI',&
    rxnrates             = 'n',&
    tagdbl               = 'n'
  LOGICAL, PARAMETER :: REQ_MCFCT = .FALSE.

   !  from xmecca for aerosol:
  INTEGER, PARAMETER, PUBLIC :: APN = 1
   !  from aerosol.awk:
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_O2_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_O3_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_OH_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HO2_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_H2O_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_H2O2_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NH3_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NO_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NO2_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NO3_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HONO_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HNO3_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HNO4_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_N2O5_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3OH_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HCOOH_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HCHO_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3O2_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3OOH_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CO2_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3CO2H_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_PAN_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_C2H5O2_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3CHO_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3COCH3_a  = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Cl_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Cl2_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HCl_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HOCl_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Br_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Br2_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HBr_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HOBr_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_BrCl_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_I2_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_IO_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HI_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HOI_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_ICl_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_IBr_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HIO3_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_SO2_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_H2SO4_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DMS_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DMSO_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Hg_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgO_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgOH_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgOHOH_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgOHCl_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgCl2_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgBr2_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgSO3_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_ClHgBr_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_BrHgOBr_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_ClHgOBr_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_O2m_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_OHm_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Hp_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NH4p_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NO2m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NO3m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_NO4m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CO3m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HCOOm_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HCO3m_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3COOm_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Clm_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Cl2m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_ClOm_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_ClOHm_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Brm_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Br2m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_BrOm_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_BrOHm_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_BrCl2m_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Br2Clm_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Im_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_IO2m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_IO3m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_ICl2m_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_IClBrm_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_IBr2m_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_SO3m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_SO3mm_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_SO4m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_SO4mm_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_SO5m_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HSO3m_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HSO4m_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HSO5m_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH3SO3m_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_CH2OHSO3m_a = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Hgp_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Hgpp_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgOHp_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgClp_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgCl3m_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgCl4mm_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgBrp_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgBr3m_a    = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgBr4mm_a   = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_HgSO32mm_a  = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_D1O_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_D2O_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DAHp_a      = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DA_a        = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DAm_a       = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DGtAi_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_DGtAs_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_PROD1_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_PROD2_a     = 0
  INTEGER, PUBLIC, DIMENSION(APN) :: ind_Nap_a       = 0

   !  from gas.eqn:
  REAL :: k_HO2_HO2, k_NO3_NO2, k_NO2_HO2, k_HNO3_OH, k_CH3O2, k_CH3OOH_OH, &
          k_CH3CO3_NO2, k_PAN_M, k_ClO_ClO, k_BrO_NO2, k_I_NO2, k_DMS_OH, &
          G7402a_yield
   !  mz_dt_20140617+  new methane chemistry
  REAL :: beta_null_CH3NO3, beta_inf_CH3NO3, beta_CH3NO3, &
          k_NO2_CH3O2, k_G4138, k_G9408
   !  mz_dt_20140617- 
  REAL :: KRO2NO, KRO2HO2, KAPHO2, KAPNO, KRO2NO3, KNO3AL
  REAL :: J_IC3H7NO3, J_ACETOL
  REAL(dp) :: RO2       !  sum of peroxy radicals
  REAL :: k_O3s  !  mz_pj_20080812
   !  mz_rs_20140904+  only for mim1
  REAL :: k_PrO2_HO2, k_PrO2_NO, k_PrO2_CH3O2
  REAL :: k0_NO_HO2, k1d_NO_HO2, k1w_NO_HO2, k2d_NO_HO2, k2w_NO_HO2, &
          alpha_NO_HO2, beta_NO_HO2
   !  mz_rs_20140904-  only for mim1
   !  mz_dt_20140604+ 
   !  SAR for OH reactions (reference 3030)
   !  parameters for the SAR on H- abstraction OH
  REAL(kind=dp), PARAMETER :: &
                     k_s = 8.42E-13 , k_t = 1.75E-12, k_p = 1.24E-13 &
                   , k_rohro = 1.6E-13 &  !  value for CH3CH2OH +  OH
                   , f_soh = 3.44   , f_toh = 2.68 &
                   , f_sooh = 7. , f_tooh = 7. &  ! from Wang and Chen, AE 2008
                   , f_ono2 = 0.04  , f_ch2ono2 = 0.2 &
                   , f_cpan= .25 , f_allyl = 3.6 , f_alk= 1.23 &
                   , f_cho = 0.55 , f_co2h = 1.67 , f_co = 0.73 &
                   , f_o = 8.15 , f_pch2oh = 1.29, f_tch2oh = 0.53
  !  parameters for the SAR on OH- addtion to alkenes
  !  Note for ach2ooh calculated
  !  assuming RO2 distribution in Paulot et al(2009)
  !  B,E,D,F,AC are .41, .02, .22, .05, .30 respectively
  REAL(kind=dp), PARAMETER :: &
                     k_adp = 0.45E-11 , k_ads = 3.0E-11, k_adt = 5.5E-11 &
                   , k_adsecprim = 3.0E-11 , k_adtertprim = 5.7E-11 &
                   , a_pan = 0.56       , a_cho = 0.31    , a_coch3 = 0.76 &
                   , a_ch2ono2 = 0.47   , a_ch2oh = 1.7   , a_ch2ooh = 0.21 &
                   , a_coh = 2.2        , a_cooh = 2.2    , a_co2h = 0.25
   !  mz_dt_201405604- 
   !  mz_dt_20140121+ 
   !  Branching ratios for RCO3 +  HO2 reactions:
  REAL(dp), PARAMETER :: RCO3_OH = 0.69, RCO3_O3 = 0.10, RCO3_OOH = 0.21
   !  mz_dt_20140121- 
   !  ALL PHASES:
!KPPPP_DIRECTIVE vector variable definition start
   !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
   !  IMPORTANT NOTES ABOUT TEMP, PRESS, AND CAIR:
   !  -  The KPP variable "temp" is already defined automatically by KPP in
   !    messy_mecca_kpp_global.f90. The KPP variables "press" and "cair" are
   !    defined here.
   !  -  The 3 variables temp, press, and cair are only used inside KPP.
   !    They are different from the variables with the same names in the base
   !    model (as used in the SMIL files *_si.f90 and *_box.f90)
   !  -  Data transfer between the SMIL and the KPP variables is done via the
   !    fill subroutines in messy_mecca_kpp.f90:
   !    -  fill_temp transfers temperature
   !    -  fill_press transfers pressure
   !    -  fill_cair transfers cair (this is redundant because cair could be
   !      calculated from temp and press; nevertheless, redundant transfer to
   !      KPP is preferred to avoid potential numerical differences when
   !      recalculating cair inside KPP)
   !  -  qqq describe potential KP4 incompatibility here...
   !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  REAL(dp)             :: cair(VL_GLOBAL)
  REAL(dp)             :: press(VL_GLOBAL)
   !  mz_ab_20101119+ 
  REAL(dp),dimension(:),allocatable             :: temp_ion
  REAL(dp),dimension(:),allocatable             :: temp_elec
   !  mz_ab_20101119- 
!KPPPP_DIRECTIVE vector variable definition end
   !  AEROSOL ONLY:
!KPPPP_DIRECTIVE vector variable definition start
  REAL(dp),dimension(:,:),allocatable           :: xaer
  REAL(dp),dimension(:,:),allocatable           :: cvfac
  REAL(dp),dimension(:,:),allocatable           :: lwc
  REAL(dp),dimension(:,:,:),allocatable         :: k_exf
  REAL(dp),dimension(:,:,:),allocatable         :: k_exb
  REAL(dp),dimension(:,:),allocatable           :: k_exf_N2O5
  REAL(dp),dimension(:,:),allocatable           :: k_exf_ClNO3
  REAL(dp),dimension(:,:),allocatable           :: k_exf_BrNO3
!KPPPP_DIRECTIVE vector variable definition end
  INTEGER, PUBLIC  :: xnom7sulf = 1  !  = 1- xm7sulf
!KPPPP_DIRECTIVE vector variable definition start

  REAL(dp),dimension(VL_GLOBAL,NSPEC) :: jx
!KPPPP_DIRECTIVE vector variable definition end
   !  iht_ = index of troposheric heterogeneous reactions
  INTEGER, PARAMETER, PUBLIC :: &
    iht_N2O5      =  1, iht_HNO3      =  2, iht_Hg      =  3, &
    iht_RGM       = 4
  INTEGER, PARAMETER, PUBLIC :: IHT_MAX = 4
!KPPPP_DIRECTIVE vector variable definition start
  REAL(dp)           :: khet_Tr(VL_GLOBAL,NSPEC)
!KPPPP_DIRECTIVE vector variable definition end
   !  ihs_ = index of stratospheric heterogeneous reactions
   !  (must be the same as in messy_msbm.f90 !)
  INTEGER, PARAMETER :: &
    ihs_N2O5_H2O  =  1, ihs_HOCl_HCl  =  2, ihs_ClNO3_HCl =  3, &
    ihs_ClNO3_H2O =  4, ihs_N2O5_HCl  =  5, ihs_ClNO3_HBr =  6, &
    ihs_BrNO3_HCl =  7, ihs_HOCl_HBr  =  8, ihs_HOBr_HCl  =  9, &
    ihs_HOBr_HBr  = 10, ihs_BrNO3_H2O = 11, ihs_Hg        = 12, &
    ihs_RGM       = 13
  INTEGER, PARAMETER, PUBLIC :: IHS_MAX = 13
!KPPPP_DIRECTIVE vector variable definition start
  REAL(dp),dimension(:,:),allocatable           :: khet_St
!KPPPP_DIRECTIVE vector variable definition end
   !  Parameters included for acid-base equilibria calculation
   !  used to enable the double use of the aqueous.eqn for liquid
   !  and aerosol phase.
  REAL(dp), PARAMETER :: &
    testfac_HO2   = 1.e5_dp, testfac_HONO   = 1.e5_dp, &
    testfac_HNO3  = 1.e7_dp, testfac_HNO4   = 1.e5_dp, &
    testfac_HCOOH = 1.e5_dp, testfac_SO2    = 1.e9_dp, &
    testfac_HSO3m = 1.e9_dp, testfac_HSO4m  = 1.e7_dp, &
    testfac_NH3   = 1.e7_dp, testfac_H2O    = 1.e9_dp, &
    testfac_CO2   = 1.e5_dp, testfac_HCl    = 1.e2_dp, &
    testfac_HBr   = 1.e6_dp,                           &
    testfac_HOCl  = 1.e2_dp, testfac_HOBr   = 1.e2_dp, &
    testfac_ICl   = 1.e2_dp, testfac_IBr    = 1.e2_dp, &
    testfac_IClBr = 1.e2_dp, testfac_H2SO4  = 1.e7_dp

   !  from xmecca:
  LOGICAL, PARAMETER :: REQ_HET     = .TRUE.
  LOGICAL, PARAMETER :: REQ_PHOTRAT = .FALSE.
  LOGICAL, PARAMETER :: REQ_AEROSOL = .FALSE.

   !  from xmecca:
  INTEGER, PARAMETER, PUBLIC :: MAX_MCEXP = 1
!KPPPP_DIRECTIVE vector variable definition start
  REAL(dp),dimension(:,:),allocatable           :: mcexp
!KPPPP_DIRECTIVE vector variable definition end

   !  KPP info from xmecca:
  CHARACTER(LEN=*), PUBLIC, PARAMETER :: &
    mecca_spc_file     = '-rw-r--r-- 1 malvanos eewrc 48273 Mar 16 10:17 mecca.spc',&
    mecca_eqn_file     = '-rw-r--r-- 1 malvanos eewrc 39612 Mar 16 10:17 mecca.eqn',&
    mecca_spc_file_sum = '60074    48',&
    mecca_eqn_file_sum = '32030    39',&
    kppoption          = '4',&
    KPP_HOME           = '/messy/tools/kpp',&
    KPP_version        = '2.2.1_rs5',&
    integr             = 'rosenbrock_mz'

  !   INLINED global variable declarations



  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Sparse Jacobian Data Structures File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_JacobianSP.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~






  !   Sparse Jacobian Data


  INTEGER, PARAMETER, DIMENSION(360) :: LU_IROW_0 =  (/ &
       1,  2,  2,  2,  3,  3,  3,  3,  4,  4,  4,  4, &
       5,  5,  5,  6,  6,  6,  7,  7,  7,  7,  7,  7, &
       8,  8,  8,  9,  9,  9,  9,  9, 10, 10, 11, 11, &
      12, 12, 12, 12, 13, 13, 13, 14, 14, 14, 15, 15, &
      16, 16, 16, 17, 17, 17, 18, 18, 18, 18, 18, 18, &
      18, 18, 18, 18, 18, 18, 18, 18, 19, 19, 19, 19, &
      19, 20, 20, 20, 20, 20, 21, 21, 21, 21, 22, 22, &
      22, 22, 23, 23, 23, 24, 24, 24, 25, 25, 25, 26, &
      26, 26, 27, 27, 27, 27, 27, 28, 28, 28, 28, 28, &
      28, 28, 29, 29, 30, 30, 31, 31, 32, 32, 32, 33, &
      33, 34, 34, 35, 35, 36, 36, 37, 37, 38, 38, 39, &
      39, 39, 39, 40, 40, 41, 41, 42, 42, 43, 43, 44, &
      44, 45, 45, 45, 45, 46, 46, 46, 47, 47, 47, 48, &
      48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, &
      48, 48, 48, 49, 49, 49, 50, 50, 50, 51, 51, 51, &
      51, 52, 52, 52, 53, 53, 53, 53, 54, 54, 54, 54, &
      54, 54, 55, 55, 55, 55, 55, 55, 56, 56, 56, 56, &
      56, 56, 57, 57, 57, 57, 57, 57, 57, 57, 58, 58, &
      58, 58, 58, 58, 58, 58, 58, 58, 58, 59, 59, 59, &
      59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 59, 60, &
      60, 60, 60, 60, 60, 60, 60, 60, 61, 61, 61, 61, &
      61, 61, 61, 61, 61, 62, 62, 62, 62, 62, 62, 63, &
      63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, 63, &
      64, 64, 64, 64, 64, 64, 64, 65, 65, 65, 65, 65, &
      65, 65, 65, 65, 66, 66, 66, 66, 66, 66, 66, 66, &
      66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 66, &
      66, 66, 66, 66, 66, 66, 66, 66, 66, 66, 67, 67, &
      67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, 67, &
      67, 67, 67, 67, 67, 68, 68, 68, 68, 68, 68, 68, &
      68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68 /) 
  INTEGER, PARAMETER, DIMENSION(94) :: LU_IROW_1 =  (/ &
      68, 68, 68, 68, 68, 68, 69, 69, 69, 69, 69, 69, &
      69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, 69, &
      69, 69, 69, 69, 69, 69, 69, 69, 69, 70, 70, 70, &
      70, 70, 70, 70, 70, 70, 70, 70, 70, 71, 71, 71, &
      71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, 71, &
      71, 71, 72, 72, 72, 72, 72, 72, 72, 72, 72, 72, &
      72, 72, 72, 72, 72, 72, 72, 72, 72, 73, 73, 73, &
      73, 73, 73, 73, 73, 73, 73, 73, 73, 73 /) 
  INTEGER, PARAMETER, DIMENSION(454) :: LU_IROW =  (/&
    LU_IROW_0, LU_IROW_1 /) 

  INTEGER, PARAMETER, DIMENSION(360) :: LU_ICOL_0 =  (/ &
       1,  2, 54, 65,  3, 63, 68, 69,  4, 47, 68, 69, &
       5, 70, 72,  6, 70, 73,  7, 60, 66, 71, 72, 73, &
       8, 45, 66,  9, 39, 51, 66, 72,  1, 10,  1, 11, &
      12, 46, 68, 69, 13, 66, 67, 14, 67, 72, 15, 72, &
      16, 67, 72, 17, 42, 48,  1, 18, 42, 45, 48, 54, &
      61, 65, 66, 67, 70, 71, 72, 73, 19, 49, 70, 71, &
      73, 20, 49, 70, 71, 73, 21, 66, 67, 72, 22, 49, &
      70, 73, 23, 42, 48, 24, 66, 67, 25, 33, 66, 26, &
      40, 66, 27, 51, 60, 61, 66, 28, 34, 35, 36, 37, &
      38, 66, 29, 42, 30, 48, 31, 70, 32, 41, 66, 33, &
      66, 34, 66, 35, 66, 36, 66, 37, 66, 38, 66, 39, &
      61, 67, 72, 40, 66, 41, 66, 42, 48, 43, 68, 44, &
      68, 45, 51, 61, 66, 46, 68, 69, 47, 68, 69, 30, &
      33, 34, 35, 36, 37, 38, 40, 41, 42, 48, 53, 58, &
      59, 66, 72, 49, 70, 73, 50, 68, 69, 51, 65, 66, &
      73, 52, 68, 69, 53, 66, 68, 72, 54, 62, 64, 65, &
      68, 69, 55, 57, 64, 68, 69, 70, 49, 56, 62, 64, &
      70, 73, 55, 57, 60, 64, 68, 69, 70, 73, 46, 47, &
      50, 52, 58, 63, 65, 66, 68, 69, 72, 43, 44, 46, &
      47, 50, 52, 53, 59, 63, 65, 66, 68, 69, 72, 57, &
      60, 62, 64, 66, 68, 69, 70, 73, 54, 61, 62, 64, &
      65, 66, 67, 68, 69, 56, 62, 64, 69, 70, 73, 51, &
      52, 54, 62, 63, 64, 65, 66, 68, 69, 70, 71, 73, &
      56, 62, 64, 68, 69, 70, 73, 54, 62, 64, 65, 66, &
      68, 69, 70, 73, 33, 34, 35, 36, 37, 38, 40, 41, &
      42, 45, 48, 51, 52, 53, 58, 59, 60, 61, 62, 63, &
      64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 29, 42, &
      48, 53, 58, 59, 61, 62, 63, 64, 65, 66, 67, 68, &
      69, 70, 71, 72, 73, 40, 43, 44, 46, 47, 49, 50, &
      52, 53, 55, 57, 59, 60, 62, 63, 64, 65, 66, 67 /) 
  INTEGER, PARAMETER, DIMENSION(94) :: LU_ICOL_1 =  (/ &
      68, 69, 70, 71, 72, 73, 33, 34, 35, 36, 37, 38, &
      46, 47, 49, 50, 52, 55, 57, 58, 60, 62, 63, 64, &
      65, 66, 67, 68, 69, 70, 71, 72, 73, 31, 49, 56, &
      62, 64, 67, 68, 69, 70, 71, 72, 73, 43, 44, 50, &
      51, 52, 61, 62, 64, 65, 66, 67, 68, 69, 70, 71, &
      72, 73, 32, 39, 41, 45, 51, 53, 61, 62, 63, 64, &
      65, 66, 67, 68, 69, 70, 71, 72, 73, 49, 56, 62, &
      64, 65, 66, 67, 68, 69, 70, 71, 72, 73 /) 
  INTEGER, PARAMETER, DIMENSION(454) :: LU_ICOL =  (/&
    LU_ICOL_0, LU_ICOL_1 /) 

  INTEGER, PARAMETER, DIMENSION(74) :: LU_CROW =  (/ &
       1,  2,  5,  9, 13, 16, 19, 25, 28, 33, 35, 37, &
      41, 44, 47, 49, 52, 55, 69, 74, 79, 83, 87, 90, &
      93, 96, 99,104,111,113,115,117,120,122,124,126, &
     128,130,132,136,138,140,142,144,146,150,153,156, &
     172,175,178,182,185,189,195,201,207,215,226,240, &
     249,258,264,277,284,293,323,342,367,394,406,423, &
     442,455 /) 

  INTEGER, PARAMETER, DIMENSION(74) :: LU_DIAG =  (/ &
       1,  2,  5,  9, 13, 16, 19, 25, 28, 34, 36, 37, &
      41, 44, 47, 49, 52, 56, 69, 74, 79, 83, 87, 90, &
      93, 96, 99,104,111,113,115,117,120,122,124,126, &
     128,130,132,136,138,140,142,144,146,150,153,166, &
     172,175,178,182,185,189,195,202,208,219,233,241, &
     250,259,268,279,287,315,335,361,389,402,420,440, &
     454,455 /) 



  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Utility Data Module File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Monitor.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





  CHARACTER(LEN=32), PARAMETER, DIMENSION(74) :: SPC_NAMES =  (/ &
     'N2O5                            ','HNO3                            ','CO                              ',&
     'CH3CO3                          ','HOCl                            ','OClO                            ',&
     'HOBr                            ','H2SO4                           ','CH3SO3H                         ',&
     'NO3m_cs                         ','Hp_cs                           ','LHOC3H6O2                       ',&
     'LossG2104                       ','LossG2107                       ','LossG2110                       ',&
     'LossHO2                         ','LossO1D                         ','LossO3                          ',&
     'LossO3Br                        ','LossO3Cl                        ','LossO3H                         ',&
     'LossO3Nn                        ','LossO3O                         ','LossOH                          ',&
     'ProdLBr                         ','ProdLCl                         ','ProdO3                          ',&
     'ProdSBr                         ','O3P                             ','H2OH2O                          ',&
     'Cl2O2                           ','H                               ','CH3Br                           ',&
     'CHCl2Br                         ','CHClBr2                         ','CH2ClBr                         ',&
     'CH2Br2                          ','CHBr3                           ','CH3SO3                          ',&
     'CH3CCl3                         ','H2                              ','O1D                             ',&
     'CH4                             ','C2H6                            ','SO2                             ',&
     'C2H4                            ','CH3CHO                          ','H2O                             ',&
     'NO                              ','C2H2                            ','DMSO                            ',&
     'CH3OOH                          ','H2O2                            ','NO3                             ',&
     'Cl2                             ','NO2                             ','BrCl                            ',&
     'HBr                             ','HCl                             ','Br2                             ',&
     'CH3SO2                          ','BrNO3                           ','HCHO                            ',&
     'ClNO3                           ','DMS                             ','OH                              ',&
     'O3                              ','Cl                              ','Br                              ',&
     'ClO                             ','CH3O2                           ','HO2                             ',&
     'BrO                             ','O2                              ' /)

  INTEGER, DIMENSION(1) :: LOOKAT
  INTEGER, DIMENSION(1) :: MONITOR
  CHARACTER(LEN=32), DIMENSION(1) :: SMASS
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_0 =  (/ &
     '    O1D + O2 --> O3P + O2                                                                           ',&
     '    O3P + O2 --> O3                                                                                 ',&
     '      H + O2 --> HO2                                                                                ',&
     '     OH + O3 --> LossG2104 + LossO3 + LossO3H + LossOH + HO2 + O2                                   ',&
     '     H2 + OH --> H + H2O                                                                            ',&
     '    O3 + HO2 --> LossG2107 + LossHO2 + LossO3 + LossO3H + OH + 2 O2                                 ',&
     '    OH + HO2 --> H2O + O2                                                                           ',&
     '       2 HO2 --> LossG2110 + H2O2 + O2                                                              ',&
     '   O1D + H2O --> LossO1D + LossO3 + LossO3O + 2 OH                                                  ',&
     '   H2O2 + OH --> H2O + HO2                                                                          ',&
     '       2 H2O --> H2OH2O                                                                             ',&
     '      H2OH2O --> 2 H2O                                                                              ',&
     '     O3 + Cl --> ClO + O2                                                                           ',&
     '       2 ClO --> 2 LossO3 + Cl2 + O2                                                                ',&
     '       2 ClO --> 2 LossO3 + 2 Cl + O2                                                               ',&
     '       2 ClO --> OClO + LossO3 + Cl                                                                 ',&
     '       2 ClO --> Cl2O2                                                                              ',&
     '       Cl2O2 --> 2 ClO                                                                              ',&
     '   H2O2 + Cl --> HCl + HO2                                                                          ',&
     '   ClO + HO2 --> HOCl + O2                                                                          ',&
     '    HCl + OH --> H2O + Cl                                                                           ',&
     '    NO + ClO --> LossO3Cl + LossO3Nn + NO2 + Cl                                                     ',&
     '   NO2 + ClO --> ClNO3                                                                              ',&
     '       ClNO3 --> NO2 + ClO                                                                          ',&
     '  ClNO3 + Cl --> NO3 + Cl2                                                                          ',&
     '    CH4 + Cl --> HCl + CH3O2                                                                        ',&
     '   HCHO + Cl --> CO + HCl + HO2                                                                     ',&
     ' CH3OOH + Cl --> HCl + HCHO + OH                                                                    ',&
     ' ClO + CH3O2 --> LossO3 + LossO3Cl + HCHO + Cl + HO2                                                ',&
     'CH3CCl3 + OH --> 3 ProdLCl + H2O + 3 Cl                                                             ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_1 =  (/ &
     '   C2H4 + Cl --> 0.666667 LHOC3H6O2 + HCl                                                           ',&
     ' CH3CHO + Cl --> CH3CO3 + HCl                                                                       ',&
     '   C2H2 + Cl --> HCl + CH3O2                                                                        ',&
     '   C2H6 + Cl --> HCl + CH3O2                                                                        ',&
     '     O3 + Br --> BrO + O2                                                                           ',&
     '       2 BrO --> 2 LossO3 + 2 LossO3Br + 2 Br + O2                                                  ',&
     '       2 BrO --> 2 LossO3 + 2 LossO3Br + Br2 + O2                                                   ',&
     '    Br + HO2 --> HBr + O2                                                                           ',&
     '   HO2 + BrO --> HOBr + O2                                                                          ',&
     '    HBr + OH --> H2O + Br                                                                           ',&
     '    Br2 + OH --> HOBr + ProdO3 + Br                                                                 ',&
     '  BrNO3 + Br --> NO3 + Br2                                                                          ',&
     '    NO + BrO --> LossO3Br + LossO3Nn + NO2 + Br                                                     ',&
     '   NO2 + BrO --> BrNO3                                                                              ',&
     '       BrNO3 --> NO2 + BrO                                                                          ',&
     '   HCHO + Br --> CO + HBr + HO2                                                                     ',&
     ' CH3OOH + Br --> HBr + CH3O2                                                                        ',&
     ' CH3O2 + BrO --> HOBr + HCHO                                                                        ',&
     ' CH3O2 + BrO --> LossO3 + LossO3Br + HCHO + Br + HO2                                                ',&
     '  CH3Br + OH --> ProdLBr + H2O + Br                                                                 ',&
     '   C2H4 + Br --> 0.666667 LHOC3H6O2 + HBr                                                           ',&
     ' CH3CHO + Br --> CH3CO3 + HBr                                                                       ',&
     '   C2H2 + Br --> HBr + CH3O2                                                                        ',&
     '  CHBr3 + OH --> 3 ProdSBr + H2O + 3 Br                                                             ',&
     ' CH2Br2 + OH --> 2 ProdSBr + H2O + 2 Br                                                             ',&
     '   BrCl + Br --> Br2 + Cl                                                                           ',&
     '    Cl2 + Br --> BrCl + Cl                                                                          ',&
     '    Br2 + Cl --> BrCl + Br                                                                          ',&
     '   ClO + BrO --> OClO + LossO3 + Br                                                                 ',&
     '   ClO + BrO --> 2 LossO3 + LossO3Br + LossO3Cl + Cl + Br + O2                                      ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(17) :: EQN_NAMES_2 =  (/ &
     '   ClO + BrO --> 2 LossO3 + LossO3Br + LossO3Cl + BrCl + O2                                         ',&
     '   BrCl + Cl --> Cl2 + Br                                                                           ',&
     'CHCl2Br + OH --> ProdSBr + H2O + Br                                                                 ',&
     'CHClBr2 + OH --> 2 ProdSBr + H2O + 2 Br                                                             ',&
     'CH2ClBr + OH --> ProdSBr + H2O + Br                                                                 ',&
     '    SO2 + OH --> H2SO4 + LossO3 + HO2                                                               ',&
     '    DMS + OH --> CH3SO2 + HCHO                                                                      ',&
     '    DMS + OH --> DMSO + HO2                                                                         ',&
     '   NO3 + DMS --> HNO3 + LossO3 + CH3SO2 + HCHO                                                      ',&
     '   DMSO + OH --> 0.4 CH3SO3H + 0.6 ProdO3 + 0.6 SO2 + HCHO + 0.6 CH3O2 ... etc.                     ',&
     '      CH3SO2 --> ProdO3 + SO2 + CH3O2                                                               ',&
     ' CH3SO2 + O3 --> LossO3 + CH3SO3                                                                    ',&
     'CH3SO3 + HO2 --> CH3SO3H                                                                            ',&
     '    DMS + Cl --> HCl + CH3SO2 + HCHO                                                                ',&
     '    DMS + Br --> HBr + CH3SO2 + HCHO                                                                ',&
     '   DMS + BrO --> LossO3 + DMSO + Br                                                                 ',&
     '        N2O5 --> 2 NO3m_cs + 2 Hp_cs + 3 LossO3                                                     ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(77) :: EQN_NAMES =  (/&
    EQN_NAMES_0, EQN_NAMES_1, EQN_NAMES_2 /) 

  CHARACTER(LEN=32), PARAMETER, DIMENSION(77) :: EQN_TAGS =  (/ &
     'G1000                           ','G1001                           ','G2100                           ',&
     'G2104                           ','G2105                           ','G2107                           ',&
     'G2109                           ','G2110                           ','G2111                           ',&
     'G2112                           ','G2117                           ','G2118                           ',&
     'G6100                           ','G6102a                          ','G6102b                          ',&
     'G6102c                          ','G6102d                          ','G6103                           ',&
     'G6202                           ','G6204                           ','G6205                           ',&
     'G6300                           ','G6301                           ','G6302                           ',&
     'G6304                           ','G6400                           ','G6401                           ',&
     'G6402                           ','G6403                           ','G6408                           ',&
     'G6409a                          ','G6410                           ','G6411                           ',&
     'G6412                           ','G7100                           ','G7102a                          ',&
     'G7102b                          ','G7200                           ','G7201                           ',&
     'G7202                           ','G7204                           ','G7300                           ',&
     'G7301                           ','G7302                           ','G7303                           ',&
     'G7400                           ','G7401                           ','G7402a                          ',&
     'G7402b                          ','G7403                           ','G7404a                          ',&
     'G7405                           ','G7406                           ','G7407                           ',&
     'G7408                           ','G7600                           ','G7601                           ',&
     'G7602                           ','G7603a                          ','G7603b                          ',&
     'G7603c                          ','G7604                           ','G7605                           ',&
     'G7606                           ','G7607                           ','G9200                           ',&
     'G9400a                          ','G9400b                          ','G9401                           ',&
     'G9402                           ','G9403                           ','G9404                           ',&
     'G9405                           ','G9600                           ','G9700                           ',&
     'G9701                           ','HET201                          ' /)

  !   INLINED global variables

  !   End INLINED global variables

! Automatic generated PUBLIC Statements for ip_ and ihs_ variables 
 
! Automatic generated PUBLIC Statements for ip_ and ihs_ variables 
 
! Automatic generated PUBLIC Statements for ip_ and ihs_ variables 
 
  PUBLIC  ihs_N2O5_H2O,ihs_HOCl_HCl,ihs_ClNO3_HCl
  PUBLIC  ihs_ClNO3_H2O,ihs_N2O5_HCl,ihs_ClNO3_HBr
  PUBLIC  ihs_BrNO3_HCl,ihs_HOCl_HBr,ihs_HOBr_HCl
  PUBLIC  ihs_HOBr_HBr,ihs_BrNO3_H2O,ihs_Hg
  PUBLIC  ihs_RGM
! Automatic generated PUBLIC Statements for ip_ and ihs_ variables 
 
! Automatic generated PUBLIC Statements for ip_ and ihs_ variables 
 
 
!  variable definations from  individual module headers 
 
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Initialization File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Initialize.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Numerical Integrator (Time-Stepping) File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Integrator.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   INTEGRATE -  Integrator routine
  !     Arguments :
  !        TIN       -  Start Time for Integration
  !        TOUT      -  End Time for Integration
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


  SAVE
  !  ~~~>  Statistics on the work performed by the Rosenbrock method
  INTEGER :: Nfun,Njac,Nstp,Nacc,Nrej,Ndec,Nsol,Nsng
  INTEGER, PARAMETER :: ifun=1, ijac=2, istp=3, iacc=4, &
    irej=5, idec=6, isol=7, isng=8, itexit=1, ihexit=2
    

   !  description of the error numbers IERR
  CHARACTER(LEN=50), PARAMETER, DIMENSION(- 8:1) :: IERR_NAMES =  (/&
    'Matrix is repeatedly singular                     ',& ! -8
    'Step size too small                               ',& ! -7
    'No of steps exceeds maximum bound                 ',& ! -6
    'Improper tolerance values                         ',& ! -5
    'FacMin/FacMax/FacRej must be positive             ',& ! -4
    'Hmin/Hmax/Hstart must be positive                 ',& ! -3
    'Selected Rosenbrock method not implemented        ',& ! -2
    'Improper value for maximal no of steps            ',& ! -1
    '                                                  ',& !  0 (not used)
    'Success                                           ' /) !  1

  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Linear Algebra Data and Routines File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_LinearAlgebra.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~






  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   The ODE Jacobian of Chemical Model File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Jacobian.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~






  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   The ODE Function of Chemical Model File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Function.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





  !   A -  Rate for each equation
  REAL(kind=dp) :: A(NREACT)

  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   The Reaction Rates File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Rates.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   
  !   Auxiliary Routines File
  !   
  !   Generated by KPP- 2.2.1_rs5 symbolic chemistry Kinetics PreProcessor
  !         (http://www.cs.vt.edu/~asandu/Software/KPP)
  !   KPP is distributed under GPL, the general public licence
  !         (http://www.gnu.org/copyleft/gpl.html)
  !   (C) 1995- 1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
  !   (C) 1997- 2005, A. Sandu, Michigan Tech, Virginia Tech
  !       With important contributions from:
  !          M. Damian, Villanova University, USA
  !          R. Sander, Max- Planck Institute for Chemistry, Mainz, Germany
  !   
  !   File                 : messy_mecca_kpp_Util.f90
  !   Equation file        : messy_mecca_kpp.kpp
  !   Output root filename : messy_mecca_kpp
  !   
  !   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


   ! SAVE

   !  FOR FIXED TIME STEP CONTROL
   !  ... max. number of fixed time steps (sum must be 1)
  INTEGER, PARAMETER         :: NMAXFIXSTEPS = 50
   !  ... switch for fixed time stepping
  LOGICAL, PUBLIC            :: l_fixed_step = .FALSE.
  INTEGER, PUBLIC            :: nfsteps = 1
   !  ... number of kpp control parameters
  INTEGER, PARAMETER, PUBLIC :: NKPPCTRL = 20
   ! 
  INTEGER,  DIMENSION(NKPPCTRL), PUBLIC     :: icntrl = 0
  REAL(DP), DIMENSION(NKPPCTRL), PUBLIC     :: rcntrl = 0.0_dp
  REAL(DP), DIMENSION(NMAXFIXSTEPS), PUBLIC :: t_steps = 0.0_dp


 
! Interface Block 
 
  interface            Initialize
    module procedure   Initialize
  end interface        Initialize
 
  interface            INTEGRATE
    module procedure   INTEGRATE
  end interface        INTEGRATE
 
  interface            Fun
    module procedure   Fun
  end interface        Fun
 
  interface            Fun_SPLIT
    module procedure   Fun_SPLIT
  end interface        Fun_SPLIT
 
  interface            KppSolve
    module procedure   KppSolve
  end interface        KppSolve
 
  interface            WLAMCH
    module procedure   WLAMCH
  end interface        WLAMCH
 
  interface            WLAMCH_ADD
    module procedure   WLAMCH_ADD
  end interface        WLAMCH_ADD
 
  interface            Jac_SP
    module procedure   Jac_SP
  end interface        Jac_SP
 
  interface            k_arr
    module procedure   k_arr
  end interface        k_arr
 
  interface            k_SIV_H2O2
    module procedure   k_SIV_H2O2
  end interface        k_SIV_H2O2
 
  interface            k_limited
    module procedure   k_limited
  end interface        k_limited
 
  interface            Update_RCONST
    module procedure   Update_RCONST
  end interface        Update_RCONST
 
  interface            k_3rd
    module procedure   k_3rd
  end interface        k_3rd
 
  interface            k_3rd_iupac
    module procedure   k_3rd_iupac
  end interface        k_3rd_iupac
 
  interface            alpha_AN
    module procedure   alpha_AN
  end interface        alpha_AN
 
  interface            k_Op_O2
    module procedure   k_Op_O2
  end interface        k_Op_O2
 
  interface            k_N2_O
    module procedure   k_N2_O
  end interface        k_N2_O
 
  interface            k_Op_N2
    module procedure   k_Op_N2
  end interface        k_Op_N2
 
  interface            initialize_indexarrays
    module procedure   initialize_indexarrays
  end interface        initialize_indexarrays
 
 
!interface not working  interface            WCOPY
!interface not working    module procedure   WCOPY
!interface not working  end interface        WCOPY
 
  interface            WSCAL
    module procedure   WSCAL
  end interface        WSCAL
 
!interface not working  interface            WAXPY
!interface not working    module procedure   WAXPY
!interface not working  end interface        WAXPY
 
  interface            Rosenbrock
    module procedure   Rosenbrock
  end interface        Rosenbrock
 
  interface            FunTemplate
    module procedure   FunTemplate
  end interface        FunTemplate
 
  interface            JacTemplate
    module procedure   JacTemplate
  end interface        JacTemplate
 
  interface            Update_SUN
    module procedure   Update_SUN
  end interface        Update_SUN
 
  interface            KppDecomp
    module procedure   KppDecomp
  end interface        KppDecomp



 
 CONTAINS
 
SUBROUTINE Initialize()



  INTEGER :: i
  REAL(kind=dp) :: x

  CFACTOR = 1.000000e+00_dp

  x = (0.)*CFACTOR
  DO i = 1, NVAR
    VAR(i) = x
  END DO

  x = (0.)*CFACTOR
  DO i = 1, NFIX
    FIX(i) = x
  END DO

  !   constant rate coefficients
  RCONST(10) = 1.8e-12
  RCONST(12) = 1e+06
  RCONST(28) = 5.9e-11
  RCONST(32) = 8e-11
  RCONST(36) = 2.7e-12
  RCONST(42) = 4.9e-11
  RCONST(56) = 3.32e-15
  RCONST(57) = 1.1e-15
  RCONST(62) = 1.45e-11
  RCONST(70) = 1e-10
  RCONST(72) = 3e-13
  RCONST(73) = 5e-11
  RCONST(74) = 3.3e-10
  RCONST(76) = 4.4e-13
  !   END constant rate coefficients

  !   INLINED initializations

  !   End INLINED initializations

      
END SUBROUTINE Initialize
 
SUBROUTINE INTEGRATE( TIN, TOUT, &
  ICNTRL_U, RCNTRL_U, ISTATUS_U, RSTATUS_U, IERR_U)


   REAL(kind=dp), INTENT(IN) :: TIN   !  Start Time
   REAL(kind=dp), INTENT(IN) :: TOUT  !  End Time
    !  Optional input parameters and statistics
   INTEGER,  INTENT(IN),  OPTIONAL :: ICNTRL_U(20)
   REAL(kind=dp), INTENT(IN),  OPTIONAL :: RCNTRL_U(20)
   INTEGER,  INTENT(OUT), OPTIONAL :: ISTATUS_U(20)
   REAL(kind=dp), INTENT(OUT), OPTIONAL :: RSTATUS_U(20)
   INTEGER,  INTENT(OUT), OPTIONAL :: IERR_U

   INTEGER :: N_stp, N_acc, N_rej, N_sng
   SAVE N_stp, N_acc, N_rej, N_sng
   INTEGER :: i, IERR
   REAL(kind=dp) :: RCNTRL(20), RSTATUS(20)
   INTEGER :: ICNTRL(20), ISTATUS(20)

   ICNTRL(:)  = 0
   RCNTRL(:)  = 0.0_dp
   ISTATUS(:) = 0
   RSTATUS(:) = 0.0_dp

    !  If optional parameters are given, and if they are >0, 
    !  then they overwrite default settings. 
   IF (PRESENT(ICNTRL_U))THEN
     WHERE(ICNTRL_U(:) > 0) ICNTRL(:) = ICNTRL_U(:)
   END IF
   IF (PRESENT(RCNTRL_U))THEN
     WHERE(RCNTRL_U(:) > 0) RCNTRL(:) = RCNTRL_U(:)
   END IF

   CALL Rosenbrock(VAR,TIN,TOUT,   &
         ATOL,RTOL,                &
         RCNTRL,ICNTRL,RSTATUS,ISTATUS,IERR)

   STEPMIN = RCNTRL(ihexit)
    !  if optional parameters are given for output they to return information
   IF (PRESENT(ISTATUS_U))ISTATUS_U(:) = ISTATUS(:)
   IF (PRESENT(RSTATUS_U))RSTATUS_U(:) = RSTATUS(:)
   IF (PRESENT(IERR_U))   IERR_U       = IERR

END SUBROUTINE INTEGRATE
 
SUBROUTINE Fun(V, F, RCT, Vdot)

  !   V -  Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
  !   F -  Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
  !   RCT -  Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
  !   Vdot -  Time derivative of variable species concentrations
  REAL(kind=dp) :: Vdot(NVAR)


  !   Computation of equation rates
  A(1) = RCT(1)*V(42)*F(1)
  A(2) = RCT(2)*V(29)*F(1)
  A(3) = RCT(3)*V(32)*F(1)
  A(4) = RCT(4)*V(66)*V(67)
  A(5) = RCT(5)*V(41)*V(66)
  A(6) = RCT(6)*V(67)*V(72)
  A(7) = RCT(7)*V(66)*V(72)
  A(8) = RCT(8)*V(72)*V(72)
  A(9) = RCT(9)*V(42)*V(48)
  A(10) = 1.8e-12*V(53)*V(66)
  A(11) = RCT(11)*V(48)*V(48)
  A(12) = 1e+06*V(30)
  A(13) = RCT(13)*V(67)*V(68)
  A(14) = RCT(14)*V(70)*V(70)
  A(15) = RCT(15)*V(70)*V(70)
  A(16) = RCT(16)*V(70)*V(70)
  A(17) = RCT(17)*V(70)*V(70)
  A(18) = RCT(18)*V(31)
  A(19) = RCT(19)*V(53)*V(68)
  A(20) = RCT(20)*V(70)*V(72)
  A(21) = RCT(21)*V(59)*V(66)
  A(22) = RCT(22)*V(49)*V(70)
  A(23) = RCT(23)*V(56)*V(70)
  A(24) = RCT(24)*V(64)
  A(25) = RCT(25)*V(64)*V(68)
  A(26) = RCT(26)*V(43)*V(68)
  A(27) = RCT(27)*V(63)*V(68)
  A(28) = 5.9e-11*V(52)*V(68)
  A(29) = RCT(29)*V(70)*V(71)
  A(30) = RCT(30)*V(40)*V(66)
  A(31) = RCT(31)*V(46)*V(68)
  A(32) = 8e-11*V(47)*V(68)
  A(33) = RCT(33)*V(50)*V(68)
  A(34) = RCT(34)*V(44)*V(68)
  A(35) = RCT(35)*V(67)*V(69)
  A(36) = 2.7e-12*V(73)*V(73)
  A(37) = RCT(37)*V(73)*V(73)
  A(38) = RCT(38)*V(69)*V(72)
  A(39) = RCT(39)*V(72)*V(73)
  A(40) = RCT(40)*V(58)*V(66)
  A(41) = RCT(41)*V(60)*V(66)
  A(42) = 4.9e-11*V(62)*V(69)
  A(43) = RCT(43)*V(49)*V(73)
  A(44) = RCT(44)*V(56)*V(73)
  A(45) = RCT(45)*V(62)
  A(46) = RCT(46)*V(63)*V(69)
  A(47) = RCT(47)*V(52)*V(69)
  A(48) = RCT(48)*V(71)*V(73)
  A(49) = RCT(49)*V(71)*V(73)
  A(50) = RCT(50)*V(33)*V(66)
  A(51) = RCT(51)*V(46)*V(69)
  A(52) = RCT(52)*V(47)*V(69)
  A(53) = RCT(53)*V(50)*V(69)
  A(54) = RCT(54)*V(38)*V(66)
  A(55) = RCT(55)*V(37)*V(66)
  A(56) = 3.32e-15*V(57)*V(69)
  A(57) = 1.1e-15*V(55)*V(69)
  A(58) = RCT(58)*V(60)*V(68)
  A(59) = RCT(59)*V(70)*V(73)
  A(60) = RCT(60)*V(70)*V(73)
  A(61) = RCT(61)*V(70)*V(73)
  A(62) = 1.45e-11*V(57)*V(68)
  A(63) = RCT(63)*V(34)*V(66)
  A(64) = RCT(64)*V(35)*V(66)
  A(65) = RCT(65)*V(36)*V(66)
  A(66) = RCT(66)*V(45)*V(66)
  A(67) = RCT(67)*V(65)*V(66)
  A(68) = RCT(68)*V(65)*V(66)
  A(69) = RCT(69)*V(54)*V(65)
  A(70) = 1e-10*V(51)*V(66)
  A(71) = RCT(71)*V(61)
  A(72) = 3e-13*V(61)*V(67)
  A(73) = 5e-11*V(39)*V(72)
  A(74) = 3.3e-10*V(65)*V(68)
  A(75) = RCT(75)*V(65)*V(69)
  A(76) = 4.4e-13*V(65)*V(73)
  A(77) = RCT(77)*V(1)

  !   Aggregate function
  Vdot(1) = - A(77)
  Vdot(2) = A(69)
  Vdot(3) = A(27)+ A(46)
  Vdot(4) = A(32)+ A(52)
  Vdot(5) = A(20)
  Vdot(6) = A(16)+ A(59)
  Vdot(7) = A(39)+ A(41)+ A(48)
  Vdot(8) = A(66)
  Vdot(9) = 0.4*A(70)+ A(73)
  Vdot(10) = 2*A(77)
  Vdot(11) = 2*A(77)
  Vdot(12) = 0.666667*A(31)+ 0.666667*A(51)
  Vdot(13) = A(4)
  Vdot(14) = A(6)
  Vdot(15) = A(8)
  Vdot(16) = A(6)
  Vdot(17) = A(9)
  Vdot(18) = A(4)+ A(6)+ A(9)+ 2*A(14)+ 2*A(15)+ A(16)+ A(29)+ 2*A(36)+ 2*A(37)+ A(49)+ A(59)+ 2*A(60)+ 2*A(61)+ A(66)+ A(69)+ &
                     A(72)&
               &+ A(76)+ 3*A(77)
  Vdot(19) = 2*A(36)+ 2*A(37)+ A(43)+ A(49)+ A(60)+ A(61)
  Vdot(20) = A(22)+ A(29)+ A(60)+ A(61)
  Vdot(21) = A(4)+ A(6)
  Vdot(22) = A(22)+ A(43)
  Vdot(23) = A(9)
  Vdot(24) = A(4)
  Vdot(25) = A(50)
  Vdot(26) = 3*A(30)
  Vdot(27) = A(41)+ 0.6*A(70)+ A(71)
  Vdot(28) = 3*A(54)+ 2*A(55)+ A(63)+ 2*A(64)+ A(65)
  Vdot(29) = A(1)- A(2)
  Vdot(30) = A(11)- A(12)
  Vdot(31) = A(17)- A(18)
  Vdot(32) = - A(3)+ A(5)
  Vdot(33) = - A(50)
  Vdot(34) = - A(63)
  Vdot(35) = - A(64)
  Vdot(36) = - A(65)
  Vdot(37) = - A(55)
  Vdot(38) = - A(54)
  Vdot(39) = A(72)- A(73)
  Vdot(40) = - A(30)
  Vdot(41) = - A(5)
  Vdot(42) = - A(1)- A(9)
  Vdot(43) = - A(26)
  Vdot(44) = - A(34)
  Vdot(45) = - A(66)+ 0.6*A(70)+ A(71)
  Vdot(46) = - A(31)- A(51)
  Vdot(47) = - A(32)- A(52)
  Vdot(48) = A(5)+ A(7)- A(9)+ A(10)- 2*A(11)+ 2*A(12)+ A(21)+ A(30)+ A(40)+ A(50)+ A(54)+ A(55)+ A(63)+ A(64)+ A(65)
  Vdot(49) = - A(22)- A(43)
  Vdot(50) = - A(33)- A(53)
  Vdot(51) = A(68)- A(70)+ A(76)
  Vdot(52) = - A(28)- A(47)
  Vdot(53) = A(8)- A(10)- A(19)
  Vdot(54) = A(25)+ A(42)- A(69)
  Vdot(55) = A(14)+ A(25)- A(57)+ A(62)
  Vdot(56) = A(22)- A(23)+ A(24)+ A(43)- A(44)+ A(45)
  Vdot(57) = - A(56)+ A(57)+ A(58)+ A(61)- A(62)
  Vdot(58) = A(38)- A(40)+ A(46)+ A(47)+ A(51)+ A(52)+ A(53)+ A(75)
  Vdot(59) = A(19)- A(21)+ A(26)+ A(27)+ A(28)+ A(31)+ A(32)+ A(33)+ A(34)+ A(74)
  Vdot(60) = A(37)- A(41)+ A(42)+ A(56)- A(58)
  Vdot(61) = A(67)+ A(69)- A(71)- A(72)+ A(74)+ A(75)
  Vdot(62) = - A(42)+ A(44)- A(45)
  Vdot(63) = - A(27)+ A(28)+ A(29)- A(46)+ A(48)+ A(49)+ A(67)+ A(69)+ A(70)+ A(74)+ A(75)
  Vdot(64) = A(23)- A(24)- A(25)
  Vdot(65) = - A(67)- A(68)- A(69)- A(74)- A(75)- A(76)
  Vdot(66) = - A(4)- A(5)+ A(6)- A(7)+ 2*A(9)- A(10)- A(21)+ A(28)- A(30)- A(40)- A(41)- A(50)- A(54)- A(55)- A(63)- A(64)- &
                     A(65)- A(66)&
               &- A(67)- A(68)- A(70)
  Vdot(67) = A(2)- A(4)- A(6)- A(13)- A(35)- A(72)
  Vdot(68) = - A(13)+ 2*A(15)+ A(16)- A(19)+ A(21)+ A(22)- A(25)- A(26)- A(27)- A(28)+ A(29)+ 3*A(30)- A(31)- A(32)- A(33)- &
                     A(34)+ A(56)&
               &+ A(57)- A(58)+ A(60)- A(62)- A(74)
  Vdot(69) = - A(35)+ 2*A(36)- A(38)+ A(40)+ A(41)- A(42)+ A(43)- A(46)- A(47)+ A(49)+ A(50)- A(51)- A(52)- A(53)+ 3*A(54)+ &
                     2*A(55)&
               &- A(56)- A(57)+ A(58)+ A(59)+ A(60)+ A(62)+ A(63)+ 2*A(64)+ A(65)- A(75)+ A(76)
  Vdot(70) = A(13)- 2*A(14)- 2*A(15)- 2*A(16)- 2*A(17)+ 2*A(18)- A(20)- A(22)- A(23)+ A(24)- A(29)- A(59)- A(60)- A(61)
  Vdot(71) = A(26)- A(29)+ A(33)+ A(34)+ A(47)- A(48)- A(49)+ A(53)+ 0.6*A(70)+ A(71)
  Vdot(72) = A(3)+ A(4)- A(6)- A(7)- 2*A(8)+ A(10)+ A(19)- A(20)+ A(27)+ A(29)- A(38)- A(39)+ A(46)+ A(49)+ A(66)+ A(68)+ &
                     0.4*A(70)&
               &- A(73)
  Vdot(73) = A(35)- 2*A(36)- 2*A(37)- A(39)- A(43)- A(44)+ A(45)- A(48)- A(49)- A(59)- A(60)- A(61)- A(76)
      
END SUBROUTINE Fun
 
SUBROUTINE Fun_SPLIT(V, F, RCT, P_VAR, D_VAR)

  !   V -  Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
  !   F -  Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
  !   RCT -  Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
  !   P_VAR -  Production term
  REAL(kind=dp) :: P_VAR(NVAR)
  !   D_VAR -  Destruction term
  REAL(kind=dp) :: D_VAR(NVAR)


  !   Computation of equation rates
  A(1) = RCT(1)*V(42)*F(1)
  A(2) = RCT(2)*V(29)*F(1)
  A(3) = RCT(3)*V(32)*F(1)
  A(4) = RCT(4)*V(66)*V(67)
  A(5) = RCT(5)*V(41)*V(66)
  A(6) = RCT(6)*V(67)*V(72)
  A(7) = RCT(7)*V(66)*V(72)
  A(8) = RCT(8)*V(72)*V(72)
  A(9) = RCT(9)*V(42)*V(48)
  A(10) = 1.8e-12*V(53)*V(66)
  A(11) = RCT(11)*V(48)*V(48)
  A(12) = 1e+06*V(30)
  A(13) = RCT(13)*V(67)*V(68)
  A(14) = RCT(14)*V(70)*V(70)
  A(15) = RCT(15)*V(70)*V(70)
  A(16) = RCT(16)*V(70)*V(70)
  A(17) = RCT(17)*V(70)*V(70)
  A(18) = RCT(18)*V(31)
  A(19) = RCT(19)*V(53)*V(68)
  A(20) = RCT(20)*V(70)*V(72)
  A(21) = RCT(21)*V(59)*V(66)
  A(22) = RCT(22)*V(49)*V(70)
  A(23) = RCT(23)*V(56)*V(70)
  A(24) = RCT(24)*V(64)
  A(25) = RCT(25)*V(64)*V(68)
  A(26) = RCT(26)*V(43)*V(68)
  A(27) = RCT(27)*V(63)*V(68)
  A(28) = 5.9e-11*V(52)*V(68)
  A(29) = RCT(29)*V(70)*V(71)
  A(30) = RCT(30)*V(40)*V(66)
  A(31) = RCT(31)*V(46)*V(68)
  A(32) = 8e-11*V(47)*V(68)
  A(33) = RCT(33)*V(50)*V(68)
  A(34) = RCT(34)*V(44)*V(68)
  A(35) = RCT(35)*V(67)*V(69)
  A(36) = 2.7e-12*V(73)*V(73)
  A(37) = RCT(37)*V(73)*V(73)
  A(38) = RCT(38)*V(69)*V(72)
  A(39) = RCT(39)*V(72)*V(73)
  A(40) = RCT(40)*V(58)*V(66)
  A(41) = RCT(41)*V(60)*V(66)
  A(42) = 4.9e-11*V(62)*V(69)
  A(43) = RCT(43)*V(49)*V(73)
  A(44) = RCT(44)*V(56)*V(73)
  A(45) = RCT(45)*V(62)
  A(46) = RCT(46)*V(63)*V(69)
  A(47) = RCT(47)*V(52)*V(69)
  A(48) = RCT(48)*V(71)*V(73)
  A(49) = RCT(49)*V(71)*V(73)
  A(50) = RCT(50)*V(33)*V(66)
  A(51) = RCT(51)*V(46)*V(69)
  A(52) = RCT(52)*V(47)*V(69)
  A(53) = RCT(53)*V(50)*V(69)
  A(54) = RCT(54)*V(38)*V(66)
  A(55) = RCT(55)*V(37)*V(66)
  A(56) = 3.32e-15*V(57)*V(69)
  A(57) = 1.1e-15*V(55)*V(69)
  A(58) = RCT(58)*V(60)*V(68)
  A(59) = RCT(59)*V(70)*V(73)
  A(60) = RCT(60)*V(70)*V(73)
  A(61) = RCT(61)*V(70)*V(73)
  A(62) = 1.45e-11*V(57)*V(68)
  A(63) = RCT(63)*V(34)*V(66)
  A(64) = RCT(64)*V(35)*V(66)
  A(65) = RCT(65)*V(36)*V(66)
  A(66) = RCT(66)*V(45)*V(66)
  A(67) = RCT(67)*V(65)*V(66)
  A(68) = RCT(68)*V(65)*V(66)
  A(69) = RCT(69)*V(54)*V(65)
  A(70) = 1e-10*V(51)*V(66)
  A(71) = RCT(71)*V(61)
  A(72) = 3e-13*V(61)*V(67)
  A(73) = 5e-11*V(39)*V(72)
  A(74) = 3.3e-10*V(65)*V(68)
  A(75) = RCT(75)*V(65)*V(69)
  A(76) = 4.4e-13*V(65)*V(73)
  A(77) = RCT(77)*V(1)

  !   Production function
  P_VAR(1) = 0
  P_VAR(2) = A(69)
  P_VAR(3) = A(27)+ A(46)
  P_VAR(4) = A(32)+ A(52)
  P_VAR(5) = A(20)
  P_VAR(6) = A(16)+ A(59)
  P_VAR(7) = A(39)+ A(41)+ A(48)
  P_VAR(8) = A(66)
  P_VAR(9) = 0.4*A(70)+ A(73)
  P_VAR(10) = 2*A(77)
  P_VAR(11) = 2*A(77)
  P_VAR(12) = 0.666667*A(31)+ 0.666667*A(51)
  P_VAR(13) = A(4)
  P_VAR(14) = A(6)
  P_VAR(15) = A(8)
  P_VAR(16) = A(6)
  P_VAR(17) = A(9)
  P_VAR(18) = A(4)+ A(6)+ A(9)+ 2*A(14)+ 2*A(15)+ A(16)+ A(29)+ 2*A(36)+ 2*A(37)+ A(49)+ A(59)+ 2*A(60)+ 2*A(61)+ A(66)+ A(69)+ &
                     A(72)&
                &+ A(76)+ 3*A(77)
  P_VAR(19) = 2*A(36)+ 2*A(37)+ A(43)+ A(49)+ A(60)+ A(61)
  P_VAR(20) = A(22)+ A(29)+ A(60)+ A(61)
  P_VAR(21) = A(4)+ A(6)
  P_VAR(22) = A(22)+ A(43)
  P_VAR(23) = A(9)
  P_VAR(24) = A(4)
  P_VAR(25) = A(50)
  P_VAR(26) = 3*A(30)
  P_VAR(27) = A(41)+ 0.6*A(70)+ A(71)
  P_VAR(28) = 3*A(54)+ 2*A(55)+ A(63)+ 2*A(64)+ A(65)
  P_VAR(29) = A(1)
  P_VAR(30) = A(11)
  P_VAR(31) = A(17)
  P_VAR(32) = A(5)
  P_VAR(33) = 0
  P_VAR(34) = 0
  P_VAR(35) = 0
  P_VAR(36) = 0
  P_VAR(37) = 0
  P_VAR(38) = 0
  P_VAR(39) = A(72)
  P_VAR(40) = 0
  P_VAR(41) = 0
  P_VAR(42) = 0
  P_VAR(43) = 0
  P_VAR(44) = 0
  P_VAR(45) = 0.6*A(70)+ A(71)
  P_VAR(46) = 0
  P_VAR(47) = 0
  P_VAR(48) = A(5)+ A(7)+ A(10)+ 2*A(12)+ A(21)+ A(30)+ A(40)+ A(50)+ A(54)+ A(55)+ A(63)+ A(64)+ A(65)
  P_VAR(49) = 0
  P_VAR(50) = 0
  P_VAR(51) = A(68)+ A(76)
  P_VAR(52) = 0
  P_VAR(53) = A(8)
  P_VAR(54) = A(25)+ A(42)
  P_VAR(55) = A(14)+ A(25)+ A(62)
  P_VAR(56) = A(22)+ A(24)+ A(43)+ A(45)
  P_VAR(57) = A(57)+ A(58)+ A(61)
  P_VAR(58) = A(38)+ A(46)+ A(47)+ A(51)+ A(52)+ A(53)+ A(75)
  P_VAR(59) = A(19)+ A(26)+ A(27)+ A(28)+ A(31)+ A(32)+ A(33)+ A(34)+ A(74)
  P_VAR(60) = A(37)+ A(42)+ A(56)
  P_VAR(61) = A(67)+ A(69)+ A(74)+ A(75)
  P_VAR(62) = A(44)
  P_VAR(63) = A(28)+ A(29)+ A(48)+ A(49)+ A(67)+ A(69)+ A(70)+ A(74)+ A(75)
  P_VAR(64) = A(23)
  P_VAR(65) = 0
  P_VAR(66) = A(6)+ 2*A(9)+ A(28)
  P_VAR(67) = A(2)
  P_VAR(68) = 2*A(15)+ A(16)+ A(21)+ A(22)+ A(29)+ 3*A(30)+ A(56)+ A(57)+ A(60)
  P_VAR(69) = 2*A(36)+ A(40)+ A(41)+ A(43)+ A(49)+ A(50)+ 3*A(54)+ 2*A(55)+ A(58)+ A(59)+ A(60)+ A(62)+ A(63)+ 2*A(64)+ A(65)+ &
                     A(76)
  P_VAR(70) = A(13)+ 2*A(18)+ A(24)
  P_VAR(71) = A(26)+ A(33)+ A(34)+ A(47)+ A(53)+ 0.6*A(70)+ A(71)
  P_VAR(72) = A(3)+ A(4)+ A(10)+ A(19)+ A(27)+ A(29)+ A(46)+ A(49)+ A(66)+ A(68)+ 0.4*A(70)
  P_VAR(73) = A(35)+ A(45)

  !   Destruction function
  D_VAR(1) = RCT(77)
  D_VAR(2) = 0
  D_VAR(3) = 0
  D_VAR(4) = 0
  D_VAR(5) = 0
  D_VAR(6) = 0
  D_VAR(7) = 0
  D_VAR(8) = 0
  D_VAR(9) = 0
  D_VAR(10) = 0
  D_VAR(11) = 0
  D_VAR(12) = 0
  D_VAR(13) = 0
  D_VAR(14) = 0
  D_VAR(15) = 0
  D_VAR(16) = 0
  D_VAR(17) = 0
  D_VAR(18) = 0
  D_VAR(19) = 0
  D_VAR(20) = 0
  D_VAR(21) = 0
  D_VAR(22) = 0
  D_VAR(23) = 0
  D_VAR(24) = 0
  D_VAR(25) = 0
  D_VAR(26) = 0
  D_VAR(27) = 0
  D_VAR(28) = 0
  D_VAR(29) = RCT(2)*F(1)
  D_VAR(30) = 1e+06
  D_VAR(31) = RCT(18)
  D_VAR(32) = RCT(3)*F(1)
  D_VAR(33) = RCT(50)*V(66)
  D_VAR(34) = RCT(63)*V(66)
  D_VAR(35) = RCT(64)*V(66)
  D_VAR(36) = RCT(65)*V(66)
  D_VAR(37) = RCT(55)*V(66)
  D_VAR(38) = RCT(54)*V(66)
  D_VAR(39) = 5e-11*V(72)
  D_VAR(40) = RCT(30)*V(66)
  D_VAR(41) = RCT(5)*V(66)
  D_VAR(42) = RCT(1)*F(1)+ RCT(9)*V(48)
  D_VAR(43) = RCT(26)*V(68)
  D_VAR(44) = RCT(34)*V(68)
  D_VAR(45) = RCT(66)*V(66)
  D_VAR(46) = RCT(31)*V(68)+ RCT(51)*V(69)
  D_VAR(47) = 8e-11*V(68)+ RCT(52)*V(69)
  D_VAR(48) = RCT(9)*V(42)+ RCT(11)*2*V(48)
  D_VAR(49) = RCT(22)*V(70)+ RCT(43)*V(73)
  D_VAR(50) = RCT(33)*V(68)+ RCT(53)*V(69)
  D_VAR(51) = 1e-10*V(66)
  D_VAR(52) = 5.9e-11*V(68)+ RCT(47)*V(69)
  D_VAR(53) = 1.8e-12*V(66)+ RCT(19)*V(68)
  D_VAR(54) = RCT(69)*V(65)
  D_VAR(55) = 1.1e-15*V(69)
  D_VAR(56) = RCT(23)*V(70)+ RCT(44)*V(73)
  D_VAR(57) = 3.32e-15*V(69)+ 1.45e-11*V(68)
  D_VAR(58) = RCT(40)*V(66)
  D_VAR(59) = RCT(21)*V(66)
  D_VAR(60) = RCT(41)*V(66)+ RCT(58)*V(68)
  D_VAR(61) = RCT(71)+ 3e-13*V(67)
  D_VAR(62) = 4.9e-11*V(69)+ RCT(45)
  D_VAR(63) = RCT(27)*V(68)+ RCT(46)*V(69)
  D_VAR(64) = RCT(24)+ RCT(25)*V(68)
  D_VAR(65) = RCT(67)*V(66)+ RCT(68)*V(66)+ RCT(69)*V(54)+ 3.3e-10*V(68)+ RCT(75)*V(69)+ 4.4e-13*V(73)
  D_VAR(66) = RCT(4)*V(67)+ RCT(5)*V(41)+ RCT(7)*V(72)+ 1.8e-12*V(53)+ RCT(21)*V(59)+ RCT(30)*V(40)+ RCT(40)*V(58)+ RCT(41)&
                &*V(60)+ RCT(50)*V(33)+ RCT(54)*V(38)+ RCT(55)*V(37)+ RCT(63)*V(34)+ RCT(64)*V(35)+ RCT(65)*V(36)+ RCT(66)*V(45)&
                &+ RCT(67)*V(65)+ RCT(68)*V(65)+ 1e-10*V(51)
  D_VAR(67) = RCT(4)*V(66)+ RCT(6)*V(72)+ RCT(13)*V(68)+ RCT(35)*V(69)+ 3e-13*V(61)
  D_VAR(68) = RCT(13)*V(67)+ RCT(19)*V(53)+ RCT(25)*V(64)+ RCT(26)*V(43)+ RCT(27)*V(63)+ 5.9e-11*V(52)+ RCT(31)*V(46)+ 8e-11&
                &*V(47)+ RCT(33)*V(50)+ RCT(34)*V(44)+ RCT(58)*V(60)+ 1.45e-11*V(57)+ 3.3e-10*V(65)
  D_VAR(69) = RCT(35)*V(67)+ RCT(38)*V(72)+ 4.9e-11*V(62)+ RCT(46)*V(63)+ RCT(47)*V(52)+ RCT(51)*V(46)+ RCT(52)*V(47)+ RCT(53)&
                &*V(50)+ 3.32e-15*V(57)+ 1.1e-15*V(55)+ RCT(75)*V(65)
  D_VAR(70) = RCT(14)*2*V(70)+ RCT(15)*2*V(70)+ RCT(16)*2*V(70)+ RCT(17)*2*V(70)+ RCT(20)*V(72)+ RCT(22)*V(49)+ RCT(23)*V(56)&
                &+ RCT(29)*V(71)+ RCT(59)*V(73)+ RCT(60)*V(73)+ RCT(61)*V(73)
  D_VAR(71) = RCT(29)*V(70)+ RCT(48)*V(73)+ RCT(49)*V(73)
  D_VAR(72) = RCT(6)*V(67)+ RCT(7)*V(66)+ RCT(8)*2*V(72)+ RCT(20)*V(70)+ RCT(38)*V(69)+ RCT(39)*V(73)+ 5e-11*V(39)
  D_VAR(73) = 2.7e-12*2*V(73)+ RCT(37)*2*V(73)+ RCT(39)*V(72)+ RCT(43)*V(49)+ RCT(44)*V(56)+ RCT(48)*V(71)+ RCT(49)*V(71)&
                &+ RCT(59)*V(70)+ RCT(60)*V(70)+ RCT(61)*V(70)+ 4.4e-13*V(65)
      
END SUBROUTINE Fun_SPLIT
 
SUBROUTINE KppSolve(JVS, X)

  !   JVS -  sparse Jacobian of variables
  REAL(kind=dp) :: JVS(LU_NONZERO)
  !   X -  Vector for variables
  REAL(kind=dp) :: X(NVAR)

  X(10) = X(10)- JVS(33)*X(1)
  X(11) = X(11)- JVS(35)*X(1)
  X(18) = X(18)- JVS(55)*X(1)
  X(48) = X(48)- JVS(156)*X(30)- JVS(157)*X(33)- JVS(158)*X(34)- JVS(159)*X(35)- JVS(160)*X(36)- JVS(161)*X(37)- JVS(162)*X(38)&
            &- JVS(163)*X(40)- JVS(164)*X(41)- JVS(165)*X(42)
  X(56) = X(56)- JVS(201)*X(49)
  X(57) = X(57)- JVS(207)*X(55)
  X(58) = X(58)- JVS(215)*X(46)- JVS(216)*X(47)- JVS(217)*X(50)- JVS(218)*X(52)
  X(59) = X(59)- JVS(226)*X(43)- JVS(227)*X(44)- JVS(228)*X(46)- JVS(229)*X(47)- JVS(230)*X(50)- JVS(231)*X(52)- JVS(232)*X(53)
  X(60) = X(60)- JVS(240)*X(57)
  X(61) = X(61)- JVS(249)*X(54)
  X(62) = X(62)- JVS(258)*X(56)
  X(63) = X(63)- JVS(264)*X(51)- JVS(265)*X(52)- JVS(266)*X(54)- JVS(267)*X(62)
  X(64) = X(64)- JVS(277)*X(56)- JVS(278)*X(62)
  X(65) = X(65)- JVS(284)*X(54)- JVS(285)*X(62)- JVS(286)*X(64)
  X(66) = X(66)- JVS(293)*X(33)- JVS(294)*X(34)- JVS(295)*X(35)- JVS(296)*X(36)- JVS(297)*X(37)- JVS(298)*X(38)- JVS(299)*X(40)&
            &- JVS(300)*X(41)- JVS(301)*X(42)- JVS(302)*X(45)- JVS(303)*X(48)- JVS(304)*X(51)- JVS(305)*X(52)- JVS(306)*X(53)&
            &- JVS(307)*X(58)- JVS(308)*X(59)- JVS(309)*X(60)- JVS(310)*X(61)- JVS(311)*X(62)- JVS(312)*X(63)- JVS(313)*X(64)&
            &- JVS(314)*X(65)
  X(67) = X(67)- JVS(323)*X(29)- JVS(324)*X(42)- JVS(325)*X(48)- JVS(326)*X(53)- JVS(327)*X(58)- JVS(328)*X(59)- JVS(329)*X(61)&
            &- JVS(330)*X(62)- JVS(331)*X(63)- JVS(332)*X(64)- JVS(333)*X(65)- JVS(334)*X(66)
  X(68) = X(68)- JVS(342)*X(40)- JVS(343)*X(43)- JVS(344)*X(44)- JVS(345)*X(46)- JVS(346)*X(47)- JVS(347)*X(49)- JVS(348)*X(50)&
            &- JVS(349)*X(52)- JVS(350)*X(53)- JVS(351)*X(55)- JVS(352)*X(57)- JVS(353)*X(59)- JVS(354)*X(60)- JVS(355)*X(62)&
            &- JVS(356)*X(63)- JVS(357)*X(64)- JVS(358)*X(65)- JVS(359)*X(66)- JVS(360)*X(67)
  X(69) = X(69)- JVS(367)*X(33)- JVS(368)*X(34)- JVS(369)*X(35)- JVS(370)*X(36)- JVS(371)*X(37)- JVS(372)*X(38)- JVS(373)*X(46)&
            &- JVS(374)*X(47)- JVS(375)*X(49)- JVS(376)*X(50)- JVS(377)*X(52)- JVS(378)*X(55)- JVS(379)*X(57)- JVS(380)*X(58)&
            &- JVS(381)*X(60)- JVS(382)*X(62)- JVS(383)*X(63)- JVS(384)*X(64)- JVS(385)*X(65)- JVS(386)*X(66)- JVS(387)*X(67)&
            &- JVS(388)*X(68)
  X(70) = X(70)- JVS(394)*X(31)- JVS(395)*X(49)- JVS(396)*X(56)- JVS(397)*X(62)- JVS(398)*X(64)- JVS(399)*X(67)- JVS(400)*X(68)&
            &- JVS(401)*X(69)
  X(71) = X(71)- JVS(406)*X(43)- JVS(407)*X(44)- JVS(408)*X(50)- JVS(409)*X(51)- JVS(410)*X(52)- JVS(411)*X(61)- JVS(412)*X(62)&
            &- JVS(413)*X(64)- JVS(414)*X(65)- JVS(415)*X(66)- JVS(416)*X(67)- JVS(417)*X(68)- JVS(418)*X(69)- JVS(419)*X(70)
  X(72) = X(72)- JVS(423)*X(32)- JVS(424)*X(39)- JVS(425)*X(41)- JVS(426)*X(45)- JVS(427)*X(51)- JVS(428)*X(53)- JVS(429)*X(61)&
            &- JVS(430)*X(62)- JVS(431)*X(63)- JVS(432)*X(64)- JVS(433)*X(65)- JVS(434)*X(66)- JVS(435)*X(67)- JVS(436)*X(68)&
            &- JVS(437)*X(69)- JVS(438)*X(70)- JVS(439)*X(71)
  X(73) = X(73)- JVS(442)*X(49)- JVS(443)*X(56)- JVS(444)*X(62)- JVS(445)*X(64)- JVS(446)*X(65)- JVS(447)*X(66)- JVS(448)*X(67)&
            &- JVS(449)*X(68)- JVS(450)*X(69)- JVS(451)*X(70)- JVS(452)*X(71)- JVS(453)*X(72)
  X(73) = X(73)/ JVS(454)
  X(72) = (X(72)- JVS(441)*X(73))/(JVS(440))
  X(71) = (X(71)- JVS(421)*X(72)- JVS(422)*X(73))/(JVS(420))
  X(70) = (X(70)- JVS(403)*X(71)- JVS(404)*X(72)- JVS(405)*X(73))/(JVS(402))
  X(69) = (X(69)- JVS(390)*X(70)- JVS(391)*X(71)- JVS(392)*X(72)- JVS(393)*X(73))/(JVS(389))
  X(68) = (X(68)- JVS(362)*X(69)- JVS(363)*X(70)- JVS(364)*X(71)- JVS(365)*X(72)- JVS(366)*X(73))/(JVS(361))
  X(67) = (X(67)- JVS(336)*X(68)- JVS(337)*X(69)- JVS(338)*X(70)- JVS(339)*X(71)- JVS(340)*X(72)- JVS(341)*X(73))/(JVS(335))
  X(66) = (X(66)- JVS(316)*X(67)- JVS(317)*X(68)- JVS(318)*X(69)- JVS(319)*X(70)- JVS(320)*X(71)- JVS(321)*X(72)- JVS(322)&
            &*X(73))/(JVS(315))
  X(65) = (X(65)- JVS(288)*X(66)- JVS(289)*X(68)- JVS(290)*X(69)- JVS(291)*X(70)- JVS(292)*X(73))/(JVS(287))
  X(64) = (X(64)- JVS(280)*X(68)- JVS(281)*X(69)- JVS(282)*X(70)- JVS(283)*X(73))/(JVS(279))
  X(63) = (X(63)- JVS(269)*X(64)- JVS(270)*X(65)- JVS(271)*X(66)- JVS(272)*X(68)- JVS(273)*X(69)- JVS(274)*X(70)- JVS(275)&
            &*X(71)- JVS(276)*X(73))/(JVS(268))
  X(62) = (X(62)- JVS(260)*X(64)- JVS(261)*X(69)- JVS(262)*X(70)- JVS(263)*X(73))/(JVS(259))
  X(61) = (X(61)- JVS(251)*X(62)- JVS(252)*X(64)- JVS(253)*X(65)- JVS(254)*X(66)- JVS(255)*X(67)- JVS(256)*X(68)- JVS(257)&
            &*X(69))/(JVS(250))
  X(60) = (X(60)- JVS(242)*X(62)- JVS(243)*X(64)- JVS(244)*X(66)- JVS(245)*X(68)- JVS(246)*X(69)- JVS(247)*X(70)- JVS(248)&
            &*X(73))/(JVS(241))
  X(59) = (X(59)- JVS(234)*X(63)- JVS(235)*X(65)- JVS(236)*X(66)- JVS(237)*X(68)- JVS(238)*X(69)- JVS(239)*X(72))/(JVS(233))
  X(58) = (X(58)- JVS(220)*X(63)- JVS(221)*X(65)- JVS(222)*X(66)- JVS(223)*X(68)- JVS(224)*X(69)- JVS(225)*X(72))/(JVS(219))
  X(57) = (X(57)- JVS(209)*X(60)- JVS(210)*X(64)- JVS(211)*X(68)- JVS(212)*X(69)- JVS(213)*X(70)- JVS(214)*X(73))/(JVS(208))
  X(56) = (X(56)- JVS(203)*X(62)- JVS(204)*X(64)- JVS(205)*X(70)- JVS(206)*X(73))/(JVS(202))
  X(55) = (X(55)- JVS(196)*X(57)- JVS(197)*X(64)- JVS(198)*X(68)- JVS(199)*X(69)- JVS(200)*X(70))/(JVS(195))
  X(54) = (X(54)- JVS(190)*X(62)- JVS(191)*X(64)- JVS(192)*X(65)- JVS(193)*X(68)- JVS(194)*X(69))/(JVS(189))
  X(53) = (X(53)- JVS(186)*X(66)- JVS(187)*X(68)- JVS(188)*X(72))/(JVS(185))
  X(52) = (X(52)- JVS(183)*X(68)- JVS(184)*X(69))/(JVS(182))
  X(51) = (X(51)- JVS(179)*X(65)- JVS(180)*X(66)- JVS(181)*X(73))/(JVS(178))
  X(50) = (X(50)- JVS(176)*X(68)- JVS(177)*X(69))/(JVS(175))
  X(49) = (X(49)- JVS(173)*X(70)- JVS(174)*X(73))/(JVS(172))
  X(48) = (X(48)- JVS(167)*X(53)- JVS(168)*X(58)- JVS(169)*X(59)- JVS(170)*X(66)- JVS(171)*X(72))/(JVS(166))
  X(47) = (X(47)- JVS(154)*X(68)- JVS(155)*X(69))/(JVS(153))
  X(46) = (X(46)- JVS(151)*X(68)- JVS(152)*X(69))/(JVS(150))
  X(45) = (X(45)- JVS(147)*X(51)- JVS(148)*X(61)- JVS(149)*X(66))/(JVS(146))
  X(44) = (X(44)- JVS(145)*X(68))/(JVS(144))
  X(43) = (X(43)- JVS(143)*X(68))/(JVS(142))
  X(42) = (X(42)- JVS(141)*X(48))/(JVS(140))
  X(41) = (X(41)- JVS(139)*X(66))/(JVS(138))
  X(40) = (X(40)- JVS(137)*X(66))/(JVS(136))
  X(39) = (X(39)- JVS(133)*X(61)- JVS(134)*X(67)- JVS(135)*X(72))/(JVS(132))
  X(38) = (X(38)- JVS(131)*X(66))/(JVS(130))
  X(37) = (X(37)- JVS(129)*X(66))/(JVS(128))
  X(36) = (X(36)- JVS(127)*X(66))/(JVS(126))
  X(35) = (X(35)- JVS(125)*X(66))/(JVS(124))
  X(34) = (X(34)- JVS(123)*X(66))/(JVS(122))
  X(33) = (X(33)- JVS(121)*X(66))/(JVS(120))
  X(32) = (X(32)- JVS(118)*X(41)- JVS(119)*X(66))/(JVS(117))
  X(31) = (X(31)- JVS(116)*X(70))/(JVS(115))
  X(30) = (X(30)- JVS(114)*X(48))/(JVS(113))
  X(29) = (X(29)- JVS(112)*X(42))/(JVS(111))
  X(28) = (X(28)- JVS(105)*X(34)- JVS(106)*X(35)- JVS(107)*X(36)- JVS(108)*X(37)- JVS(109)*X(38)- JVS(110)*X(66))/(JVS(104))
  X(27) = (X(27)- JVS(100)*X(51)- JVS(101)*X(60)- JVS(102)*X(61)- JVS(103)*X(66))/(JVS(99))
  X(26) = (X(26)- JVS(97)*X(40)- JVS(98)*X(66))/(JVS(96))
  X(25) = (X(25)- JVS(94)*X(33)- JVS(95)*X(66))/(JVS(93))
  X(24) = (X(24)- JVS(91)*X(66)- JVS(92)*X(67))/(JVS(90))
  X(23) = (X(23)- JVS(88)*X(42)- JVS(89)*X(48))/(JVS(87))
  X(22) = (X(22)- JVS(84)*X(49)- JVS(85)*X(70)- JVS(86)*X(73))/(JVS(83))
  X(21) = (X(21)- JVS(80)*X(66)- JVS(81)*X(67)- JVS(82)*X(72))/(JVS(79))
  X(20) = (X(20)- JVS(75)*X(49)- JVS(76)*X(70)- JVS(77)*X(71)- JVS(78)*X(73))/(JVS(74))
  X(19) = (X(19)- JVS(70)*X(49)- JVS(71)*X(70)- JVS(72)*X(71)- JVS(73)*X(73))/(JVS(69))
  X(18) = (X(18)- JVS(57)*X(42)- JVS(58)*X(45)- JVS(59)*X(48)- JVS(60)*X(54)- JVS(61)*X(61)- JVS(62)*X(65)- JVS(63)*X(66)&
            &- JVS(64)*X(67)- JVS(65)*X(70)- JVS(66)*X(71)- JVS(67)*X(72)- JVS(68)*X(73))/(JVS(56))
  X(17) = (X(17)- JVS(53)*X(42)- JVS(54)*X(48))/(JVS(52))
  X(16) = (X(16)- JVS(50)*X(67)- JVS(51)*X(72))/(JVS(49))
  X(15) = (X(15)- JVS(48)*X(72))/(JVS(47))
  X(14) = (X(14)- JVS(45)*X(67)- JVS(46)*X(72))/(JVS(44))
  X(13) = (X(13)- JVS(42)*X(66)- JVS(43)*X(67))/(JVS(41))
  X(12) = (X(12)- JVS(38)*X(46)- JVS(39)*X(68)- JVS(40)*X(69))/(JVS(37))
  X(11) = X(11)/ JVS(36)
  X(10) = X(10)/ JVS(34)
  X(9) = (X(9)- JVS(29)*X(39)- JVS(30)*X(51)- JVS(31)*X(66)- JVS(32)*X(72))/(JVS(28))
  X(8) = (X(8)- JVS(26)*X(45)- JVS(27)*X(66))/(JVS(25))
  X(7) = (X(7)- JVS(20)*X(60)- JVS(21)*X(66)- JVS(22)*X(71)- JVS(23)*X(72)- JVS(24)*X(73))/(JVS(19))
  X(6) = (X(6)- JVS(17)*X(70)- JVS(18)*X(73))/(JVS(16))
  X(5) = (X(5)- JVS(14)*X(70)- JVS(15)*X(72))/(JVS(13))
  X(4) = (X(4)- JVS(10)*X(47)- JVS(11)*X(68)- JVS(12)*X(69))/(JVS(9))
  X(3) = (X(3)- JVS(6)*X(63)- JVS(7)*X(68)- JVS(8)*X(69))/(JVS(5))
  X(2) = (X(2)- JVS(3)*X(54)- JVS(4)*X(65))/(JVS(2))
  X(1) = X(1)/ JVS(1)
      
END SUBROUTINE KppSolve
 
      REAL(kind=dp) FUNCTION WLAMCH( C)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  !       returns epsilon machine
  !       after LAPACK
  !       replace this by the function from the optimized LAPACK implementation:
!          CALL SLAMCH('E') or CALL DLAMCH('E')
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  !        USE messy_mecca_kpp_Precision

      CHARACTER ::  C
      INTEGER    :: i
      REAL(kind=dp), SAVE  ::  Eps
      REAL(kind=dp)  ::  Suma
      REAL(kind=dp), PARAMETER  ::  ONE=1.0_dp, HALF=0.5_dp
      LOGICAL, SAVE   ::  First=.TRUE.
      
      IF (First) THEN
        First = .FALSE.
        Eps = HALF**(16)
        DO i = 17, 80
          Eps = Eps*HALF
          CALL WLAMCH_ADD(ONE,Eps,Suma)
          IF (Suma.LE.ONE) GOTO 10
        END DO
        PRINT*,'ERROR IN WLAMCH. EPS < ',Eps
        RETURN
10      Eps = Eps*2
        i = i- 1      
      END IF

      WLAMCH = Eps

      END FUNCTION WLAMCH
 
      SUBROUTINE WLAMCH_ADD( A, B, Suma)
  !        USE messy_mecca_kpp_Precision
      
      REAL(kind=dp) A, B, Suma
      Suma = A +  B

      END SUBROUTINE WLAMCH_ADD
 
SUBROUTINE Jac_SP(V, F, RCT, JVS)

  !   V -  Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
  !   F -  Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
  !   RCT -  Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
  !   JVS -  sparse Jacobian of variables
  REAL(kind=dp) :: JVS(LU_NONZERO)


  !   Local variables
  !   B -  Temporary array
  REAL(kind=dp) :: B(140)

  !   B(1) = dA(1)/dV(42)
  B(1) = RCT(1)*F(1)
  !   B(3) = dA(2)/dV(29)
  B(3) = RCT(2)*F(1)
  !   B(5) = dA(3)/dV(32)
  B(5) = RCT(3)*F(1)
  !   B(7) = dA(4)/dV(66)
  B(7) = RCT(4)*V(67)
  !   B(8) = dA(4)/dV(67)
  B(8) = RCT(4)*V(66)
  !   B(9) = dA(5)/dV(41)
  B(9) = RCT(5)*V(66)
  !   B(10) = dA(5)/dV(66)
  B(10) = RCT(5)*V(41)
  !   B(11) = dA(6)/dV(67)
  B(11) = RCT(6)*V(72)
  !   B(12) = dA(6)/dV(72)
  B(12) = RCT(6)*V(67)
  !   B(13) = dA(7)/dV(66)
  B(13) = RCT(7)*V(72)
  !   B(14) = dA(7)/dV(72)
  B(14) = RCT(7)*V(66)
  !   B(15) = dA(8)/dV(72)
  B(15) = RCT(8)*2*V(72)
  !   B(16) = dA(9)/dV(42)
  B(16) = RCT(9)*V(48)
  !   B(17) = dA(9)/dV(48)
  B(17) = RCT(9)*V(42)
  !   B(18) = dA(10)/dV(53)
  B(18) = 1.8e-12*V(66)
  !   B(19) = dA(10)/dV(66)
  B(19) = 1.8e-12*V(53)
  !   B(20) = dA(11)/dV(48)
  B(20) = RCT(11)*2*V(48)
  !   B(21) = dA(12)/dV(30)
  B(21) = 1e+06
  !   B(22) = dA(13)/dV(67)
  B(22) = RCT(13)*V(68)
  !   B(23) = dA(13)/dV(68)
  B(23) = RCT(13)*V(67)
  !   B(24) = dA(14)/dV(70)
  B(24) = RCT(14)*2*V(70)
  !   B(25) = dA(15)/dV(70)
  B(25) = RCT(15)*2*V(70)
  !   B(26) = dA(16)/dV(70)
  B(26) = RCT(16)*2*V(70)
  !   B(27) = dA(17)/dV(70)
  B(27) = RCT(17)*2*V(70)
  !   B(28) = dA(18)/dV(31)
  B(28) = RCT(18)
  !   B(29) = dA(19)/dV(53)
  B(29) = RCT(19)*V(68)
  !   B(30) = dA(19)/dV(68)
  B(30) = RCT(19)*V(53)
  !   B(31) = dA(20)/dV(70)
  B(31) = RCT(20)*V(72)
  !   B(32) = dA(20)/dV(72)
  B(32) = RCT(20)*V(70)
  !   B(33) = dA(21)/dV(59)
  B(33) = RCT(21)*V(66)
  !   B(34) = dA(21)/dV(66)
  B(34) = RCT(21)*V(59)
  !   B(35) = dA(22)/dV(49)
  B(35) = RCT(22)*V(70)
  !   B(36) = dA(22)/dV(70)
  B(36) = RCT(22)*V(49)
  !   B(37) = dA(23)/dV(56)
  B(37) = RCT(23)*V(70)
  !   B(38) = dA(23)/dV(70)
  B(38) = RCT(23)*V(56)
  !   B(39) = dA(24)/dV(64)
  B(39) = RCT(24)
  !   B(40) = dA(25)/dV(64)
  B(40) = RCT(25)*V(68)
  !   B(41) = dA(25)/dV(68)
  B(41) = RCT(25)*V(64)
  !   B(42) = dA(26)/dV(43)
  B(42) = RCT(26)*V(68)
  !   B(43) = dA(26)/dV(68)
  B(43) = RCT(26)*V(43)
  !   B(44) = dA(27)/dV(63)
  B(44) = RCT(27)*V(68)
  !   B(45) = dA(27)/dV(68)
  B(45) = RCT(27)*V(63)
  !   B(46) = dA(28)/dV(52)
  B(46) = 5.9e-11*V(68)
  !   B(47) = dA(28)/dV(68)
  B(47) = 5.9e-11*V(52)
  !   B(48) = dA(29)/dV(70)
  B(48) = RCT(29)*V(71)
  !   B(49) = dA(29)/dV(71)
  B(49) = RCT(29)*V(70)
  !   B(50) = dA(30)/dV(40)
  B(50) = RCT(30)*V(66)
  !   B(51) = dA(30)/dV(66)
  B(51) = RCT(30)*V(40)
  !   B(52) = dA(31)/dV(46)
  B(52) = RCT(31)*V(68)
  !   B(53) = dA(31)/dV(68)
  B(53) = RCT(31)*V(46)
  !   B(54) = dA(32)/dV(47)
  B(54) = 8e-11*V(68)
  !   B(55) = dA(32)/dV(68)
  B(55) = 8e-11*V(47)
  !   B(56) = dA(33)/dV(50)
  B(56) = RCT(33)*V(68)
  !   B(57) = dA(33)/dV(68)
  B(57) = RCT(33)*V(50)
  !   B(58) = dA(34)/dV(44)
  B(58) = RCT(34)*V(68)
  !   B(59) = dA(34)/dV(68)
  B(59) = RCT(34)*V(44)
  !   B(60) = dA(35)/dV(67)
  B(60) = RCT(35)*V(69)
  !   B(61) = dA(35)/dV(69)
  B(61) = RCT(35)*V(67)
  !   B(62) = dA(36)/dV(73)
  B(62) = 2.7e-12*2*V(73)
  !   B(63) = dA(37)/dV(73)
  B(63) = RCT(37)*2*V(73)
  !   B(64) = dA(38)/dV(69)
  B(64) = RCT(38)*V(72)
  !   B(65) = dA(38)/dV(72)
  B(65) = RCT(38)*V(69)
  !   B(66) = dA(39)/dV(72)
  B(66) = RCT(39)*V(73)
  !   B(67) = dA(39)/dV(73)
  B(67) = RCT(39)*V(72)
  !   B(68) = dA(40)/dV(58)
  B(68) = RCT(40)*V(66)
  !   B(69) = dA(40)/dV(66)
  B(69) = RCT(40)*V(58)
  !   B(70) = dA(41)/dV(60)
  B(70) = RCT(41)*V(66)
  !   B(71) = dA(41)/dV(66)
  B(71) = RCT(41)*V(60)
  !   B(72) = dA(42)/dV(62)
  B(72) = 4.9e-11*V(69)
  !   B(73) = dA(42)/dV(69)
  B(73) = 4.9e-11*V(62)
  !   B(74) = dA(43)/dV(49)
  B(74) = RCT(43)*V(73)
  !   B(75) = dA(43)/dV(73)
  B(75) = RCT(43)*V(49)
  !   B(76) = dA(44)/dV(56)
  B(76) = RCT(44)*V(73)
  !   B(77) = dA(44)/dV(73)
  B(77) = RCT(44)*V(56)
  !   B(78) = dA(45)/dV(62)
  B(78) = RCT(45)
  !   B(79) = dA(46)/dV(63)
  B(79) = RCT(46)*V(69)
  !   B(80) = dA(46)/dV(69)
  B(80) = RCT(46)*V(63)
  !   B(81) = dA(47)/dV(52)
  B(81) = RCT(47)*V(69)
  !   B(82) = dA(47)/dV(69)
  B(82) = RCT(47)*V(52)
  !   B(83) = dA(48)/dV(71)
  B(83) = RCT(48)*V(73)
  !   B(84) = dA(48)/dV(73)
  B(84) = RCT(48)*V(71)
  !   B(85) = dA(49)/dV(71)
  B(85) = RCT(49)*V(73)
  !   B(86) = dA(49)/dV(73)
  B(86) = RCT(49)*V(71)
  !   B(87) = dA(50)/dV(33)
  B(87) = RCT(50)*V(66)
  !   B(88) = dA(50)/dV(66)
  B(88) = RCT(50)*V(33)
  !   B(89) = dA(51)/dV(46)
  B(89) = RCT(51)*V(69)
  !   B(90) = dA(51)/dV(69)
  B(90) = RCT(51)*V(46)
  !   B(91) = dA(52)/dV(47)
  B(91) = RCT(52)*V(69)
  !   B(92) = dA(52)/dV(69)
  B(92) = RCT(52)*V(47)
  !   B(93) = dA(53)/dV(50)
  B(93) = RCT(53)*V(69)
  !   B(94) = dA(53)/dV(69)
  B(94) = RCT(53)*V(50)
  !   B(95) = dA(54)/dV(38)
  B(95) = RCT(54)*V(66)
  !   B(96) = dA(54)/dV(66)
  B(96) = RCT(54)*V(38)
  !   B(97) = dA(55)/dV(37)
  B(97) = RCT(55)*V(66)
  !   B(98) = dA(55)/dV(66)
  B(98) = RCT(55)*V(37)
  !   B(99) = dA(56)/dV(57)
  B(99) = 3.32e-15*V(69)
  !   B(100) = dA(56)/dV(69)
  B(100) = 3.32e-15*V(57)
  !   B(101) = dA(57)/dV(55)
  B(101) = 1.1e-15*V(69)
  !   B(102) = dA(57)/dV(69)
  B(102) = 1.1e-15*V(55)
  !   B(103) = dA(58)/dV(60)
  B(103) = RCT(58)*V(68)
  !   B(104) = dA(58)/dV(68)
  B(104) = RCT(58)*V(60)
  !   B(105) = dA(59)/dV(70)
  B(105) = RCT(59)*V(73)
  !   B(106) = dA(59)/dV(73)
  B(106) = RCT(59)*V(70)
  !   B(107) = dA(60)/dV(70)
  B(107) = RCT(60)*V(73)
  !   B(108) = dA(60)/dV(73)
  B(108) = RCT(60)*V(70)
  !   B(109) = dA(61)/dV(70)
  B(109) = RCT(61)*V(73)
  !   B(110) = dA(61)/dV(73)
  B(110) = RCT(61)*V(70)
  !   B(111) = dA(62)/dV(57)
  B(111) = 1.45e-11*V(68)
  !   B(112) = dA(62)/dV(68)
  B(112) = 1.45e-11*V(57)
  !   B(113) = dA(63)/dV(34)
  B(113) = RCT(63)*V(66)
  !   B(114) = dA(63)/dV(66)
  B(114) = RCT(63)*V(34)
  !   B(115) = dA(64)/dV(35)
  B(115) = RCT(64)*V(66)
  !   B(116) = dA(64)/dV(66)
  B(116) = RCT(64)*V(35)
  !   B(117) = dA(65)/dV(36)
  B(117) = RCT(65)*V(66)
  !   B(118) = dA(65)/dV(66)
  B(118) = RCT(65)*V(36)
  !   B(119) = dA(66)/dV(45)
  B(119) = RCT(66)*V(66)
  !   B(120) = dA(66)/dV(66)
  B(120) = RCT(66)*V(45)
  !   B(121) = dA(67)/dV(65)
  B(121) = RCT(67)*V(66)
  !   B(122) = dA(67)/dV(66)
  B(122) = RCT(67)*V(65)
  !   B(123) = dA(68)/dV(65)
  B(123) = RCT(68)*V(66)
  !   B(124) = dA(68)/dV(66)
  B(124) = RCT(68)*V(65)
  !   B(125) = dA(69)/dV(54)
  B(125) = RCT(69)*V(65)
  !   B(126) = dA(69)/dV(65)
  B(126) = RCT(69)*V(54)
  !   B(127) = dA(70)/dV(51)
  B(127) = 1e-10*V(66)
  !   B(128) = dA(70)/dV(66)
  B(128) = 1e-10*V(51)
  !   B(129) = dA(71)/dV(61)
  B(129) = RCT(71)
  !   B(130) = dA(72)/dV(61)
  B(130) = 3e-13*V(67)
  !   B(131) = dA(72)/dV(67)
  B(131) = 3e-13*V(61)
  !   B(132) = dA(73)/dV(39)
  B(132) = 5e-11*V(72)
  !   B(133) = dA(73)/dV(72)
  B(133) = 5e-11*V(39)
  !   B(134) = dA(74)/dV(65)
  B(134) = 3.3e-10*V(68)
  !   B(135) = dA(74)/dV(68)
  B(135) = 3.3e-10*V(65)
  !   B(136) = dA(75)/dV(65)
  B(136) = RCT(75)*V(69)
  !   B(137) = dA(75)/dV(69)
  B(137) = RCT(75)*V(65)
  !   B(138) = dA(76)/dV(65)
  B(138) = 4.4e-13*V(73)
  !   B(139) = dA(76)/dV(73)
  B(139) = 4.4e-13*V(65)
  !   B(140) = dA(77)/dV(1)
  B(140) = RCT(77)

! Construct the Jacobian terms from B's
  !   JVS(1) = Jac_FULL(1,1)
  JVS(1) = - B(140)
  !   JVS(2) = Jac_FULL(2,2)
  JVS(2) = 0
  !   JVS(3) = Jac_FULL(2,54)
  JVS(3) = B(125)
  !   JVS(4) = Jac_FULL(2,65)
  JVS(4) = B(126)
  !   JVS(5) = Jac_FULL(3,3)
  JVS(5) = 0
  !   JVS(6) = Jac_FULL(3,63)
  JVS(6) = B(44)+ B(79)
  !   JVS(7) = Jac_FULL(3,68)
  JVS(7) = B(45)
  !   JVS(8) = Jac_FULL(3,69)
  JVS(8) = B(80)
  !   JVS(9) = Jac_FULL(4,4)
  JVS(9) = 0
  !   JVS(10) = Jac_FULL(4,47)
  JVS(10) = B(54)+ B(91)
  !   JVS(11) = Jac_FULL(4,68)
  JVS(11) = B(55)
  !   JVS(12) = Jac_FULL(4,69)
  JVS(12) = B(92)
  !   JVS(13) = Jac_FULL(5,5)
  JVS(13) = 0
  !   JVS(14) = Jac_FULL(5,70)
  JVS(14) = B(31)
  !   JVS(15) = Jac_FULL(5,72)
  JVS(15) = B(32)
  !   JVS(16) = Jac_FULL(6,6)
  JVS(16) = 0
  !   JVS(17) = Jac_FULL(6,70)
  JVS(17) = B(26)+ B(105)
  !   JVS(18) = Jac_FULL(6,73)
  JVS(18) = B(106)
  !   JVS(19) = Jac_FULL(7,7)
  JVS(19) = 0
  !   JVS(20) = Jac_FULL(7,60)
  JVS(20) = B(70)
  !   JVS(21) = Jac_FULL(7,66)
  JVS(21) = B(71)
  !   JVS(22) = Jac_FULL(7,71)
  JVS(22) = B(83)
  !   JVS(23) = Jac_FULL(7,72)
  JVS(23) = B(66)
  !   JVS(24) = Jac_FULL(7,73)
  JVS(24) = B(67)+ B(84)
  !   JVS(25) = Jac_FULL(8,8)
  JVS(25) = 0
  !   JVS(26) = Jac_FULL(8,45)
  JVS(26) = B(119)
  !   JVS(27) = Jac_FULL(8,66)
  JVS(27) = B(120)
  !   JVS(28) = Jac_FULL(9,9)
  JVS(28) = 0
  !   JVS(29) = Jac_FULL(9,39)
  JVS(29) = B(132)
  !   JVS(30) = Jac_FULL(9,51)
  JVS(30) = 0.4*B(127)
  !   JVS(31) = Jac_FULL(9,66)
  JVS(31) = 0.4*B(128)
  !   JVS(32) = Jac_FULL(9,72)
  JVS(32) = B(133)
  !   JVS(33) = Jac_FULL(10,1)
  JVS(33) = 2*B(140)
  !   JVS(34) = Jac_FULL(10,10)
  JVS(34) = 0
  !   JVS(35) = Jac_FULL(11,1)
  JVS(35) = 2*B(140)
  !   JVS(36) = Jac_FULL(11,11)
  JVS(36) = 0
  !   JVS(37) = Jac_FULL(12,12)
  JVS(37) = 0
  !   JVS(38) = Jac_FULL(12,46)
  JVS(38) = 0.666667*B(52)+ 0.666667*B(89)
  !   JVS(39) = Jac_FULL(12,68)
  JVS(39) = 0.666667*B(53)
  !   JVS(40) = Jac_FULL(12,69)
  JVS(40) = 0.666667*B(90)
  !   JVS(41) = Jac_FULL(13,13)
  JVS(41) = 0
  !   JVS(42) = Jac_FULL(13,66)
  JVS(42) = B(7)
  !   JVS(43) = Jac_FULL(13,67)
  JVS(43) = B(8)
  !   JVS(44) = Jac_FULL(14,14)
  JVS(44) = 0
  !   JVS(45) = Jac_FULL(14,67)
  JVS(45) = B(11)
  !   JVS(46) = Jac_FULL(14,72)
  JVS(46) = B(12)
  !   JVS(47) = Jac_FULL(15,15)
  JVS(47) = 0
  !   JVS(48) = Jac_FULL(15,72)
  JVS(48) = B(15)
  !   JVS(49) = Jac_FULL(16,16)
  JVS(49) = 0
  !   JVS(50) = Jac_FULL(16,67)
  JVS(50) = B(11)
  !   JVS(51) = Jac_FULL(16,72)
  JVS(51) = B(12)
  !   JVS(52) = Jac_FULL(17,17)
  JVS(52) = 0
  !   JVS(53) = Jac_FULL(17,42)
  JVS(53) = B(16)
  !   JVS(54) = Jac_FULL(17,48)
  JVS(54) = B(17)
  !   JVS(55) = Jac_FULL(18,1)
  JVS(55) = 3*B(140)
  !   JVS(56) = Jac_FULL(18,18)
  JVS(56) = 0
  !   JVS(57) = Jac_FULL(18,42)
  JVS(57) = B(16)
  !   JVS(58) = Jac_FULL(18,45)
  JVS(58) = B(119)
  !   JVS(59) = Jac_FULL(18,48)
  JVS(59) = B(17)
  !   JVS(60) = Jac_FULL(18,54)
  JVS(60) = B(125)
  !   JVS(61) = Jac_FULL(18,61)
  JVS(61) = B(130)
  !   JVS(62) = Jac_FULL(18,65)
  JVS(62) = B(126)+ B(138)
  !   JVS(63) = Jac_FULL(18,66)
  JVS(63) = B(7)+ B(120)
  !   JVS(64) = Jac_FULL(18,67)
  JVS(64) = B(8)+ B(11)+ B(131)
  !   JVS(65) = Jac_FULL(18,70)
  JVS(65) = 2*B(24)+ 2*B(25)+ B(26)+ B(48)+ B(105)+ 2*B(107)+ 2*B(109)
  !   JVS(66) = Jac_FULL(18,71)
  JVS(66) = B(49)+ B(85)
  !   JVS(67) = Jac_FULL(18,72)
  JVS(67) = B(12)
  !   JVS(68) = Jac_FULL(18,73)
  JVS(68) = 2*B(62)+ 2*B(63)+ B(86)+ B(106)+ 2*B(108)+ 2*B(110)+ B(139)
  !   JVS(69) = Jac_FULL(19,19)
  JVS(69) = 0
  !   JVS(70) = Jac_FULL(19,49)
  JVS(70) = B(74)
  !   JVS(71) = Jac_FULL(19,70)
  JVS(71) = B(107)+ B(109)
  !   JVS(72) = Jac_FULL(19,71)
  JVS(72) = B(85)
  !   JVS(73) = Jac_FULL(19,73)
  JVS(73) = 2*B(62)+ 2*B(63)+ B(75)+ B(86)+ B(108)+ B(110)
  !   JVS(74) = Jac_FULL(20,20)
  JVS(74) = 0
  !   JVS(75) = Jac_FULL(20,49)
  JVS(75) = B(35)
  !   JVS(76) = Jac_FULL(20,70)
  JVS(76) = B(36)+ B(48)+ B(107)+ B(109)
  !   JVS(77) = Jac_FULL(20,71)
  JVS(77) = B(49)
  !   JVS(78) = Jac_FULL(20,73)
  JVS(78) = B(108)+ B(110)
  !   JVS(79) = Jac_FULL(21,21)
  JVS(79) = 0
  !   JVS(80) = Jac_FULL(21,66)
  JVS(80) = B(7)
  !   JVS(81) = Jac_FULL(21,67)
  JVS(81) = B(8)+ B(11)
  !   JVS(82) = Jac_FULL(21,72)
  JVS(82) = B(12)
  !   JVS(83) = Jac_FULL(22,22)
  JVS(83) = 0
  !   JVS(84) = Jac_FULL(22,49)
  JVS(84) = B(35)+ B(74)
  !   JVS(85) = Jac_FULL(22,70)
  JVS(85) = B(36)
  !   JVS(86) = Jac_FULL(22,73)
  JVS(86) = B(75)
  !   JVS(87) = Jac_FULL(23,23)
  JVS(87) = 0
  !   JVS(88) = Jac_FULL(23,42)
  JVS(88) = B(16)
  !   JVS(89) = Jac_FULL(23,48)
  JVS(89) = B(17)
  !   JVS(90) = Jac_FULL(24,24)
  JVS(90) = 0
  !   JVS(91) = Jac_FULL(24,66)
  JVS(91) = B(7)
  !   JVS(92) = Jac_FULL(24,67)
  JVS(92) = B(8)
  !   JVS(93) = Jac_FULL(25,25)
  JVS(93) = 0
  !   JVS(94) = Jac_FULL(25,33)
  JVS(94) = B(87)
  !   JVS(95) = Jac_FULL(25,66)
  JVS(95) = B(88)
  !   JVS(96) = Jac_FULL(26,26)
  JVS(96) = 0
  !   JVS(97) = Jac_FULL(26,40)
  JVS(97) = 3*B(50)
  !   JVS(98) = Jac_FULL(26,66)
  JVS(98) = 3*B(51)
  !   JVS(99) = Jac_FULL(27,27)
  JVS(99) = 0
  !   JVS(100) = Jac_FULL(27,51)
  JVS(100) = 0.6*B(127)
  !   JVS(101) = Jac_FULL(27,60)
  JVS(101) = B(70)
  !   JVS(102) = Jac_FULL(27,61)
  JVS(102) = B(129)
  !   JVS(103) = Jac_FULL(27,66)
  JVS(103) = B(71)+ 0.6*B(128)
  !   JVS(104) = Jac_FULL(28,28)
  JVS(104) = 0
  !   JVS(105) = Jac_FULL(28,34)
  JVS(105) = B(113)
  !   JVS(106) = Jac_FULL(28,35)
  JVS(106) = 2*B(115)
  !   JVS(107) = Jac_FULL(28,36)
  JVS(107) = B(117)
  !   JVS(108) = Jac_FULL(28,37)
  JVS(108) = 2*B(97)
  !   JVS(109) = Jac_FULL(28,38)
  JVS(109) = 3*B(95)
  !   JVS(110) = Jac_FULL(28,66)
  JVS(110) = 3*B(96)+ 2*B(98)+ B(114)+ 2*B(116)+ B(118)
  !   JVS(111) = Jac_FULL(29,29)
  JVS(111) = - B(3)
  !   JVS(112) = Jac_FULL(29,42)
  JVS(112) = B(1)
  !   JVS(113) = Jac_FULL(30,30)
  JVS(113) = - B(21)
  !   JVS(114) = Jac_FULL(30,48)
  JVS(114) = B(20)
  !   JVS(115) = Jac_FULL(31,31)
  JVS(115) = - B(28)
  !   JVS(116) = Jac_FULL(31,70)
  JVS(116) = B(27)
  !   JVS(117) = Jac_FULL(32,32)
  JVS(117) = - B(5)
  !   JVS(118) = Jac_FULL(32,41)
  JVS(118) = B(9)
  !   JVS(119) = Jac_FULL(32,66)
  JVS(119) = B(10)
  !   JVS(120) = Jac_FULL(33,33)
  JVS(120) = - B(87)
  !   JVS(121) = Jac_FULL(33,66)
  JVS(121) = - B(88)
  !   JVS(122) = Jac_FULL(34,34)
  JVS(122) = - B(113)
  !   JVS(123) = Jac_FULL(34,66)
  JVS(123) = - B(114)
  !   JVS(124) = Jac_FULL(35,35)
  JVS(124) = - B(115)
  !   JVS(125) = Jac_FULL(35,66)
  JVS(125) = - B(116)
  !   JVS(126) = Jac_FULL(36,36)
  JVS(126) = - B(117)
  !   JVS(127) = Jac_FULL(36,66)
  JVS(127) = - B(118)
  !   JVS(128) = Jac_FULL(37,37)
  JVS(128) = - B(97)
  !   JVS(129) = Jac_FULL(37,66)
  JVS(129) = - B(98)
  !   JVS(130) = Jac_FULL(38,38)
  JVS(130) = - B(95)
  !   JVS(131) = Jac_FULL(38,66)
  JVS(131) = - B(96)
  !   JVS(132) = Jac_FULL(39,39)
  JVS(132) = - B(132)
  !   JVS(133) = Jac_FULL(39,61)
  JVS(133) = B(130)
  !   JVS(134) = Jac_FULL(39,67)
  JVS(134) = B(131)
  !   JVS(135) = Jac_FULL(39,72)
  JVS(135) = - B(133)
  !   JVS(136) = Jac_FULL(40,40)
  JVS(136) = - B(50)
  !   JVS(137) = Jac_FULL(40,66)
  JVS(137) = - B(51)
  !   JVS(138) = Jac_FULL(41,41)
  JVS(138) = - B(9)
  !   JVS(139) = Jac_FULL(41,66)
  JVS(139) = - B(10)
  !   JVS(140) = Jac_FULL(42,42)
  JVS(140) = - B(1)- B(16)
  !   JVS(141) = Jac_FULL(42,48)
  JVS(141) = - B(17)
  !   JVS(142) = Jac_FULL(43,43)
  JVS(142) = - B(42)
  !   JVS(143) = Jac_FULL(43,68)
  JVS(143) = - B(43)
  !   JVS(144) = Jac_FULL(44,44)
  JVS(144) = - B(58)
  !   JVS(145) = Jac_FULL(44,68)
  JVS(145) = - B(59)
  !   JVS(146) = Jac_FULL(45,45)
  JVS(146) = - B(119)
  !   JVS(147) = Jac_FULL(45,51)
  JVS(147) = 0.6*B(127)
  !   JVS(148) = Jac_FULL(45,61)
  JVS(148) = B(129)
  !   JVS(149) = Jac_FULL(45,66)
  JVS(149) = - B(120)+ 0.6*B(128)
  !   JVS(150) = Jac_FULL(46,46)
  JVS(150) = - B(52)- B(89)
  !   JVS(151) = Jac_FULL(46,68)
  JVS(151) = - B(53)
  !   JVS(152) = Jac_FULL(46,69)
  JVS(152) = - B(90)
  !   JVS(153) = Jac_FULL(47,47)
  JVS(153) = - B(54)- B(91)
  !   JVS(154) = Jac_FULL(47,68)
  JVS(154) = - B(55)
  !   JVS(155) = Jac_FULL(47,69)
  JVS(155) = - B(92)
  !   JVS(156) = Jac_FULL(48,30)
  JVS(156) = 2*B(21)
  !   JVS(157) = Jac_FULL(48,33)
  JVS(157) = B(87)
  !   JVS(158) = Jac_FULL(48,34)
  JVS(158) = B(113)
  !   JVS(159) = Jac_FULL(48,35)
  JVS(159) = B(115)
  !   JVS(160) = Jac_FULL(48,36)
  JVS(160) = B(117)
  !   JVS(161) = Jac_FULL(48,37)
  JVS(161) = B(97)
  !   JVS(162) = Jac_FULL(48,38)
  JVS(162) = B(95)
  !   JVS(163) = Jac_FULL(48,40)
  JVS(163) = B(50)
  !   JVS(164) = Jac_FULL(48,41)
  JVS(164) = B(9)
  !   JVS(165) = Jac_FULL(48,42)
  JVS(165) = - B(16)
  !   JVS(166) = Jac_FULL(48,48)
  JVS(166) = - B(17)- 2*B(20)
  !   JVS(167) = Jac_FULL(48,53)
  JVS(167) = B(18)
  !   JVS(168) = Jac_FULL(48,58)
  JVS(168) = B(68)
  !   JVS(169) = Jac_FULL(48,59)
  JVS(169) = B(33)
  !   JVS(170) = Jac_FULL(48,66)
  JVS(170) = B(10)+ B(13)+ B(19)+ B(34)+ B(51)+ B(69)+ B(88)+ B(96)+ B(98)+ B(114)+ B(116)+ B(118)
  !   JVS(171) = Jac_FULL(48,72)
  JVS(171) = B(14)
  !   JVS(172) = Jac_FULL(49,49)
  JVS(172) = - B(35)- B(74)
  !   JVS(173) = Jac_FULL(49,70)
  JVS(173) = - B(36)
  !   JVS(174) = Jac_FULL(49,73)
  JVS(174) = - B(75)
  !   JVS(175) = Jac_FULL(50,50)
  JVS(175) = - B(56)- B(93)
  !   JVS(176) = Jac_FULL(50,68)
  JVS(176) = - B(57)
  !   JVS(177) = Jac_FULL(50,69)
  JVS(177) = - B(94)
  !   JVS(178) = Jac_FULL(51,51)
  JVS(178) = - B(127)
  !   JVS(179) = Jac_FULL(51,65)
  JVS(179) = B(123)+ B(138)
  !   JVS(180) = Jac_FULL(51,66)
  JVS(180) = B(124)- B(128)
  !   JVS(181) = Jac_FULL(51,73)
  JVS(181) = B(139)
  !   JVS(182) = Jac_FULL(52,52)
  JVS(182) = - B(46)- B(81)
  !   JVS(183) = Jac_FULL(52,68)
  JVS(183) = - B(47)
  !   JVS(184) = Jac_FULL(52,69)
  JVS(184) = - B(82)
  !   JVS(185) = Jac_FULL(53,53)
  JVS(185) = - B(18)- B(29)
  !   JVS(186) = Jac_FULL(53,66)
  JVS(186) = - B(19)
  !   JVS(187) = Jac_FULL(53,68)
  JVS(187) = - B(30)
  !   JVS(188) = Jac_FULL(53,72)
  JVS(188) = B(15)
  !   JVS(189) = Jac_FULL(54,54)
  JVS(189) = - B(125)
  !   JVS(190) = Jac_FULL(54,62)
  JVS(190) = B(72)
  !   JVS(191) = Jac_FULL(54,64)
  JVS(191) = B(40)
  !   JVS(192) = Jac_FULL(54,65)
  JVS(192) = - B(126)
  !   JVS(193) = Jac_FULL(54,68)
  JVS(193) = B(41)
  !   JVS(194) = Jac_FULL(54,69)
  JVS(194) = B(73)
  !   JVS(195) = Jac_FULL(55,55)
  JVS(195) = - B(101)
  !   JVS(196) = Jac_FULL(55,57)
  JVS(196) = B(111)
  !   JVS(197) = Jac_FULL(55,64)
  JVS(197) = B(40)
  !   JVS(198) = Jac_FULL(55,68)
  JVS(198) = B(41)+ B(112)
  !   JVS(199) = Jac_FULL(55,69)
  JVS(199) = - B(102)
  !   JVS(200) = Jac_FULL(55,70)
  JVS(200) = B(24)
  !   JVS(201) = Jac_FULL(56,49)
  JVS(201) = B(35)+ B(74)
  !   JVS(202) = Jac_FULL(56,56)
  JVS(202) = - B(37)- B(76)
  !   JVS(203) = Jac_FULL(56,62)
  JVS(203) = B(78)
  !   JVS(204) = Jac_FULL(56,64)
  JVS(204) = B(39)
  !   JVS(205) = Jac_FULL(56,70)
  JVS(205) = B(36)- B(38)
  !   JVS(206) = Jac_FULL(56,73)
  JVS(206) = B(75)- B(77)
  !   JVS(207) = Jac_FULL(57,55)
  JVS(207) = B(101)
  !   JVS(208) = Jac_FULL(57,57)
  JVS(208) = - B(99)- B(111)
  !   JVS(209) = Jac_FULL(57,60)
  JVS(209) = B(103)
  !   JVS(210) = Jac_FULL(57,64)
  JVS(210) = 0
  !   JVS(211) = Jac_FULL(57,68)
  JVS(211) = B(104)- B(112)
  !   JVS(212) = Jac_FULL(57,69)
  JVS(212) = - B(100)+ B(102)
  !   JVS(213) = Jac_FULL(57,70)
  JVS(213) = B(109)
  !   JVS(214) = Jac_FULL(57,73)
  JVS(214) = B(110)
  !   JVS(215) = Jac_FULL(58,46)
  JVS(215) = B(89)
  !   JVS(216) = Jac_FULL(58,47)
  JVS(216) = B(91)
  !   JVS(217) = Jac_FULL(58,50)
  JVS(217) = B(93)
  !   JVS(218) = Jac_FULL(58,52)
  JVS(218) = B(81)
  !   JVS(219) = Jac_FULL(58,58)
  JVS(219) = - B(68)
  !   JVS(220) = Jac_FULL(58,63)
  JVS(220) = B(79)
  !   JVS(221) = Jac_FULL(58,65)
  JVS(221) = B(136)
  !   JVS(222) = Jac_FULL(58,66)
  JVS(222) = - B(69)
  !   JVS(223) = Jac_FULL(58,68)
  JVS(223) = 0
  !   JVS(224) = Jac_FULL(58,69)
  JVS(224) = B(64)+ B(80)+ B(82)+ B(90)+ B(92)+ B(94)+ B(137)
  !   JVS(225) = Jac_FULL(58,72)
  JVS(225) = B(65)
  !   JVS(226) = Jac_FULL(59,43)
  JVS(226) = B(42)
  !   JVS(227) = Jac_FULL(59,44)
  JVS(227) = B(58)
  !   JVS(228) = Jac_FULL(59,46)
  JVS(228) = B(52)
  !   JVS(229) = Jac_FULL(59,47)
  JVS(229) = B(54)
  !   JVS(230) = Jac_FULL(59,50)
  JVS(230) = B(56)
  !   JVS(231) = Jac_FULL(59,52)
  JVS(231) = B(46)
  !   JVS(232) = Jac_FULL(59,53)
  JVS(232) = B(29)
  !   JVS(233) = Jac_FULL(59,59)
  JVS(233) = - B(33)
  !   JVS(234) = Jac_FULL(59,63)
  JVS(234) = B(44)
  !   JVS(235) = Jac_FULL(59,65)
  JVS(235) = B(134)
  !   JVS(236) = Jac_FULL(59,66)
  JVS(236) = - B(34)
  !   JVS(237) = Jac_FULL(59,68)
  JVS(237) = B(30)+ B(43)+ B(45)+ B(47)+ B(53)+ B(55)+ B(57)+ B(59)+ B(135)
  !   JVS(238) = Jac_FULL(59,69)
  JVS(238) = 0
  !   JVS(239) = Jac_FULL(59,72)
  JVS(239) = 0
  !   JVS(240) = Jac_FULL(60,57)
  JVS(240) = B(99)
  !   JVS(241) = Jac_FULL(60,60)
  JVS(241) = - B(70)- B(103)
  !   JVS(242) = Jac_FULL(60,62)
  JVS(242) = B(72)
  !   JVS(243) = Jac_FULL(60,64)
  JVS(243) = 0
  !   JVS(244) = Jac_FULL(60,66)
  JVS(244) = - B(71)
  !   JVS(245) = Jac_FULL(60,68)
  JVS(245) = - B(104)
  !   JVS(246) = Jac_FULL(60,69)
  JVS(246) = B(73)+ B(100)
  !   JVS(247) = Jac_FULL(60,70)
  JVS(247) = 0
  !   JVS(248) = Jac_FULL(60,73)
  JVS(248) = B(63)
  !   JVS(249) = Jac_FULL(61,54)
  JVS(249) = B(125)
  !   JVS(250) = Jac_FULL(61,61)
  JVS(250) = - B(129)- B(130)
  !   JVS(251) = Jac_FULL(61,62)
  JVS(251) = 0
  !   JVS(252) = Jac_FULL(61,64)
  JVS(252) = 0
  !   JVS(253) = Jac_FULL(61,65)
  JVS(253) = B(121)+ B(126)+ B(134)+ B(136)
  !   JVS(254) = Jac_FULL(61,66)
  JVS(254) = B(122)
  !   JVS(255) = Jac_FULL(61,67)
  JVS(255) = - B(131)
  !   JVS(256) = Jac_FULL(61,68)
  JVS(256) = B(135)
  !   JVS(257) = Jac_FULL(61,69)
  JVS(257) = B(137)
  !   JVS(258) = Jac_FULL(62,56)
  JVS(258) = B(76)
  !   JVS(259) = Jac_FULL(62,62)
  JVS(259) = - B(72)- B(78)
  !   JVS(260) = Jac_FULL(62,64)
  JVS(260) = 0
  !   JVS(261) = Jac_FULL(62,69)
  JVS(261) = - B(73)
  !   JVS(262) = Jac_FULL(62,70)
  JVS(262) = 0
  !   JVS(263) = Jac_FULL(62,73)
  JVS(263) = B(77)
  !   JVS(264) = Jac_FULL(63,51)
  JVS(264) = B(127)
  !   JVS(265) = Jac_FULL(63,52)
  JVS(265) = B(46)
  !   JVS(266) = Jac_FULL(63,54)
  JVS(266) = B(125)
  !   JVS(267) = Jac_FULL(63,62)
  JVS(267) = 0
  !   JVS(268) = Jac_FULL(63,63)
  JVS(268) = - B(44)- B(79)
  !   JVS(269) = Jac_FULL(63,64)
  JVS(269) = 0
  !   JVS(270) = Jac_FULL(63,65)
  JVS(270) = B(121)+ B(126)+ B(134)+ B(136)
  !   JVS(271) = Jac_FULL(63,66)
  JVS(271) = B(122)+ B(128)
  !   JVS(272) = Jac_FULL(63,68)
  JVS(272) = - B(45)+ B(47)+ B(135)
  !   JVS(273) = Jac_FULL(63,69)
  JVS(273) = - B(80)+ B(137)
  !   JVS(274) = Jac_FULL(63,70)
  JVS(274) = B(48)
  !   JVS(275) = Jac_FULL(63,71)
  JVS(275) = B(49)+ B(83)+ B(85)
  !   JVS(276) = Jac_FULL(63,73)
  JVS(276) = B(84)+ B(86)
  !   JVS(277) = Jac_FULL(64,56)
  JVS(277) = B(37)
  !   JVS(278) = Jac_FULL(64,62)
  JVS(278) = 0
  !   JVS(279) = Jac_FULL(64,64)
  JVS(279) = - B(39)- B(40)
  !   JVS(280) = Jac_FULL(64,68)
  JVS(280) = - B(41)
  !   JVS(281) = Jac_FULL(64,69)
  JVS(281) = 0
  !   JVS(282) = Jac_FULL(64,70)
  JVS(282) = B(38)
  !   JVS(283) = Jac_FULL(64,73)
  JVS(283) = 0
  !   JVS(284) = Jac_FULL(65,54)
  JVS(284) = - B(125)
  !   JVS(285) = Jac_FULL(65,62)
  JVS(285) = 0
  !   JVS(286) = Jac_FULL(65,64)
  JVS(286) = 0
  !   JVS(287) = Jac_FULL(65,65)
  JVS(287) = - B(121)- B(123)- B(126)- B(134)- B(136)- B(138)
  !   JVS(288) = Jac_FULL(65,66)
  JVS(288) = - B(122)- B(124)
  !   JVS(289) = Jac_FULL(65,68)
  JVS(289) = - B(135)
  !   JVS(290) = Jac_FULL(65,69)
  JVS(290) = - B(137)
  !   JVS(291) = Jac_FULL(65,70)
  JVS(291) = 0
  !   JVS(292) = Jac_FULL(65,73)
  JVS(292) = - B(139)
  !   JVS(293) = Jac_FULL(66,33)
  JVS(293) = - B(87)
  !   JVS(294) = Jac_FULL(66,34)
  JVS(294) = - B(113)
  !   JVS(295) = Jac_FULL(66,35)
  JVS(295) = - B(115)
  !   JVS(296) = Jac_FULL(66,36)
  JVS(296) = - B(117)
  !   JVS(297) = Jac_FULL(66,37)
  JVS(297) = - B(97)
  !   JVS(298) = Jac_FULL(66,38)
  JVS(298) = - B(95)
  !   JVS(299) = Jac_FULL(66,40)
  JVS(299) = - B(50)
  !   JVS(300) = Jac_FULL(66,41)
  JVS(300) = - B(9)
  !   JVS(301) = Jac_FULL(66,42)
  JVS(301) = 2*B(16)
  !   JVS(302) = Jac_FULL(66,45)
  JVS(302) = - B(119)
  !   JVS(303) = Jac_FULL(66,48)
  JVS(303) = 2*B(17)
  !   JVS(304) = Jac_FULL(66,51)
  JVS(304) = - B(127)
  !   JVS(305) = Jac_FULL(66,52)
  JVS(305) = B(46)
  !   JVS(306) = Jac_FULL(66,53)
  JVS(306) = - B(18)
  !   JVS(307) = Jac_FULL(66,58)
  JVS(307) = - B(68)
  !   JVS(308) = Jac_FULL(66,59)
  JVS(308) = - B(33)
  !   JVS(309) = Jac_FULL(66,60)
  JVS(309) = - B(70)
  !   JVS(310) = Jac_FULL(66,61)
  JVS(310) = 0
  !   JVS(311) = Jac_FULL(66,62)
  JVS(311) = 0
  !   JVS(312) = Jac_FULL(66,63)
  JVS(312) = 0
  !   JVS(313) = Jac_FULL(66,64)
  JVS(313) = 0
  !   JVS(314) = Jac_FULL(66,65)
  JVS(314) = - B(121)- B(123)
  !   JVS(315) = Jac_FULL(66,66)
  JVS(315) = - B(7)- B(10)- B(13)- B(19)- B(34)- B(51)- B(69)- B(71)- B(88)- B(96)- B(98)- B(114)- B(116)- B(118)- B(120)- &
                     B(122)- B(124)&
               &- B(128)
  !   JVS(316) = Jac_FULL(66,67)
  JVS(316) = - B(8)+ B(11)
  !   JVS(317) = Jac_FULL(66,68)
  JVS(317) = B(47)
  !   JVS(318) = Jac_FULL(66,69)
  JVS(318) = 0
  !   JVS(319) = Jac_FULL(66,70)
  JVS(319) = 0
  !   JVS(320) = Jac_FULL(66,71)
  JVS(320) = 0
  !   JVS(321) = Jac_FULL(66,72)
  JVS(321) = B(12)- B(14)
  !   JVS(322) = Jac_FULL(66,73)
  JVS(322) = 0
  !   JVS(323) = Jac_FULL(67,29)
  JVS(323) = B(3)
  !   JVS(324) = Jac_FULL(67,42)
  JVS(324) = 0
  !   JVS(325) = Jac_FULL(67,48)
  JVS(325) = 0
  !   JVS(326) = Jac_FULL(67,53)
  JVS(326) = 0
  !   JVS(327) = Jac_FULL(67,58)
  JVS(327) = 0
  !   JVS(328) = Jac_FULL(67,59)
  JVS(328) = 0
  !   JVS(329) = Jac_FULL(67,61)
  JVS(329) = - B(130)
  !   JVS(330) = Jac_FULL(67,62)
  JVS(330) = 0
  !   JVS(331) = Jac_FULL(67,63)
  JVS(331) = 0
  !   JVS(332) = Jac_FULL(67,64)
  JVS(332) = 0
  !   JVS(333) = Jac_FULL(67,65)
  JVS(333) = 0
  !   JVS(334) = Jac_FULL(67,66)
  JVS(334) = - B(7)
  !   JVS(335) = Jac_FULL(67,67)
  JVS(335) = - B(8)- B(11)- B(22)- B(60)- B(131)
  !   JVS(336) = Jac_FULL(67,68)
  JVS(336) = - B(23)
  !   JVS(337) = Jac_FULL(67,69)
  JVS(337) = - B(61)
  !   JVS(338) = Jac_FULL(67,70)
  JVS(338) = 0
  !   JVS(339) = Jac_FULL(67,71)
  JVS(339) = 0
  !   JVS(340) = Jac_FULL(67,72)
  JVS(340) = - B(12)
  !   JVS(341) = Jac_FULL(67,73)
  JVS(341) = 0
  !   JVS(342) = Jac_FULL(68,40)
  JVS(342) = 3*B(50)
  !   JVS(343) = Jac_FULL(68,43)
  JVS(343) = - B(42)
  !   JVS(344) = Jac_FULL(68,44)
  JVS(344) = - B(58)
  !   JVS(345) = Jac_FULL(68,46)
  JVS(345) = - B(52)
  !   JVS(346) = Jac_FULL(68,47)
  JVS(346) = - B(54)
  !   JVS(347) = Jac_FULL(68,49)
  JVS(347) = B(35)
  !   JVS(348) = Jac_FULL(68,50)
  JVS(348) = - B(56)
  !   JVS(349) = Jac_FULL(68,52)
  JVS(349) = - B(46)
  !   JVS(350) = Jac_FULL(68,53)
  JVS(350) = - B(29)
  !   JVS(351) = Jac_FULL(68,55)
  JVS(351) = B(101)
  !   JVS(352) = Jac_FULL(68,57)
  JVS(352) = B(99)- B(111)
  !   JVS(353) = Jac_FULL(68,59)
  JVS(353) = B(33)
  !   JVS(354) = Jac_FULL(68,60)
  JVS(354) = - B(103)
  !   JVS(355) = Jac_FULL(68,62)
  JVS(355) = 0
  !   JVS(356) = Jac_FULL(68,63)
  JVS(356) = - B(44)
  !   JVS(357) = Jac_FULL(68,64)
  JVS(357) = - B(40)
  !   JVS(358) = Jac_FULL(68,65)
  JVS(358) = - B(134)
  !   JVS(359) = Jac_FULL(68,66)
  JVS(359) = B(34)+ 3*B(51)
  !   JVS(360) = Jac_FULL(68,67)
  JVS(360) = - B(22)
  !   JVS(361) = Jac_FULL(68,68)
  JVS(361) = - B(23)- B(30)- B(41)- B(43)- B(45)- B(47)- B(53)- B(55)- B(57)- B(59)- B(104)- B(112)- B(135)
  !   JVS(362) = Jac_FULL(68,69)
  JVS(362) = B(100)+ B(102)
  !   JVS(363) = Jac_FULL(68,70)
  JVS(363) = 2*B(25)+ B(26)+ B(36)+ B(48)+ B(107)
  !   JVS(364) = Jac_FULL(68,71)
  JVS(364) = B(49)
  !   JVS(365) = Jac_FULL(68,72)
  JVS(365) = 0
  !   JVS(366) = Jac_FULL(68,73)
  JVS(366) = B(108)
  !   JVS(367) = Jac_FULL(69,33)
  JVS(367) = B(87)
  !   JVS(368) = Jac_FULL(69,34)
  JVS(368) = B(113)
  !   JVS(369) = Jac_FULL(69,35)
  JVS(369) = 2*B(115)
  !   JVS(370) = Jac_FULL(69,36)
  JVS(370) = B(117)
  !   JVS(371) = Jac_FULL(69,37)
  JVS(371) = 2*B(97)
  !   JVS(372) = Jac_FULL(69,38)
  JVS(372) = 3*B(95)
  !   JVS(373) = Jac_FULL(69,46)
  JVS(373) = - B(89)
  !   JVS(374) = Jac_FULL(69,47)
  JVS(374) = - B(91)
  !   JVS(375) = Jac_FULL(69,49)
  JVS(375) = B(74)
  !   JVS(376) = Jac_FULL(69,50)
  JVS(376) = - B(93)
  !   JVS(377) = Jac_FULL(69,52)
  JVS(377) = - B(81)
  !   JVS(378) = Jac_FULL(69,55)
  JVS(378) = - B(101)
  !   JVS(379) = Jac_FULL(69,57)
  JVS(379) = - B(99)+ B(111)
  !   JVS(380) = Jac_FULL(69,58)
  JVS(380) = B(68)
  !   JVS(381) = Jac_FULL(69,60)
  JVS(381) = B(70)+ B(103)
  !   JVS(382) = Jac_FULL(69,62)
  JVS(382) = - B(72)
  !   JVS(383) = Jac_FULL(69,63)
  JVS(383) = - B(79)
  !   JVS(384) = Jac_FULL(69,64)
  JVS(384) = 0
  !   JVS(385) = Jac_FULL(69,65)
  JVS(385) = - B(136)+ B(138)
  !   JVS(386) = Jac_FULL(69,66)
  JVS(386) = B(69)+ B(71)+ B(88)+ 3*B(96)+ 2*B(98)+ B(114)+ 2*B(116)+ B(118)
  !   JVS(387) = Jac_FULL(69,67)
  JVS(387) = - B(60)
  !   JVS(388) = Jac_FULL(69,68)
  JVS(388) = B(104)+ B(112)
  !   JVS(389) = Jac_FULL(69,69)
  JVS(389) = - B(61)- B(64)- B(73)- B(80)- B(82)- B(90)- B(92)- B(94)- B(100)- B(102)- B(137)
  !   JVS(390) = Jac_FULL(69,70)
  JVS(390) = B(105)+ B(107)
  !   JVS(391) = Jac_FULL(69,71)
  JVS(391) = B(85)
  !   JVS(392) = Jac_FULL(69,72)
  JVS(392) = - B(65)
  !   JVS(393) = Jac_FULL(69,73)
  JVS(393) = 2*B(62)+ B(75)+ B(86)+ B(106)+ B(108)+ B(139)
  !   JVS(394) = Jac_FULL(70,31)
  JVS(394) = 2*B(28)
  !   JVS(395) = Jac_FULL(70,49)
  JVS(395) = - B(35)
  !   JVS(396) = Jac_FULL(70,56)
  JVS(396) = - B(37)
  !   JVS(397) = Jac_FULL(70,62)
  JVS(397) = 0
  !   JVS(398) = Jac_FULL(70,64)
  JVS(398) = B(39)
  !   JVS(399) = Jac_FULL(70,67)
  JVS(399) = B(22)
  !   JVS(400) = Jac_FULL(70,68)
  JVS(400) = B(23)
  !   JVS(401) = Jac_FULL(70,69)
  JVS(401) = 0
  !   JVS(402) = Jac_FULL(70,70)
  JVS(402) = - 2*B(24)- 2*B(25)- 2*B(26)- 2*B(27)- B(31)- B(36)- B(38)- B(48)- B(105)- B(107)- B(109)
  !   JVS(403) = Jac_FULL(70,71)
  JVS(403) = - B(49)
  !   JVS(404) = Jac_FULL(70,72)
  JVS(404) = - B(32)
  !   JVS(405) = Jac_FULL(70,73)
  JVS(405) = - B(106)- B(108)- B(110)
  !   JVS(406) = Jac_FULL(71,43)
  JVS(406) = B(42)
  !   JVS(407) = Jac_FULL(71,44)
  JVS(407) = B(58)
  !   JVS(408) = Jac_FULL(71,50)
  JVS(408) = B(56)+ B(93)
  !   JVS(409) = Jac_FULL(71,51)
  JVS(409) = 0.6*B(127)
  !   JVS(410) = Jac_FULL(71,52)
  JVS(410) = B(81)
  !   JVS(411) = Jac_FULL(71,61)
  JVS(411) = B(129)
  !   JVS(412) = Jac_FULL(71,62)
  JVS(412) = 0
  !   JVS(413) = Jac_FULL(71,64)
  JVS(413) = 0
  !   JVS(414) = Jac_FULL(71,65)
  JVS(414) = 0
  !   JVS(415) = Jac_FULL(71,66)
  JVS(415) = 0.6*B(128)
  !   JVS(416) = Jac_FULL(71,67)
  JVS(416) = 0
  !   JVS(417) = Jac_FULL(71,68)
  JVS(417) = B(43)+ B(57)+ B(59)
  !   JVS(418) = Jac_FULL(71,69)
  JVS(418) = B(82)+ B(94)
  !   JVS(419) = Jac_FULL(71,70)
  JVS(419) = - B(48)
  !   JVS(420) = Jac_FULL(71,71)
  JVS(420) = - B(49)- B(83)- B(85)
  !   JVS(421) = Jac_FULL(71,72)
  JVS(421) = 0
  !   JVS(422) = Jac_FULL(71,73)
  JVS(422) = - B(84)- B(86)
  !   JVS(423) = Jac_FULL(72,32)
  JVS(423) = B(5)
  !   JVS(424) = Jac_FULL(72,39)
  JVS(424) = - B(132)
  !   JVS(425) = Jac_FULL(72,41)
  JVS(425) = 0
  !   JVS(426) = Jac_FULL(72,45)
  JVS(426) = B(119)
  !   JVS(427) = Jac_FULL(72,51)
  JVS(427) = 0.4*B(127)
  !   JVS(428) = Jac_FULL(72,53)
  JVS(428) = B(18)+ B(29)
  !   JVS(429) = Jac_FULL(72,61)
  JVS(429) = 0
  !   JVS(430) = Jac_FULL(72,62)
  JVS(430) = 0
  !   JVS(431) = Jac_FULL(72,63)
  JVS(431) = B(44)+ B(79)
  !   JVS(432) = Jac_FULL(72,64)
  JVS(432) = 0
  !   JVS(433) = Jac_FULL(72,65)
  JVS(433) = B(123)
  !   JVS(434) = Jac_FULL(72,66)
  JVS(434) = B(7)- B(13)+ B(19)+ B(120)+ B(124)+ 0.4*B(128)
  !   JVS(435) = Jac_FULL(72,67)
  JVS(435) = B(8)- B(11)
  !   JVS(436) = Jac_FULL(72,68)
  JVS(436) = B(30)+ B(45)
  !   JVS(437) = Jac_FULL(72,69)
  JVS(437) = - B(64)+ B(80)
  !   JVS(438) = Jac_FULL(72,70)
  JVS(438) = - B(31)+ B(48)
  !   JVS(439) = Jac_FULL(72,71)
  JVS(439) = B(49)+ B(85)
  !   JVS(440) = Jac_FULL(72,72)
  JVS(440) = - B(12)- B(14)- 2*B(15)- B(32)- B(65)- B(66)- B(133)
  !   JVS(441) = Jac_FULL(72,73)
  JVS(441) = - B(67)+ B(86)
  !   JVS(442) = Jac_FULL(73,49)
  JVS(442) = - B(74)
  !   JVS(443) = Jac_FULL(73,56)
  JVS(443) = - B(76)
  !   JVS(444) = Jac_FULL(73,62)
  JVS(444) = B(78)
  !   JVS(445) = Jac_FULL(73,64)
  JVS(445) = 0
  !   JVS(446) = Jac_FULL(73,65)
  JVS(446) = - B(138)
  !   JVS(447) = Jac_FULL(73,66)
  JVS(447) = 0
  !   JVS(448) = Jac_FULL(73,67)
  JVS(448) = B(60)
  !   JVS(449) = Jac_FULL(73,68)
  JVS(449) = 0
  !   JVS(450) = Jac_FULL(73,69)
  JVS(450) = B(61)
  !   JVS(451) = Jac_FULL(73,70)
  JVS(451) = - B(105)- B(107)- B(109)
  !   JVS(452) = Jac_FULL(73,71)
  JVS(452) = - B(83)- B(85)
  !   JVS(453) = Jac_FULL(73,72)
  JVS(453) = - B(66)
  !   JVS(454) = Jac_FULL(73,73)
  JVS(454) = - 2*B(62)- 2*B(63)- B(67)- B(75)- B(77)- B(84)- B(86)- B(106)- B(108)- B(110)- B(139)
      
END SUBROUTINE Jac_SP
 
  ELEMENTAL REAL(kind=dp) FUNCTION k_arr (k_298,tdep,temp)
     !  Arrhenius function

    REAL,     INTENT(IN) :: k_298  !  k at T = 298.15K
    REAL,     INTENT(IN) :: tdep   !  temperature dependence
    REAL(kind=dp), INTENT(IN) :: temp   !  temperature

    INTRINSIC EXP

    k_arr = k_298 *EXP(tdep*(1._dp/temp- 3.3540E-3_dp)) !  1/298.15=3.3540e-3

  END FUNCTION k_arr
 
  ELEMENTAL REAL(dp) FUNCTION k_SIV_H2O2 (k_298,tdep,cHp,temp)
     !  special rate function for S(IV) +  H2O2
    REAL,     INTENT(IN) :: k_298  !  k at T = 298.15K
    REAL,     INTENT(IN) :: tdep   !  temperature dependence
    REAL(dp), INTENT(IN) :: cHp    !  c(H+)
    REAL(dp), INTENT(IN) :: temp   !  temperature
    INTRINSIC :: EXP
    k_SIV_H2O2 = k_298 *EXP(tdep*(1._dp/temp- 3.3540E-3_dp))&
      *cHp / (cHp+ 0.1_dp)
  END FUNCTION k_SIV_H2O2
 
  ELEMENTAL REAL(dp) FUNCTION k_limited (k3rd,cHp)
     !  diffusion limitation caps 3rd order rate coefficients
    REAL(dp), INTENT(IN) :: k3rd   !  3rd order rate coefficient
    REAL(dp), INTENT(IN) :: cHp    !  c(H+)
    REAL(dp), PARAMETER  :: DiffLimit = 1E10  !  diffusion limitation [M- 1s- 1]
    INTRINSIC :: EXP
    k_limited = 1._dp /(1._dp/k3rd +  cHp/DiffLimit)
  END FUNCTION k_limited
 
SUBROUTINE Update_RCONST()
 integer         :: j,k

  k = is

  !   Begin INLINED RCONST


   !  end of USE statements
   ! 
   !  start of executable statements
   !  define some rate constants here if the expressions are too long
   !  for kpp or if they are used more than once
   !  mz_rs_20140904+  only for mim1
   ! op_kg_20110805+  for HO2 +  NO - > HNO3 (butkovskaya_ *.rpl)
  alpha_NO_HO2 = C(ind_H2O) *6.6E-27 *temp(k) *EXP(3700. / temp(k))
  beta_NO_HO2  = MAX(((530. / temp(k))+ (press(k) *4.8004E-6)- 1.73) *0.01 , 0._dp) 
  k0_NO_HO2    = 3.5E-12 *EXP(250. / temp(k))
   ! without humidity correction
  k2d_NO_HO2   = (beta_NO_HO2 *k0_NO_HO2) / (1.+ beta_NO_HO2)
  k1d_NO_HO2   = k0_NO_HO2 -  k2d_NO_HO2
   ! with humidity correction
  k2w_NO_HO2   = (beta_NO_HO2 *k0_NO_HO2 *(1.+ 42. *alpha_NO_HO2))/  &
                 ((1.+ alpha_NO_HO2) *(1.+ beta_NO_HO2))
  k1w_NO_HO2   = k0_NO_HO2 -  k2w_NO_HO2
   ! op_kg_20110805- 
  k_PrO2_HO2   = 1.9E-13 *EXP(1300. / temp(k))
  k_PrO2_NO    = 2.7E-12 *EXP(360. / temp(k))
  k_PrO2_CH3O2 = 9.46E-14 *EXP(431. / temp(k))
   !  mz_rs_20140904-  only for mim1
  k_HO2_HO2    = (1.5E-12 *EXP(19. / temp(k))+ 1.7E-33 *EXP(1000. / temp(k)) *cair(k)) *&  !  {1.5+  / - 0.2}
                 (1.+ 1.4E-21 *EXP(2200. / temp(k)) *C(ind_H2O))
  k_NO3_NO2    = k_3rd(temp(k) , cair(k) , 2.0E-30 , 4.4 , 1.4E-12 , 0.7 , 0.6)
  k_NO2_HO2    = k_3rd(temp(k) , cair(k) , 2.0E-31 , 3.4 , 2.9E-12 , 1.1 , 0.6)
  k_HNO3_OH    = 2.4E-14 *EXP(460. / temp(k)) +  1. /  &
                (1. / (6.5E-34 *EXP(1335. / temp(k)) *cair(k)) +  &
                 1. / (2.7E-17 *EXP(2199. / temp(k))))
  k_CH3O2      = 1.03E-13 *EXP(365. / temp(k))  !  self- reaction of CH3O2
  k_CH3OOH_OH  = 5.3E-12 *EXP(190. / temp(k))
  k_CH3CO3_NO2 = k_3rd(temp(k) , cair(k) , 9.7E-29 , 5.6 , 9.3E-12 , 1.5 , 0.6)
  k_PAN_M      = k_CH3CO3_NO2 / (9.0E-29 *EXP(14000. / temp(k)))
  k_ClO_ClO    = k_3rd_iupac(temp(k) , cair(k) , 2.0E-32 ,  &
                 4.0 , 1.0E-11 , 0.0 , 0.45)
   !  JPL: k_ClO_ClO   = k_3rd(temp(k) , cair(k) , 1.6E-32 , 4.5 , 2.0E-12 , 2.4 , 0.6)
  k_BrO_NO2    = k_3rd_iupac(temp(k) , cair(k) , 4.7E-31 , 3.1 , 1.8E-11 , 0.0 , 0.4)
   !  JPL: k_BrO_NO2   = k_3rd(temp(k) , cair(k) , 5.2E-31 , 3.2 , 6.9E-12 , 2.9 , 0.6)
  k_I_NO2      = k_3rd_iupac(temp(k) , cair(k) , 3.0E-31 , 1.0 , 6.6E-11 , 0.0 , 0.63)
   !  for numerical reasons ,  the expression is multiplied by 1e30 / 1e30
  k_DMS_OH     = 1.E-9 *EXP(5820. / temp(k)) *C(ind_O2) /  &
                 (1.E30+ 5. *EXP(6280. / temp(k)) *C(ind_O2))
  G7402a_yield = 0.8 / 1.1  !  0.8+  / - 0.2
   !  mz_pj_20080812+ 
  k_O3s = (1.7E-12 *EXP(- 940. / temp(k))) *C(ind_OH) &   !  <G2104>
        +  (1.E-14 *EXP(- 490. / temp(k))) *C(ind_HO2) &   !  <G2107>
        +  jx (k,ip_O1D)  *2.2E-10  *C(ind_H2O) &       ! 
         / (3.2E-11 *EXP(70. / temp(k)) *C(ind_O2)   &
           +  1.8E-11 *EXP(110. / temp(k)) *C(ind_N2) &
           +  2.2E-10 *C(ind_H2O))
   !  mz_pj_20080812- 
   !  mz_dt_20140617+ 
   !  branching ratio for methyl nitrate according to Butkovskaya et al. ,  JPC A 2012
   !  fit of data according to Lindemann- Hinshelwood scheme by J. Crowley
   ! http: /  / iupac.pole-ether.fr / datasheets / pdf / ROO_1_CH3O2_NO.pdf
  beta_null_CH3NO3 = 0.00295 +  5.15E-22 *cair(k) *(temp(k) / 298) **7.4
  beta_inf_CH3NO3  = 0.022
  beta_CH3NO3      = (beta_null_CH3NO3  *beta_inf_CH3NO3)  / &
                     (beta_null_CH3NO3 +  beta_inf_CH3NO3)
  k_NO2_CH3O2      = k_3rd(temp(k) , cair(k) , 1.0E-30 , 4.8 , 7.2E-12 , 2.1 , 0.6)
  k_G4138          = 4.25E-12  !  average of the two estimates for k(CH2OO +  NO2) ,  7.E-12 and 1.5E-12
  k_G9408          = 3.66E-11  !  average of the two estimates for k(CH2OO +  SO2) ,  3.9E-11 +  3.42E-11
   !  mz_dt_20140617- 
   !  rate coefficients from the MCM:
  KRO2NO  = 2.54E-12 *EXP(360. / temp(k))
  KRO2HO2 = 2.91E-13 *EXP(1300. / temp(k))
  KAPHO2  = 4.30E-13 *EXP(1040. / temp(k))  !  CH3CO3 +  HO2
  KAPNO   = 8.10E-12 *EXP(270. / temp(k))   !  CH3CO3 +  NO
  KRO2NO3 = 2.50E-12
  KNO3AL  = 1.4E-12 *EXP(- 1900. / temp(k))
  J_IC3H7NO3 = 3.7 *jx (k,ip_PAN)
  J_ACETOL   = 0.65 *0.11 *jx (k,ip_CHOH)
  RO2 = 0.
  IF (ind_LISOPACO2>0)  RO2 = RO2 +  C(ind_LISOPACO2)
  IF (ind_ISOPBO2>0)    RO2 = RO2 +  C(ind_ISOPBO2)
  IF (ind_ISOPDO2>0)    RO2 = RO2 +  C(ind_ISOPDO2)
  IF (ind_NISOPO2>0)    RO2 = RO2 +  C(ind_NISOPO2)
  IF (ind_LHC4ACCO3>0)  RO2 = RO2 +  C(ind_LHC4ACCO3)
  IF (ind_LC578O2>0)    RO2 = RO2 +  C(ind_LC578O2)
  IF (ind_C59O2>0)      RO2 = RO2 +  C(ind_C59O2)
  IF (ind_LNISO3>0)     RO2 = RO2 +  C(ind_LNISO3)
  IF (ind_CH3O2>0)      RO2 = RO2 +  C(ind_CH3O2)
  IF (ind_HOCH2O2>0)    RO2 = RO2 +  C(ind_HOCH2O2)
  IF (ind_CH3CO3>0)     RO2 = RO2 +  C(ind_CH3CO3)
  IF (ind_C2H5O2>0)     RO2 = RO2 +  C(ind_C2H5O2)
  IF (ind_HOCH2CO3>0)   RO2 = RO2 +  C(ind_HOCH2CO3)
  IF (ind_HYPROPO2>0)   RO2 = RO2 +  C(ind_HYPROPO2)
  IF (ind_HCOCO3>0)     RO2 = RO2 +  C(ind_HCOCO3)
  IF (ind_CO2H3CO3>0)   RO2 = RO2 +  C(ind_CO2H3CO3)
  IF (ind_LHMVKABO2>0)  RO2 = RO2 +  C(ind_LHMVKABO2)
  IF (ind_MACO3>0)      RO2 = RO2 +  C(ind_MACO3)
  IF (ind_MACRO2>0)     RO2 = RO2 +  C(ind_MACRO2)
  IF (ind_LMVKOHABO2>0) RO2 = RO2 +  C(ind_LMVKOHABO2)
  IF (ind_PRONO3BO2>0)  RO2 = RO2 +  C(ind_PRONO3BO2)
  IF (ind_HOCH2CH2O2>0) RO2 = RO2 +  C(ind_HOCH2CH2O2)
  IF (ind_CH3COCH2O2>0) RO2 = RO2 +  C(ind_CH3COCH2O2)
  IF (ind_IC3H7O2>0)    RO2 = RO2 +  C(ind_IC3H7O2)
  IF (ind_LC4H9O2>0)    RO2 = RO2 +  C(ind_LC4H9O2)
  IF (ind_LMEKO2>0)     RO2 = RO2 +  C(ind_LMEKO2)
   !  APINENE-related:
  IF (ind_LAPINABO2> 0)        RO2 = RO2 +  C(ind_LAPINABO2)
  IF (ind_C96O2> 0)            RO2 = RO2 +  C(ind_C96O2)
  IF (ind_C97O2> 0)            RO2 = RO2 +  C(ind_C97O2)
  IF (ind_C98O2> 0)            RO2 = RO2 +  C(ind_C98O2)
  IF (ind_C85O2> 0)            RO2 = RO2 +  C(ind_C85O2)
  IF (ind_C86O2> 0)            RO2 = RO2 +  C(ind_C86O2)
  IF (ind_PINALO2> 0)          RO2 = RO2 +  C(ind_PINALO2)
  IF (ind_C96CO3> 0)           RO2 = RO2 +  C(ind_C96CO3)
  IF (ind_C89CO3> 0)           RO2 = RO2 +  C(ind_C89CO3)
  IF (ind_C85CO3> 0)           RO2 = RO2 +  C(ind_C85CO3)
  IF (ind_ROO6R1O2> 0)         RO2 = RO2 +  C(ind_ROO6R1O2)
  IF (ind_RO6R1O2> 0)          RO2 = RO2 +  C(ind_RO6R1O2)
  IF (ind_OHMENTHEN6ONEO2> 0)  RO2 = RO2 +  C(ind_OHMENTHEN6ONEO2)
  IF (ind_C511O2> 0)           RO2 = RO2 +  C(ind_C511O2)
  IF (ind_C106O2> 0)           RO2 = RO2 +  C(ind_C106O2)
  IF (ind_CO235C6CO3> 0)       RO2 = RO2 +  C(ind_CO235C6CO3)
  IF (ind_CHOC3COCO3> 0)       RO2 = RO2 +  C(ind_CHOC3COCO3)
  IF (ind_CO235C6O2> 0)        RO2 = RO2 +  C(ind_CO235C6O2)
  IF (ind_C716O2> 0)           RO2 = RO2 +  C(ind_C716O2)
  IF (ind_C614O2> 0)           RO2 = RO2 +  C(ind_C614O2)
  IF (ind_HCOCH2CO3> 0)        RO2 = RO2 +  C(ind_HCOCH2CO3)
  IF (ind_BIACETO2> 0)         RO2 = RO2 +  C(ind_BIACETO2)
  IF (ind_CO23C4CO3> 0)        RO2 = RO2 +  C(ind_CO23C4CO3)
  IF (ind_C109O2> 0)           RO2 = RO2 +  C(ind_C109O2)
  IF (ind_C811CO3> 0)          RO2 = RO2 +  C(ind_C811CO3)
  IF (ind_C89O2> 0)            RO2 = RO2 +  C(ind_C89O2)
  IF (ind_C812O2> 0)           RO2 = RO2 +  C(ind_C812O2)
  IF (ind_C813O2> 0)           RO2 = RO2 +  C(ind_C813O2)
  IF (ind_C721CO3> 0)          RO2 = RO2 +  C(ind_C721CO3)
  IF (ind_C721O2> 0)           RO2 = RO2 +  C(ind_C721O2)
  IF (ind_C722O2> 0)           RO2 = RO2 +  C(ind_C722O2)
  IF (ind_C44O2> 0)            RO2 = RO2 +  C(ind_C44O2)
  IF (ind_C512O2> 0)           RO2 = RO2 +  C(ind_C512O2)
  IF (ind_C513O2> 0)           RO2 = RO2 +  C(ind_C513O2)
  IF (ind_CHOC3COO2> 0)        RO2 = RO2 +  C(ind_CHOC3COO2)
  IF (ind_C312COCO3> 0)        RO2 = RO2 +  C(ind_C312COCO3)
  IF (ind_HOC2H4CO3> 0)        RO2 = RO2 +  C(ind_HOC2H4CO3)
  IF (ind_LNAPINABO2> 0)       RO2 = RO2 +  C(ind_LNAPINABO2)
  IF (ind_C810O2> 0)           RO2 = RO2 +  C(ind_C810O2)
  IF (ind_C514O2> 0)           RO2 = RO2 +  C(ind_C514O2)
  IF (ind_CHOCOCH2O2> 0)       RO2 = RO2 +  C(ind_CHOCOCH2O2)
   !  BPINENE-related:
  IF (ind_ROO6R1O2> 0)         RO2 = RO2 +  C(ind_ROO6R1O2)
  IF (ind_ROO6R3O2> 0)         RO2 = RO2 +  C(ind_ROO6R3O2)
  IF (ind_RO6R1O2> 0)          RO2 = RO2 +  C(ind_RO6R1O2)
  IF (ind_RO6R3O2> 0)          RO2 = RO2 +  C(ind_RO6R3O2)
  IF (ind_BPINAO2> 0)          RO2 = RO2 +  C(ind_BPINAO2)
  IF (ind_C8BCO2> 0)           RO2 = RO2 +  C(ind_C8BCO2)
  IF (ind_NOPINDO2> 0)         RO2 = RO2 +  C(ind_NOPINDO2)
  IF (ind_LNBPINABO2> 0)       RO2 = RO2 +  C(ind_LNBPINABO2)

  !   End INLINED RCONST

  RCONST(1) = (3.3E-11 *EXP(55. / temp(k)))
  RCONST(2) = (6.E-34 *((temp(k) / 300.) **(- 2.4))*cair(k))
  RCONST(3) = (k_3rd(temp(k) , cair(k) , 4.4E-32 , 1.3 , 7.5E-11 , - 0.2 , 0.6))
  RCONST(4) = (1.7E-12 *EXP(- 940. / temp(k)))
  RCONST(5) = (2.8E-12 *EXP(- 1800. / temp(k)))
  RCONST(6) = (1.E-14 *EXP(- 490. / temp(k)))
  RCONST(7) = (4.8E-11 *EXP(250. / temp(k)))
  RCONST(8) = (k_HO2_HO2)
  RCONST(9) = (1.63E-10 *EXP(60. / temp(k)))
  !   RCONST(10) = constant rate coefficient
  RCONST(11) = (6.521E-26 *temp(k) *EXP(1851.09 / temp(k)) *EXP(- 5.10485E-3 *temp(k)) *1.E6)
  !   RCONST(12) = constant rate coefficient
  RCONST(13) = (2.8E-11 *EXP(- 250. / temp(k)))
  RCONST(14) = (1.0E-12 *EXP(- 1590. / temp(k)))
  RCONST(15) = (3.0E-11 *EXP(- 2450. / temp(k)))
  RCONST(16) = (3.5E-13 *EXP(- 1370. / temp(k)))
  RCONST(17) = (k_ClO_ClO)
  RCONST(18) = (k_ClO_ClO / (1.72E-27 *EXP(8649. / temp(k))))
  RCONST(19) = (1.1E-11 *EXP(- 980. / temp(k)))
  RCONST(20) = (2.2E-12 *EXP(340. / temp(k)))
  RCONST(21) = (1.7E-12 *EXP(- 230. / temp(k)))
  RCONST(22) = (6.2E-12 *EXP(295. / temp(k)))
  RCONST(23) = (k_3rd_iupac(temp(k) , cair(k) , 1.6E-31 , 3.4 , 7.E-11 , 0. , 0.4))
  RCONST(24) = (6.918E-7 *EXP(- 10909. / temp(k)) *cair(k))
  RCONST(25) = (6.2E-12 *EXP(145. / temp(k)))
  RCONST(26) = (6.6E-12 *EXP(- 1240. / temp(k)))
  RCONST(27) = (8.1E-11 *EXP(- 34. / temp(k)))
  !   RCONST(28) = constant rate coefficient
  RCONST(29) = (3.3E-12 *EXP(- 115. / temp(k)))
  RCONST(30) = (1.64E-12 *EXP(- 1520. / temp(k)))
  RCONST(31) = (k_3rd_iupac(temp(k) , cair(k) , 1.85E-29 , 3.3 , 6.0E-10 , 0.0 , 0.4))
  !   RCONST(32) = constant rate coefficient
  RCONST(33) = (k_3rd_iupac(temp(k) , cair(k) , 6.1e-30 , 3.0 , 2.0e-10 , 0. , 0.6))
  RCONST(34) = (8.3E-11 *EXP(- 100. / temp(k)))
  RCONST(35) = (1.7E-11 *EXP(- 800. / temp(k)))
  !   RCONST(36) = constant rate coefficient
  RCONST(37) = (2.9E-14 *EXP(840. / temp(k)))
  RCONST(38) = (7.7E-12 *EXP(- 450. / temp(k)))
  RCONST(39) = (4.5E-12 *EXP(500. / temp(k)))
  RCONST(40) = (6.7E-12 *EXP(155. / temp(k)))
  RCONST(41) = (2.0E-11 *EXP(240. / temp(k)))
  !   RCONST(42) = constant rate coefficient
  RCONST(43) = (8.7E-12 *EXP(260. / temp(k)))
  RCONST(44) = (k_BrO_NO2)
  RCONST(45) = (k_BrO_NO2 / (5.44E-9 *EXP(14192. / temp(k)) *1.E6 *R_gas *temp(k) / (atm2Pa *N_A)))
  RCONST(46) = (7.7E-12 *EXP(- 580. / temp(k)))
  RCONST(47) = (2.6E-12 *EXP(- 1600. / temp(k)))
  RCONST(48) = (G7402a_yield *5.7E-12)
  RCONST(49) = ((1.- G7402a_yield) *5.7E-12)
  RCONST(50) = (2.35E-12 *EXP(- 1300. / temp(k)))
  RCONST(51) = (2.8E-13 *EXP(224. / temp(k)) / (1.+ 1.13E24 *EXP(- 3200. / temp(k)) / C(ind_O2)))
  RCONST(52) = (1.8e-11 *EXP(- 460. / temp(k)))
  RCONST(53) = (6.35e-15 *EXP(440. / temp(k)))
  RCONST(54) = (1.35E-12 *EXP(- 600. / temp(k)))
  RCONST(55) = (2.0E-12 *EXP(- 840. / temp(k)))
  !   RCONST(56) = constant rate coefficient
  !   RCONST(57) = constant rate coefficient
  RCONST(58) = (2.3E-10 *EXP(135. / temp(k)))
  RCONST(59) = (1.6E-12 *EXP(430. / temp(k)))
  RCONST(60) = (2.9E-12 *EXP(220. / temp(k)))
  RCONST(61) = (5.8E-13 *EXP(170. / temp(k)))
  !   RCONST(62) = constant rate coefficient
  RCONST(63) = (2.0E-12 *EXP(- 840. / temp(k)))
  RCONST(64) = (2.0E-12 *EXP(- 840. / temp(k)))
  RCONST(65) = (2.4E-12 *EXP(- 920. / temp(k)))
  RCONST(66) = (k_3rd(temp(k) , cair(k) , 3.3E-31 , 4.3 , 1.6E-12 , 0. , 0.6))
  RCONST(67) = (1.13E-11 *EXP(- 253. / temp(k)))
  RCONST(68) = (k_DMS_OH)
  RCONST(69) = (1.9E-13 *EXP(520. / temp(k)))
  !   RCONST(70) = constant rate coefficient
  RCONST(71) = (1.8E13 *EXP(- 8661. / temp(k)))
  !   RCONST(72) = constant rate coefficient
  !   RCONST(73) = constant rate coefficient
  !   RCONST(74) = constant rate coefficient
  RCONST(75) = (9.E-11 *EXP(- 2386. / temp(k)))
  !   RCONST(76) = constant rate coefficient
  RCONST(77) = (khet_Tr (k,iht_N2O5))
      
END SUBROUTINE Update_RCONST
 
  ELEMENTAL REAL(kind=dp) FUNCTION k_3rd(temp,cair,k0_300K,n,kinf_300K,m,fc)

    INTRINSIC LOG10

    REAL(kind=dp), INTENT(IN) :: temp       !  temperature [K]
    REAL(kind=dp), INTENT(IN) :: cair       !  air concentration [molecules/cm3]
    REAL, INTENT(IN) :: k0_300K    !  low pressure limit at 300 K
    REAL, INTENT(IN) :: n          !  exponent for low pressure limit
    REAL, INTENT(IN) :: kinf_300K  !  high pressure limit at 300 K
    REAL, INTENT(IN) :: m          !  exponent for high pressure limit
    REAL, INTENT(IN) :: fc         !  broadening factor (usually fc=0.6)
    REAL(kind=dp) :: zt_help, k0_T, kinf_T, k_ratio

    zt_help = 300._dp/temp
    k0_T    = k0_300K   *zt_help**(n) *cair  !  k_0   at current T
    kinf_T  = kinf_300K *zt_help**(m)         !  k_inf at current T
    k_ratio = k0_T/kinf_T
    k_3rd   = k0_T/(1._dp+ k_ratio)*fc**(1._dp/(1._dp+ LOG10(k_ratio)**2))

  END FUNCTION k_3rd
 
  ELEMENTAL REAL(dp) FUNCTION k_3rd_iupac(temp,cair,k0_300K,n,kinf_300K,m,fc)
     !  IUPAC three body reaction formula (iupac.pole-ether.fr)
    INTRINSIC :: LOG10
    REAL(dp), INTENT(IN) :: temp       !  temperature [K]
    REAL(dp), INTENT(IN) :: cair       !  air concentration [molecules/cm3]
    REAL,     INTENT(IN) :: k0_300K    !  low pressure limit at 300 K
    REAL,     INTENT(IN) :: n          !  exponent for low pressure limit
    REAL,     INTENT(IN) :: kinf_300K  !  high pressure limit at 300 K
    REAL,     INTENT(IN) :: m          !  exponent for high pressure limit
    REAL,     INTENT(IN) :: fc         !  broadening factor (e.g. 0.45 or 0.6...)
    REAL                 :: nu         !  N
    REAL                 :: zt_help, k0_T, kinf_T, k_ratio
    zt_help = 300._dp/temp
    k0_T    = k0_300K   *zt_help**(n) *cair  !  k_0   at current T
    kinf_T  = kinf_300K *zt_help**(m)         !  k_inf at current T
    k_ratio = k0_T/kinf_T
    nu      = 0.75- 1.27*LOG10(fc)
    k_3rd_iupac = k0_T/(1._dp+ k_ratio)*&
      fc**(1._dp/(1._dp+ (LOG10(k_ratio)/nu)**2))
  END FUNCTION k_3rd_iupac
 
  ELEMENTAL REAL(dp) FUNCTION alpha_AN(n,ro2type,temp,cair)
   !  Alkyl nitrate yields dependent on T and P according to
   !  Arey et al., doi:10.1021/jp003292z
   !  Teng et al., ACPD 2014 doi:10.5194/acpd-14- 6721- 2014
    INTRINSIC :: LOG10
    INTEGER,  INTENT(IN) :: n          !  number of heavy atoms (C, O, N) excluding the O- O moiety
    INTEGER,  INTENT(IN) :: ro2type    !  1, 2 or 3 for primary, secondary and tertiary RO2
    REAL(dp), INTENT(IN) :: temp       !  temperature [K]
    REAL(dp), INTENT(IN) :: cair       !  air concentration [molecules/cm3]
    REAL, PARAMETER      :: alpha=2.E-22, beta=1.0, Yinf_298K=0.43, &
                            F=0.41, m0=0., minf=8.0
    REAL                 :: m  !  factor for primary, secondary and tertiary RO2
    REAL                 :: Y0_298K, Y0_298K_tp, Yinf_298K_t, zeta, k_ratio
  !   According to Teng et al. the nature of the radical does not affect the nitrate yield
  !    !      IF (ro2type = 1) THEN
  !    !        m = 0.4                !   primary RO2
  !    !      ELSE IF (ro2type = 2) THEN
  !    !        m = 1.                 !   secondary RO2
  !    !      ELSE IF (ro2type = 3) THEN
  !    !        m = 0.3                !   tertiary RO2
  !    !      ELSE
  !    !        m = 1.
  !    !      ENDIF
        m = 1.
    Y0_298K     = alpha*EXP(beta*n)
    Y0_298K_tp  = Y0_298K *cair *(temp/298)**(- m0)
    Yinf_298K_t = Yinf_298K *(temp/298)**(- minf)
    zeta        = 1/(1+ LOG10(Y0_298K_tp/Yinf_298K_t)**2)
    k_ratio     = (Y0_298K_tp/(1+ Y0_298K_tp/Yinf_298K_t))*F**zeta
    alpha_AN    = k_ratio/(1+ k_ratio) *m
  END FUNCTION alpha_AN
 
  ELEMENTAL REAL(dp) FUNCTION k_Op_O2(temp,temp_ion)
    REAL(dp), INTENT(IN) :: temp       !  temperature [K]
    REAL(dp), INTENT(IN) :: temp_ion   !  ion temperature [K]
    REAL(dp)             :: temp_mean
    temp_mean  = .667*temp_ion +  .333*temp
    k_Op_O2  = 2.82E-11 -  7.74E-12*(temp_mean/300.) +  &
      1.073E-12*(temp_mean/300.)**2 -  5.17E-14*(temp_mean/300.)**3 +  &
      9.65E-16*(temp_mean/300.)**4
  END FUNCTION k_Op_O2
 
  ELEMENTAL REAL(dp) FUNCTION k_N2_O(temp,temp_ion)
    REAL(dp), INTENT(IN) :: temp       !  temperature [K]
    REAL(dp), INTENT(IN) :: temp_ion   !  ion temperature [K]
    REAL                 :: temp_mean
    temp_mean = (temp_ion +  temp)/2
    k_N2_O = 1.4E-10*(300./temp_mean)**0.44
  END FUNCTION k_N2_O
 
  ELEMENTAL REAL(dp) FUNCTION k_Op_N2(temp,temp_ion)
    REAL(dp), INTENT(IN) :: temp       !  temperature [K]
    REAL(dp), INTENT(IN) :: temp_ion   !  ion temperature [K]
    REAL(dp)             :: temp_mean
    temp_mean = .6363*temp_ion +  .3637*temp
    k_Op_N2 = 1.533E-12 -  5.92E-13*(temp_mean/300.) +  8.6E-14*(temp_mean/300.)**2
  END FUNCTION k_Op_N2
 
SUBROUTINE initialize_indexarrays
END SUBROUTINE initialize_indexarrays
 
 
      SUBROUTINE WCOPY(N,X,incX,Y,incY)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  !       copies a vector, x, to a vector, y:  y <-  x
  !       only for incX=incY=1
  !       after BLAS
  !       replace this by the function from the optimized BLAS implementation:
  !           CALL  SCOPY(N,X,1,Y,1)   or   CALL  DCOPY(N,X,1,Y,1)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  !       USE messy_mecca_kpp_Precision
      
      INTEGER  :: i,incX,incY,M,MP1,N
      REAL(kind=dp) :: X(N),Y(N)

      IF (N.LE.0) RETURN

      M = MOD(N,8)
      IF( M .NE. 0)THEN
        DO i = 1,M
          Y(i) = X(i)
        END DO
        IF( N .LT. 8)RETURN
      END IF    
      MP1 = M+ 1
      DO i = MP1,N,8
        Y(i) = X(i)
        Y(i +  1) = X(i +  1)
        Y(i +  2) = X(i +  2)
        Y(i +  3) = X(i +  3)
        Y(i +  4) = X(i +  4)
        Y(i +  5) = X(i +  5)
        Y(i +  6) = X(i +  6)
        Y(i +  7) = X(i +  7)
      END DO

      END SUBROUTINE WCOPY
 
      SUBROUTINE WSCAL(N,Alpha,X,incX)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  !       constant times a vector: x(1:N) <-  Alpha*x(1:N) 
  !       only for incX=incY=1
  !       after BLAS
  !       replace this by the function from the optimized BLAS implementation:
  !           CALL SSCAL(N,Alpha,X,1) or  CALL DSCAL(N,Alpha,X,1)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

      INTEGER  :: i,incX,M,MP1,N
      REAL(kind=dp)  :: X(N),Alpha
      REAL(kind=dp), PARAMETER  :: ZERO=0.0_dp, ONE=1.0_dp

      IF (Alpha .EQ. ONE) RETURN
      IF (N .LE. 0) RETURN

      M = MOD(N,5)
      IF( M .NE. 0)THEN
        IF (Alpha .EQ. (- ONE))THEN
          DO i = 1,M
            X(i) = - X(i)
          END DO
        ELSEIF (Alpha .EQ. ZERO) THEN
          DO i = 1,M
            X(i) = ZERO
          END DO
        ELSE
          DO i = 1,M
            X(i) = Alpha*X(i)
          END DO
        END IF
        IF( N .LT. 5)RETURN
      END IF
      MP1 = M +  1
      IF (Alpha .EQ. (- ONE))THEN
        DO i = MP1,N,5
          X(i)     = - X(i)
          X(i +  1) = - X(i +  1)
          X(i +  2) = - X(i +  2)
          X(i +  3) = - X(i +  3)
          X(i +  4) = - X(i +  4)
        END DO
      ELSEIF (Alpha .EQ. ZERO) THEN
        DO i = MP1,N,5
          X(i)     = ZERO
          X(i +  1) = ZERO
          X(i +  2) = ZERO
          X(i +  3) = ZERO
          X(i +  4) = ZERO
        END DO
      ELSE
        DO i = MP1,N,5
          X(i)     = Alpha*X(i)
          X(i +  1) = Alpha*X(i +  1)
          X(i +  2) = Alpha*X(i +  2)
          X(i +  3) = Alpha*X(i +  3)
          X(i +  4) = Alpha*X(i +  4)
        END DO
      END IF

      END SUBROUTINE WSCAL
 
      SUBROUTINE WAXPY(N,Alpha,X,incX,Y,incY)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
  !       constant times a vector plus a vector: y <-  y +  Alpha*x
  !       only for incX=incY=1
  !       after BLAS
  !       replace this by the function from the optimized BLAS implementation:
  !           CALL SAXPY(N,Alpha,X,1,Y,1) or  CALL DAXPY(N,Alpha,X,1,Y,1)
  !  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

      INTEGER  :: i,incX,incY,M,MP1,N
      REAL(kind=dp) :: X(N),Y(N),Alpha
      REAL(kind=dp), PARAMETER :: ZERO = 0.0_dp

      IF (Alpha .EQ. ZERO) RETURN
      IF (N .LE. 0) RETURN

      M = MOD(N,4)
      IF( M .NE. 0)THEN
        DO i = 1,M
          Y(i) = Y(i) +  Alpha*X(i)
        END DO
        IF( N .LT. 4)RETURN
      END IF
      MP1 = M +  1
      DO i = MP1,N,4
        Y(i) = Y(i) +  Alpha*X(i)
        Y(i +  1) = Y(i +  1) +  Alpha*X(i +  1)
        Y(i +  2) = Y(i +  2) +  Alpha*X(i +  2)
        Y(i +  3) = Y(i +  3) +  Alpha*X(i +  3)
      END DO
      
      END SUBROUTINE WAXPY
 
SUBROUTINE Rosenbrock(Y,Tstart,Tend, &
           AbsTol,RelTol,            &
           RCNTRL,ICNTRL,RSTATUS,ISTATUS,IERR)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  
!    Solves the system y'=F(t,y) using a Rosenbrock method defined by:
  !  
  !       G = 1/(H*gamma(1))-  Jac(t0,Y0)
  !       T_i = t0 +  Alpha(i)*H
  !       Y_i = Y0 +  \sum_{j=1}^{i- 1} A(i,j)*K_j
  !       G *K_i = Fun( T_i, Y_i)+  \sum_{j=1}^S C(i,j)/H *K_j + 
  !           gamma(i)*dF/dT(t0, Y0)
  !       Y1 = Y0 +  \sum_{j=1}^S M(j)*K_j
  !  
  !      For details on Rosenbrock methods and their implementation consult:
  !        E. Hairer and G. Wanner
  !        "Solving ODEs II. Stiff and differential- algebraic problems".
  !        Springer series in computational mathematics, Springer- Verlag, 1996.
  !      The codes contained in the book inspired this implementation.
  !  
  !      (C)  Adrian Sandu, August 2004
  !      Virginia Polytechnic Institute and State University
  !      Contact: sandu@cs.vt.edu
  !      This implementation is part of KPP -  the Kinetic PreProcessor
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  
  !  ~~~>   INPUT ARGUMENTS:
  !  
  !  -      Y(NVAR)    = vector of initial conditions (at T=Tstart)
  !  -     [Tstart,Tend]  = time range of integration
  !       (if Tstart>Tend the integration is performed backwards in time)
  !  -     RelTol, AbsTol = user precribed accuracy
  !  -  SUBROUTINE  Fun( T, Y, Ydot)= ODE function,
!                       returns Ydot = Y' = F(T,Y)
  !  -  SUBROUTINE  Jac( T, Y, Jcb)= Jacobian of the ODE function,
  !                         returns Jcb = dFun/dY
  !  -     ICNTRL(1:20)    = integer inputs parameters
  !  -     RCNTRL(1:20)    = real inputs parameters
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  
  !  ~~~>     OUTPUT ARGUMENTS:
  !  
  !  -     Y(NVAR)    - > vector of final states (at T- >Tend)
  !  -     ISTATUS(1:20)   - > integer output parameters
  !  -     RSTATUS(1:20)   - > real output parameters
  !  -     IERR            - > job status upon return
  !                          success (positive value) or
  !                          failure (negative value)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  
  !  ~~~>     INPUT PARAMETERS:
  !  
  !      Note: For input parameters equal to zero the default values of the
  !         corresponding variables are used.
  !  
  !      ICNTRL(1) = 1: F = F(y)   Independent of T (AUTONOMOUS)
  !                = 0: F = F(t,y) Depends on T (NON- AUTONOMOUS)
  !  
  !      ICNTRL(2) = 0: AbsTol, RelTol are NVAR- dimensional vectors
  !                = 1: AbsTol, RelTol are scalars
  !  
  !      ICNTRL(3)  - > selection of a particular Rosenbrock method
  !          = 0 :  default method is Rodas3
  !          = 1 :  method is  Ros2
  !          = 2 :  method is  Ros3
  !          = 3 :  method is  Ros4
  !          = 4 :  method is  Rodas3
  !          = 5:   method is  Rodas4
  !  
  !      ICNTRL(4)  - > maximum number of integration steps
  !          For ICNTRL(4)=0) the default value of 100000 is used
  !  
  !      RCNTRL(1)  - > Hmin, lower bound for the integration step size
  !            It is strongly recommended to keep Hmin = ZERO
  !      RCNTRL(2)  - > Hmax, upper bound for the integration step size
  !      RCNTRL(3)  - > Hstart, starting value for the integration step size
  !  
  !      RCNTRL(4)  - > FacMin, lower bound on step decrease factor (default=0.2)
  !      RCNTRL(5)  - > FacMax, upper bound on step increase factor (default=6)
  !      RCNTRL(6)  - > FacRej, step decrease factor after multiple rejections
  !              (default=0.1)
  !      RCNTRL(7)  - > FacSafe, by which the new step is slightly smaller
  !           than the predicted value  (default=0.9)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  
  !  ~~~>     OUTPUT PARAMETERS:
  !  
  !      Note: each call to Rosenbrock adds the current no. of fcn calls
  !        to previous value of ISTATUS(1), and similar for the other params.
  !        Set ISTATUS(1:20) = 0 before call to avoid this accumulation.
  !  
  !      ISTATUS(1) = No. of function calls
  !      ISTATUS(2) = No. of jacobian calls
  !      ISTATUS(3) = No. of steps
  !      ISTATUS(4) = No. of accepted steps
  !      ISTATUS(5) = No. of rejected steps (except at the beginning)
  !      ISTATUS(6) = No. of LU decompositions
  !      ISTATUS(7) = No. of forward/backward substitutions
  !      ISTATUS(8) = No. of singular matrix decompositions
  !  
  !      RSTATUS(1)  - > Texit, the time corresponding to the
  !                     computed Y upon return
  !      RSTATUS(2)  - > Hexit, last accepted step before exit
  !      For multiple restarts, use Hexit as Hstart in the following run
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


  !  ~~~>  Arguments
   REAL(kind=dp), INTENT(INOUT) :: Y(NVAR)
   REAL(kind=dp), INTENT(IN)   :: Tstart,Tend
   REAL(kind=dp), INTENT(IN)   :: AbsTol(NVAR),RelTol(NVAR)
   INTEGER, INTENT(IN)    :: ICNTRL(20)
   REAL(kind=dp), INTENT(IN)   :: RCNTRL(20)
   INTEGER, INTENT(INOUT) :: ISTATUS(20)
   REAL(kind=dp), INTENT(INOUT) :: RSTATUS(20)
   INTEGER, INTENT(OUT)   :: IERR
  !  ~~~>  The method parameters
   INTEGER, PARAMETER :: Smax = 6
   INTEGER  :: Method, ros_S
   REAL(kind=dp), DIMENSION(Smax) :: ros_M, ros_E, ros_Alpha, ros_Gamma
   REAL(kind=dp), DIMENSION(Smax*(Smax- 1)/2) :: ros_A, ros_C
   REAL(kind=dp) :: ros_ELO
   LOGICAL, DIMENSION(Smax) :: ros_NewF
   CHARACTER(LEN=12) :: ros_Name
  !  ~~~>  Local variables
   REAL(kind=dp) :: Roundoff, FacMin, FacMax, FacRej, FacSafe
   REAL(kind=dp) :: Hmin, Hmax, Hstart, Hexit
   REAL(kind=dp) :: Texit
   INTEGER :: i, UplimTol, Max_no_steps
   LOGICAL :: Autonomous, VectorTol
  !  ~~~>   Parameters
   REAL(kind=dp), PARAMETER :: ZERO = 0.0_dp, ONE  = 1.0_dp
   REAL(kind=dp), PARAMETER :: DeltaMin = 1.0E-5_dp

  !  ~~~>  Initialize statistics
   Nfun = ISTATUS(ifun)
   Njac = ISTATUS(ijac)
   Nstp = ISTATUS(istp)
   Nacc = ISTATUS(iacc)
   Nrej = ISTATUS(irej)
   Ndec = ISTATUS(idec)
   Nsol = ISTATUS(isol)
   Nsng = ISTATUS(isng)

  !  ~~~>  Autonomous or time dependent ODE. Default is time dependent.
   Autonomous = .NOT.(ICNTRL(1) == 0)

  !  ~~~>  For Scalar tolerances (ICNTRL(2).NE.0)  the code uses AbsTol(1) and RelTol(1)
  !     For Vector tolerances (ICNTRL(2) == 0) the code uses AbsTol(1:NVAR) and RelTol(1:NVAR)
   IF (ICNTRL(2) == 0) THEN
      VectorTol = .TRUE.
         UplimTol  = NVAR
   ELSE
      VectorTol = .FALSE.
         UplimTol  = 1
   END IF

  !  ~~~>  The particular Rosenbrock method chosen
   IF (ICNTRL(3) == 0) THEN
      Method = 4
   ELSEIF((ICNTRL(3) >= 1).AND.(ICNTRL(3) <= 5))THEN
      Method = ICNTRL(3)
   ELSE
      PRINT *,'User-selected Rosenbrock method: ICNTRL(3)=',Method
      CALL ros_ErrorMsg(- 2,Tstart,ZERO,IERR)
      RETURN
   END IF

  !  ~~~>   The maximum number of steps admitted
   IF (ICNTRL(4) == 0) THEN
      Max_no_steps = 100000
   ELSEIF (ICNTRL(4) > 0) THEN
      Max_no_steps=ICNTRL(4)
   ELSE
      PRINT *,'User-selected max no. of steps: ICNTRL(4)=',ICNTRL(4)
      CALL ros_ErrorMsg(- 1,Tstart,ZERO,IERR)
      RETURN
   END IF

  !  ~~~>  Unit roundoff (1+ Roundoff>1)
   Roundoff = WLAMCH('E')

  !  ~~~>  Lower bound on the step size: (positive value)
   IF (RCNTRL(1) == ZERO) THEN
      Hmin = ZERO
   ELSEIF (RCNTRL(1) > ZERO) THEN
      Hmin = RCNTRL(1)
   ELSE
      PRINT *,'User-selected Hmin: RCNTRL(1)=',RCNTRL(1)
      CALL ros_ErrorMsg(- 3,Tstart,ZERO,IERR)
      RETURN
   END IF
  !  ~~~>  Upper bound on the step size: (positive value)
   IF (RCNTRL(2) == ZERO) THEN
      Hmax = ABS(Tend-Tstart)
   ELSEIF (RCNTRL(2) > ZERO) THEN
      Hmax = MIN(ABS(RCNTRL(2)),ABS(Tend-Tstart))
   ELSE
      PRINT *,'User-selected Hmax: RCNTRL(2)=',RCNTRL(2)
      CALL ros_ErrorMsg(- 3,Tstart,ZERO,IERR)
      RETURN
   END IF
  !  ~~~>  Starting step size: (positive value)
   IF (RCNTRL(3) == ZERO) THEN
      Hstart = MAX(Hmin,DeltaMin)
   ELSEIF (RCNTRL(3) > ZERO) THEN
      Hstart = MIN(ABS(RCNTRL(3)),ABS(Tend-Tstart))
   ELSE
      PRINT *,'User-selected Hstart: RCNTRL(3)=',RCNTRL(3)
      CALL ros_ErrorMsg(- 3,Tstart,ZERO,IERR)
      RETURN
   END IF
  !  ~~~>  Step size can be changed s.t.  FacMin < Hnew/Hexit < FacMax
   IF (RCNTRL(4) == ZERO) THEN
      FacMin = 0.2_dp
   ELSEIF (RCNTRL(4) > ZERO) THEN
      FacMin = RCNTRL(4)
   ELSE
      PRINT *,'User-selected FacMin: RCNTRL(4)=',RCNTRL(4)
      CALL ros_ErrorMsg(- 4,Tstart,ZERO,IERR)
      RETURN
   END IF
   IF (RCNTRL(5) == ZERO) THEN
      FacMax = 6.0_dp
   ELSEIF (RCNTRL(5) > ZERO) THEN
      FacMax = RCNTRL(5)
   ELSE
      PRINT *,'User-selected FacMax: RCNTRL(5)=',RCNTRL(5)
      CALL ros_ErrorMsg(- 4,Tstart,ZERO,IERR)
      RETURN
   END IF
  !  ~~~>   FacRej: Factor to decrease step after 2 succesive rejections
   IF (RCNTRL(6) == ZERO) THEN
      FacRej = 0.1_dp
   ELSEIF (RCNTRL(6) > ZERO) THEN
      FacRej = RCNTRL(6)
   ELSE
      PRINT *,'User-selected FacRej: RCNTRL(6)=',RCNTRL(6)
      CALL ros_ErrorMsg(- 4,Tstart,ZERO,IERR)
      RETURN
   END IF
  !  ~~~>   FacSafe: Safety Factor in the computation of new step size
   IF (RCNTRL(7) == ZERO) THEN
      FacSafe = 0.9_dp
   ELSEIF (RCNTRL(7) > ZERO) THEN
      FacSafe = RCNTRL(7)
   ELSE
      PRINT *,'User-selected FacSafe: RCNTRL(7)=',RCNTRL(7)
      CALL ros_ErrorMsg(- 4,Tstart,ZERO,IERR)
      RETURN
   END IF
  !  ~~~>  Check if tolerances are reasonable
    DO i=1,UplimTol
      IF((AbsTol(i) <= ZERO) .OR. (RelTol(i) <= 10.0_dp*Roundoff) &
         .OR. (RelTol(i) >= 1.0_dp))THEN
        PRINT *,' AbsTol(',i,') = ',AbsTol(i)
        PRINT *,' RelTol(',i,') = ',RelTol(i)
        CALL ros_ErrorMsg(- 5,Tstart,ZERO,IERR)
        RETURN
      END IF
    END DO


  !  ~~~>   Initialize the particular Rosenbrock method
   SELECT CASE (Method)
     CASE (1)
       CALL Ros2(ros_S, ros_A, ros_C, ros_M, ros_E,   &
          ros_Alpha, ros_Gamma, ros_NewF, ros_ELO, ros_Name)
     CASE (2)
       CALL Ros3(ros_S, ros_A, ros_C, ros_M, ros_E,   &
          ros_Alpha, ros_Gamma, ros_NewF, ros_ELO, ros_Name)
     CASE (3)
       CALL Ros4(ros_S, ros_A, ros_C, ros_M, ros_E,   &
          ros_Alpha, ros_Gamma, ros_NewF, ros_ELO, ros_Name)
     CASE (4)
       CALL Rodas3(ros_S, ros_A, ros_C, ros_M, ros_E, &
          ros_Alpha, ros_Gamma, ros_NewF, ros_ELO, ros_Name)
     CASE (5)
       CALL Rodas4(ros_S, ros_A, ros_C, ros_M, ros_E, &
          ros_Alpha, ros_Gamma, ros_NewF, ros_ELO, ros_Name)
     CASE DEFAULT
       PRINT *,'Unknown Rosenbrock method: ICNTRL(3)=',Method
       CALL ros_ErrorMsg(- 2,Tstart,ZERO,IERR)
       RETURN
   END SELECT

  !  ~~~>  CALL Rosenbrock method
   CALL ros_Integrator(Y,Tstart,Tend,Texit,      &
        AbsTol, RelTol,                          &
  !    Rosenbrock method coefficients
        ros_S, ros_M, ros_E, ros_A, ros_C,       &
        ros_Alpha, ros_Gamma, ros_ELO, ros_NewF, &
  !    Integration parameters
        Autonomous, VectorTol, Max_no_steps,     &
        Roundoff, Hmin, Hmax, Hstart, Hexit,     &
        FacMin, FacMax, FacRej, FacSafe,         &
  !    Error indicator
        IERR)


  !  ~~~>  Collect run statistics
   ISTATUS(ifun) = Nfun
   ISTATUS(ijac) = Njac
   ISTATUS(istp) = Nstp
   ISTATUS(iacc) = Nacc
   ISTATUS(irej) = Nrej
   ISTATUS(idec) = Ndec
   ISTATUS(isol) = Nsol
   ISTATUS(isng) = Nsng
  !  ~~~> Last T and H
   RSTATUS(itexit) = Texit
   RSTATUS(ihexit) = Hexit

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
CONTAINS  !   SUBROUTINES internal to Rosenbrock
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 SUBROUTINE ros_ErrorMsg(Code,T,H,IERR)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !      Handles all error messages
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   REAL(kind=dp), INTENT(IN) :: T, H
   INTEGER, INTENT(IN)  :: Code
   INTEGER, INTENT(OUT) :: IERR

   IERR = Code
   PRINT *, &
     'Forced exit from Rosenbrock due to the following error:'
   IF ((Code>=- 8).AND.(Code<=- 1))THEN
     PRINT *, IERR_NAMES(Code)
   ELSE
     PRINT *,'Unknown Error code: ',Code
   ENDIF

   PRINT *, "T=", T, "and H=", H

 END SUBROUTINE ros_ErrorMsg

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 SUBROUTINE ros_Integrator (Y, Tstart, Tend, T,     &
        AbsTol, RelTol,                          &
  !  ~~~> Rosenbrock method coefficients
        ros_S, ros_M, ros_E, ros_A, ros_C,       &
        ros_Alpha, ros_Gamma, ros_ELO, ros_NewF, &
  !  ~~~> Integration parameters
        Autonomous, VectorTol, Max_no_steps,     &
        Roundoff, Hmin, Hmax, Hstart, Hexit,     &
        FacMin, FacMax, FacRej, FacSafe,         &
  !  ~~~> Error indicator
        IERR)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !     Template for the implementation of a generic Rosenbrock method
  !        defined by ros_S (no of stages)
  !        and its coefficients ros_{A,C,M,E,Alpha,Gamma}
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


  !  ~~~> Input: the initial condition at Tstart; Output: the solution at T
   REAL(kind=dp), INTENT(INOUT) :: Y(NVAR)
  !  ~~~> Input: integration interval
   REAL(kind=dp), INTENT(IN) :: Tstart,Tend
  !  ~~~> Output: time at which the solution is returned (T=Tend if success)
   REAL(kind=dp), INTENT(OUT) ::  T
  !  ~~~> Input: tolerances
   REAL(kind=dp), INTENT(IN) ::  AbsTol(NVAR), RelTol(NVAR)
  !  ~~~> Input: The Rosenbrock method parameters
   INTEGER, INTENT(IN) ::  ros_S
   REAL(kind=dp), INTENT(IN) :: ros_M(ros_S), ros_E(ros_S),  &
       ros_Alpha(ros_S), ros_A(ros_S*(ros_S- 1)/2), &
       ros_Gamma(ros_S), ros_C(ros_S*(ros_S- 1)/2), ros_ELO
   LOGICAL, INTENT(IN) :: ros_NewF(ros_S)
  !  ~~~> Input: integration parameters
   LOGICAL, INTENT(IN) :: Autonomous, VectorTol
   REAL(kind=dp), INTENT(IN) :: Hstart, Hmin, Hmax
   INTEGER, INTENT(IN) :: Max_no_steps
   REAL(kind=dp), INTENT(IN) :: Roundoff, FacMin, FacMax, FacRej, FacSafe
  !  ~~~> Output: last accepted step
   REAL(kind=dp), INTENT(OUT) :: Hexit
  !  ~~~> Output: Error indicator
   INTEGER, INTENT(OUT) :: IERR
  !   ~~~~ Local variables
   REAL(kind=dp) :: Ynew(NVAR), Fcn0(NVAR), Fcn(NVAR)
   REAL(kind=dp) :: K(NVAR*ros_S), dFdT(NVAR)
   REAL(kind=dp) :: Jac0(LU_NONZERO), Ghimj(LU_NONZERO)
   REAL(kind=dp) :: H, Hnew, HC, HG, Fac, Tau
   REAL(kind=dp) :: Err, Yerr(NVAR)
   INTEGER :: Pivot(NVAR), Direction, ioffset, j, istage
   LOGICAL :: RejectLastH, RejectMoreH, Singular
  !  ~~~>  Local parameters
   REAL(kind=dp), PARAMETER :: ZERO = 0.0_dp, ONE  = 1.0_dp
   REAL(kind=dp), PARAMETER :: DeltaMin = 1.0E-5_dp
  !  ~~~>  Locally called functions
  !      REAL(kind=dp) WLAMCH
  !      EXTERNAL WLAMCH
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


  !  ~~~>  Initial preparations
   T = Tstart
   Hexit = 0.0_dp
   H = MIN(Hstart,Hmax)
   IF (ABS(H) <= 10.0_dp*Roundoff) H = DeltaMin

   IF (Tend  >=  Tstart) THEN
     Direction = + 1
   ELSE
     Direction = - 1
   END IF

   RejectLastH=.FALSE.
   RejectMoreH=.FALSE.

  !  ~~~> Time loop begins below

TimeLoop: DO WHILE((Direction > 0).AND.((T- Tend)+ Roundoff <= ZERO) &
       .OR. (Direction < 0).AND.((Tend-T)+ Roundoff <= ZERO))

   IF(Nstp > Max_no_steps)THEN   !  Too many steps
      CALL ros_ErrorMsg(- 6,T,H,IERR)
      RETURN
   END IF
   IF(((T+ 0.1_dp*H) == T).OR.(H <= Roundoff))THEN   !  Step size too small
      CALL ros_ErrorMsg(- 7,T,H,IERR)
      RETURN
   END IF

  !  ~~~>  Limit H if necessary to avoid going beyond Tend
   Hexit = H
   H = MIN(H,ABS(Tend-T))

  !  ~~~>   Compute the function at current time
   CALL FunTemplate(T,Y,Fcn0)

  !  ~~~>  Compute the function derivative with respect to T
   IF (.NOT.Autonomous) THEN
      CALL ros_FunTimeDerivative(T, Roundoff, Y, &
                Fcn0, dFdT)
   END IF

  !  ~~~>   Compute the Jacobian at current time
   CALL JacTemplate(T,Y,Jac0)

  !  ~~~>  Repeat step calculation until current step accepted
UntilAccepted: DO

   CALL ros_PrepareMatrix(H,Direction,ros_Gamma(1), &
          Jac0,Ghimj,Pivot,Singular)
   IF (Singular) THEN  !  More than 5 consecutive failed decompositions
       CALL ros_ErrorMsg(- 8,T,H,IERR)
       RETURN
   END IF

  !  ~~~>   Compute the stages
Stage: DO istage = 1, ros_S

       !  Current istage offset. Current istage vector is K(ioffset+ 1:ioffset+ NVAR)
       ioffset = NVAR*(istage-1)

       !  For the 1st istage the function has been computed previously
       IF(istage == 1)THEN
  !           CALL WCOPY(NVAR,Fcn0,1,Fcn,1)
         Fcn(1:NVAR) = Fcn0(1:NVAR) 
       !  istage>1 and a new function evaluation is needed at the current istage
       ELSEIF(ros_NewF(istage))THEN
  !           CALL WCOPY(NVAR,Y,1,Ynew,1)
         Ynew(1:NVAR) = Y(1:NVAR)
         DO j = 1, istage-1
  !             CALL WAXPY(NVAR,ros_A((istage-1)*(istage-2)/2+ j), &
  !              K(NVAR*(j- 1)+ 1),1,Ynew,1)
           Ynew(1:NVAR) = Ynew(1:NVAR) +  K(NVAR*(j- 1)+ 1:NVAR*j) &
                        *ros_A((istage-1)*(istage-2)/2+ j)
         END DO
         Tau = T +  ros_Alpha(istage)*Direction*H
         CALL FunTemplate(Tau,Ynew,Fcn)
       END IF  !  if istage == 1 elseif ros_NewF(istage)
  !         CALL WCOPY(NVAR,Fcn,1,K(ioffset+ 1),1)
       K(ioffset+ 1:ioffset+ NVAR) = Fcn(1:NVAR)
       DO j = 1, istage-1
         HC = ros_C((istage-1)*(istage-2)/2+ j)/(Direction*H)
  !           CALL WAXPY(NVAR,HC,K(NVAR*(j- 1)+ 1),1,K(ioffset+ 1),1)
         K(ioffset+ 1:ioffset+ NVAR) = K(ioffset+ 1:ioffset+ NVAR) +  &
           K(NVAR*(j- 1)+ 1:NVAR*j) *HC
       END DO
       IF ((.NOT. Autonomous).AND.(ros_Gamma(istage).NE.ZERO))THEN
         HG = Direction*H*ros_Gamma(istage)
  !           CALL WAXPY(NVAR,HG,dFdT,1,K(ioffset+ 1),1)
         K(ioffset+ 1:ioffset+ NVAR) = K(ioffset+ 1:ioffset+ NVAR) +  &
           dFdT(1:NVAR) *HG
       END IF
       CALL ros_Solve(Ghimj, Pivot, K(ioffset+ 1))

   END DO Stage


  !  ~~~>  Compute the new solution
  !     CALL WCOPY(NVAR,Y,1,Ynew,1)
   YNEW(1:NVAR) = Y(1:NVAR)
   Yerr(1:NVAR) = ZERO  !  op_pj_20150622: moved to here according to BULL
   DO j=1,ros_S
  !           CALL WAXPY(NVAR,ros_M(j),K(NVAR*(j- 1)+ 1),1,Ynew,1)
         Ynew(1:NVAR) = Ynew(1:NVAR) +  &
                        K(NVAR*(j- 1)+ 1:NVAR*j) *ros_m(j)
  !    !  $   END DO   !   op_pj_20150622: loop fusion according to BULL

  !  ~~~>  Compute the error estimation
  !     CALL WSCAL(NVAR,ZERO,Yerr,1)
  !    !  $   Yerr(1:NVAR) = ZERO   !   op_pj_20150622: moved to above according to BULL
  !    !  $   DO j=1,ros_S   !   op_pj_20150622: loop fusion according to BULL
  !       CALL WAXPY(NVAR,ros_E(j),K(NVAR*(j- 1)+ 1),1,Yerr,1)
     Yerr(1:NVAR) = Yerr(1:NVAR) +  &
                    K(NVAR*(j- 1)+ 1:NVAR*j) *ros_E(j)
   END DO
   Err = ros_ErrorNorm(Y, Ynew, Yerr, AbsTol, RelTol, VectorTol)

  !  ~~~> New step size is bounded by FacMin <= Hnew/H <= FacMax
   Fac  = MIN(FacMax,MAX(FacMin,FacSafe/Err**(ONE/ros_ELO)))
   Hnew = H*Fac

  !  ~~~>  Check the error magnitude and adjust step size
   Nstp = Nstp+ 1
   IF((Err <= ONE).OR.(H <= Hmin))THEN   ! ~~~> Accept step
      Nacc = Nacc+ 1
  !        CALL WCOPY(NVAR,Ynew,1,Y,1)
      Y(1:NVAR) = MAX(Ynew(1:NVAR),ZERO)
      T = T +  Direction*H
      Hnew = MAX(Hmin,MIN(Hnew,Hmax))
      IF (RejectLastH) THEN   !  No step size increase after a rejected step
         Hnew = MIN(Hnew,H)
      END IF
      RejectLastH = .FALSE.
      RejectMoreH = .FALSE.
      H = Hnew
      EXIT UntilAccepted  !  EXIT THE LOOP: WHILE STEP NOT ACCEPTED
   ELSE            ! ~~~> Reject step
      IF (RejectMoreH) THEN
         Hnew = H*FacRej
      END IF
      RejectMoreH = RejectLastH
      RejectLastH = .TRUE.
      H = Hnew
      IF (Nacc >= 1) THEN
         Nrej = Nrej+ 1
      END IF
   END IF  !  Err <= 1

   END DO UntilAccepted

   END DO TimeLoop

  !  ~~~> Succesful exit
   IERR = 1   ! ~~~> The integration was successful

  END SUBROUTINE ros_Integrator


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  REAL(kind=dp) FUNCTION ros_ErrorNorm(Y, Ynew, Yerr, &
               AbsTol, RelTol, VectorTol)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  ~~~> Computes the "scaled norm" of the error vector Yerr
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  !   Input arguments
   REAL(kind=dp), INTENT(IN) :: Y(NVAR), Ynew(NVAR), &
          Yerr(NVAR), AbsTol(NVAR), RelTol(NVAR)
   LOGICAL, INTENT(IN) ::  VectorTol
  !   Local variables
   REAL(kind=dp) :: Err, Scale, Ymax
   INTEGER  :: i
   REAL(kind=dp), PARAMETER :: ZERO = 0.0_dp

   Err = ZERO
   DO i=1,NVAR
     Ymax = MAX(ABS(Y(i)),ABS(Ynew(i)))
     IF (VectorTol) THEN
       Scale = AbsTol(i)+ RelTol(i)*Ymax
     ELSE
       Scale = AbsTol(1)+ RelTol(1)*Ymax
     END IF
     Err = Err+ (Yerr(i)/Scale)**2
   END DO
   Err  = SQRT(Err/NVAR)

   ros_ErrorNorm = Err

  END FUNCTION ros_ErrorNorm


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE ros_FunTimeDerivative(T, Roundoff, Y, &
                Fcn0, dFdT)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  ~~~> The time partial derivative of the function by finite differences
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  !  ~~~> Input arguments
   REAL(kind=dp), INTENT(IN) :: T, Roundoff, Y(NVAR), Fcn0(NVAR)
  !  ~~~> Output arguments
   REAL(kind=dp), INTENT(OUT) :: dFdT(NVAR)
  !  ~~~> Local variables
   REAL(kind=dp) :: Delta
   REAL(kind=dp), PARAMETER :: ONE = 1.0_dp, DeltaMin = 1.0E-6_dp

   Delta = SQRT(Roundoff)*MAX(DeltaMin,ABS(T))
   CALL FunTemplate(T+ Delta,Y,dFdT)
  !     CALL WAXPY(NVAR,(- ONE),Fcn0,1,dFdT,1)
   dFdt(1:NVAR) = dFdt(1:NVAR) -  ONE *FcN0(1:NVAR)
  !     CALL WSCAL(NVAR,(ONE/Delta),dFdT,1)
   dFDT(1:NVAR) = dFDT(1:NVAR) *(ONE/Delta)
  END SUBROUTINE ros_FunTimeDerivative


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE ros_PrepareMatrix(H, Direction, gam, &
             Jac0, Ghimj, Pivot, Singular)
  !   - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - - 
  !    Prepares the LHS matrix for stage calculations
  !    1.  Construct Ghimj = 1/(H*ham) -  Jac0
  !        "(Gamma H) Inverse Minus Jacobian"
  !    2.  Repeat LU decomposition of Ghimj until successful.
  !         - half the step size if LU decomposition fails and retry
  !         - exit after 5 consecutive fails
  !   - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - -  - - - 

  !  ~~~> Input arguments
   REAL(kind=dp), INTENT(IN) ::  Jac0(LU_NONZERO)
   REAL(kind=dp), INTENT(IN) ::  gam
   INTEGER, INTENT(IN) ::  Direction
  !  ~~~> Output arguments
   REAL(kind=dp), INTENT(OUT) :: Ghimj(LU_NONZERO)
   LOGICAL, INTENT(OUT) ::  Singular
   INTEGER, INTENT(OUT) ::  Pivot(NVAR)
  !  ~~~> Inout arguments
   REAL(kind=dp), INTENT(INOUT) :: H    !  step size is decreased when LU fails
  !  ~~~> Local variables
   INTEGER  :: i, ising, Nconsecutive
   REAL(kind=dp) :: ghinv
   REAL(kind=dp), PARAMETER :: ONE  = 1.0_dp, HALF = 0.5_dp

   Nconsecutive = 0
   Singular = .TRUE.

   DO WHILE (Singular)

  !  ~~~>    Construct Ghimj = 1/(H*gam) -  Jac0
  !       CALL WCOPY(LU_NONZERO,Jac0,1,Ghimj,1)
     Ghimj(1:LU_NONZERO) = JAC0(1:LU_NONZERO)
  !       CALL WSCAL(LU_NONZERO,(- ONE),Ghimj,1)
     Ghimj(1:LU_NONZERO) = (- ONE) *Ghimj(1:LU_NONZERO) 
     ghinv = ONE/(Direction*H*gam)
     DO i=1,NVAR
       Ghimj(LU_DIAG(i))= Ghimj(LU_DIAG(i))+ ghinv
     END DO
  !  ~~~>    Compute LU decomposition
     CALL ros_Decomp( Ghimj, Pivot, ising)
     IF (ising == 0) THEN
  !  ~~~>    If successful done
        Singular = .FALSE.
     ELSE  !  ising .ne. 0
  !  ~~~>    If unsuccessful half the step size; if 5 consecutive fails then return
        Nsng = Nsng+ 1
        Nconsecutive = Nconsecutive+1
        Singular = .TRUE.
        PRINT*,'Warning: LU Decomposition returned ising = ',ising
        IF (Nconsecutive <= 5) THEN  !  Less than 5 consecutive failed decompositions
           H = H*HALF
        ELSE   !  More than 5 consecutive failed decompositions
           RETURN
        END IF   !  Nconsecutive
      END IF     !  ising

   END DO  !  WHILE Singular

  END SUBROUTINE ros_PrepareMatrix


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE ros_Decomp( A, Pivot, ising)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !    Template for the LU decomposition
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  ~~~> Inout variables
   REAL(kind=dp), INTENT(INOUT) :: A(LU_NONZERO)
  !  ~~~> Output variables
   INTEGER, INTENT(OUT) :: Pivot(NVAR), ising

   CALL KppDecomp(A, ising)
   Pivot(1) = 1
   Ndec = Ndec +  1

  END SUBROUTINE ros_Decomp


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE ros_Solve( A, Pivot, b)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !    Template for the forward/backward substitution (using pre-computed LU decomposition)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  ~~~> Input variables
   REAL(kind=dp), INTENT(IN) :: A(LU_NONZERO)
   INTEGER, INTENT(IN) :: Pivot(NVAR)
  !  ~~~> InOut variables
   REAL(kind=dp), INTENT(INOUT) :: b(NVAR)

  
   CALL KppSolve( A, b)

   Nsol = Nsol+ 1

  END SUBROUTINE ros_Solve



  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE Ros2 (ros_S,ros_A,ros_C,ros_M,ros_E,ros_Alpha,&
            ros_Gamma,ros_NewF,ros_ELO,ros_Name)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   - - -  AN L- STABLE METHOD, 2 stages, order 2
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


   INTEGER, PARAMETER :: S=2
   INTEGER, INTENT(OUT) ::  ros_S
   REAL(kind=dp), DIMENSION(S), INTENT(OUT) :: ros_M,ros_E,ros_Alpha,ros_Gamma
   REAL(kind=dp), DIMENSION(S*(S- 1)/2), INTENT(OUT) :: ros_A, ros_C
   REAL(kind=dp), INTENT(OUT) :: ros_ELO
   LOGICAL, DIMENSION(S), INTENT(OUT) :: ros_NewF
   CHARACTER(LEN=12), INTENT(OUT) :: ros_Name
   DOUBLE PRECISION g

    g = 1.0_dp +  1.0_dp/SQRT(2.0_dp)

  !  ~~~> Name of the method
    ros_Name = 'ROS-2'
  !  ~~~> Number of stages
    ros_S = S

  !  ~~~> The coefficient matrices A and C are strictly lower triangular.
  !     The lower triangular (subdiagonal) elements are stored in row- wise order:
  !     A(2,1) = ros_A(1), A(3,1)=ros_A(2), A(3,2)=ros_A(3), etc.
  !     The general mapping formula is:
  !         A(i,j) = ros_A( (i- 1)*(i- 2)/2 +  j)
  !         C(i,j) = ros_C( (i- 1)*(i- 2)/2 +  j)

    ros_A(1) = (1.0_dp)/g
    ros_C(1) = (- 2.0_dp)/g
  !  ~~~> Does the stage i require a new function evaluation (ros_NewF(i)=TRUE)
  !     or does it re-use the function evaluation from stage i- 1 (ros_NewF(i)=FALSE)
    ros_NewF(1) = .TRUE.
    ros_NewF(2) = .TRUE.
  !  ~~~> M_i = Coefficients for new step solution
    ros_M(1)= (3.0_dp)/(2.0_dp*g)
    ros_M(2)= (1.0_dp)/(2.0_dp*g)
  !   E_i = Coefficients for error estimator
    ros_E(1) = 1.0_dp/(2.0_dp*g)
    ros_E(2) = 1.0_dp/(2.0_dp*g)
  !  ~~~> ros_ELO = estimator of local order -  the minimum between the
  !      main and the embedded scheme orders plus one
    ros_ELO = 2.0_dp
  !  ~~~> Y_stage_i ~ Y( T +  H*Alpha_i)
    ros_Alpha(1) = 0.0_dp
    ros_Alpha(2) = 1.0_dp
  !  ~~~> Gamma_i = \sum_j  gamma_{i,j}
    ros_Gamma(1) = g
    ros_Gamma(2) =- g

 END SUBROUTINE Ros2


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE Ros3 (ros_S,ros_A,ros_C,ros_M,ros_E,ros_Alpha,&
           ros_Gamma,ros_NewF,ros_ELO,ros_Name)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   - - -  AN L- STABLE METHOD, 3 stages, order 3, 2 function evaluations
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


   INTEGER, PARAMETER :: S=3
   INTEGER, INTENT(OUT) ::  ros_S
   REAL(kind=dp), DIMENSION(S), INTENT(OUT) :: ros_M,ros_E,ros_Alpha,ros_Gamma
   REAL(kind=dp), DIMENSION(S*(S- 1)/2), INTENT(OUT) :: ros_A, ros_C
   REAL(kind=dp), INTENT(OUT) :: ros_ELO
   LOGICAL, DIMENSION(S), INTENT(OUT) :: ros_NewF
   CHARACTER(LEN=12), INTENT(OUT) :: ros_Name

  !  ~~~> Name of the method
   ros_Name = 'ROS-3'
  !  ~~~> Number of stages
   ros_S = S

  !  ~~~> The coefficient matrices A and C are strictly lower triangular.
  !     The lower triangular (subdiagonal) elements are stored in row- wise order:
  !     A(2,1) = ros_A(1), A(3,1)=ros_A(2), A(3,2)=ros_A(3), etc.
  !     The general mapping formula is:
  !         A(i,j) = ros_A( (i- 1)*(i- 2)/2 +  j)
  !         C(i,j) = ros_C( (i- 1)*(i- 2)/2 +  j)

   ros_A(1)= 1.0_dp
   ros_A(2)= 1.0_dp
   ros_A(3)= 0.0_dp

   ros_C(1) = - 0.10156171083877702091975600115545E+01_dp
   ros_C(2) =  0.40759956452537699824805835358067E+01_dp
   ros_C(3) =  0.92076794298330791242156818474003E+01_dp
  !  ~~~> Does the stage i require a new function evaluation (ros_NewF(i)=TRUE)
  !     or does it re-use the function evaluation from stage i- 1 (ros_NewF(i)=FALSE)
   ros_NewF(1) = .TRUE.
   ros_NewF(2) = .TRUE.
   ros_NewF(3) = .FALSE.
  !  ~~~> M_i = Coefficients for new step solution
   ros_M(1) =  0.1E+01_dp
   ros_M(2) =  0.61697947043828245592553615689730E+01_dp
   ros_M(3) = - 0.42772256543218573326238373806514E+00_dp
  !   E_i = Coefficients for error estimator
   ros_E(1) =  0.5E+00_dp
   ros_E(2) = - 0.29079558716805469821718236208017E+01_dp
   ros_E(3) =  0.22354069897811569627360909276199E+00_dp
  !  ~~~> ros_ELO = estimator of local order -  the minimum between the
  !      main and the embedded scheme orders plus 1
   ros_ELO = 3.0_dp
  !  ~~~> Y_stage_i ~ Y( T +  H*Alpha_i)
   ros_Alpha(1)= 0.0E+00_dp
   ros_Alpha(2)= 0.43586652150845899941601945119356E+00_dp
   ros_Alpha(3)= 0.43586652150845899941601945119356E+00_dp
  !  ~~~> Gamma_i = \sum_j  gamma_{i,j}
   ros_Gamma(1)= 0.43586652150845899941601945119356E+00_dp
   ros_Gamma(2)= 0.24291996454816804366592249683314E+00_dp
   ros_Gamma(3)= 0.21851380027664058511513169485832E+01_dp

  END SUBROUTINE Ros3

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE Ros4 (ros_S,ros_A,ros_C,ros_M,ros_E,ros_Alpha,&
           ros_Gamma,ros_NewF,ros_ELO,ros_Name)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !       L- STABLE ROSENBROCK METHOD OF ORDER 4, WITH 4 STAGES
  !       L- STABLE EMBEDDED ROSENBROCK METHOD OF ORDER 3
  !  
  !        E. HAIRER AND G. WANNER, SOLVING ORDINARY DIFFERENTIAL
  !        EQUATIONS II. STIFF AND DIFFERENTIAL- ALGEBRAIC PROBLEMS.
  !        SPRINGER SERIES IN COMPUTATIONAL MATHEMATICS,
  !        SPRINGER- VERLAG (1990)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


   INTEGER, PARAMETER :: S=4
   INTEGER, INTENT(OUT) ::  ros_S
   REAL(kind=dp), DIMENSION(4), INTENT(OUT) :: ros_M,ros_E,ros_Alpha,ros_Gamma
   REAL(kind=dp), DIMENSION(6), INTENT(OUT) :: ros_A, ros_C
   REAL(kind=dp), INTENT(OUT) :: ros_ELO
   LOGICAL, DIMENSION(4), INTENT(OUT) :: ros_NewF
   CHARACTER(LEN=12), INTENT(OUT) :: ros_Name
   DOUBLE PRECISION g

  !  ~~~> Name of the method
   ros_Name = 'ROS-4'
  !  ~~~> Number of stages
   ros_S = S

  !  ~~~> The coefficient matrices A and C are strictly lower triangular.
  !     The lower triangular (subdiagonal) elements are stored in row- wise order:
  !     A(2,1) = ros_A(1), A(3,1)=ros_A(2), A(3,2)=ros_A(3), etc.
  !     The general mapping formula is:
  !         A(i,j) = ros_A( (i- 1)*(i- 2)/2 +  j)
  !         C(i,j) = ros_C( (i- 1)*(i- 2)/2 +  j)

   ros_A(1) = 0.2000000000000000E+01_dp
   ros_A(2) = 0.1867943637803922E+01_dp
   ros_A(3) = 0.2344449711399156E+00_dp
   ros_A(4) = ros_A(2)
   ros_A(5) = ros_A(3)
   ros_A(6) = 0.0_dp

   ros_C(1) =- 0.7137615036412310E+01_dp
   ros_C(2) = 0.2580708087951457E+01_dp
   ros_C(3) = 0.6515950076447975E+00_dp
   ros_C(4) =- 0.2137148994382534E+01_dp
   ros_C(5) =- 0.3214669691237626E+00_dp
   ros_C(6) =- 0.6949742501781779E+00_dp
  !  ~~~> Does the stage i require a new function evaluation (ros_NewF(i)=TRUE)
  !     or does it re-use the function evaluation from stage i- 1 (ros_NewF(i)=FALSE)
   ros_NewF(1)  = .TRUE.
   ros_NewF(2)  = .TRUE.
   ros_NewF(3)  = .TRUE.
   ros_NewF(4)  = .FALSE.
  !  ~~~> M_i = Coefficients for new step solution
   ros_M(1) = 0.2255570073418735E+01_dp
   ros_M(2) = 0.2870493262186792E+00_dp
   ros_M(3) = 0.4353179431840180E+00_dp
   ros_M(4) = 0.1093502252409163E+01_dp
  !  ~~~> E_i  = Coefficients for error estimator
   ros_E(1) =- 0.2815431932141155E+00_dp
   ros_E(2) =- 0.7276199124938920E-01_dp
   ros_E(3) =- 0.1082196201495311E+00_dp
   ros_E(4) =- 0.1093502252409163E+01_dp
  !  ~~~> ros_ELO  = estimator of local order -  the minimum between the
  !      main and the embedded scheme orders plus 1
   ros_ELO  = 4.0_dp
  !  ~~~> Y_stage_i ~ Y( T +  H*Alpha_i)
   ros_Alpha(1) = 0.0_dp
   ros_Alpha(2) = 0.1145640000000000E+01_dp
   ros_Alpha(3) = 0.6552168638155900E+00_dp
   ros_Alpha(4) = ros_Alpha(3)
  !  ~~~> Gamma_i = \sum_j  gamma_{i,j}
   ros_Gamma(1) = 0.5728200000000000E+00_dp
   ros_Gamma(2) =- 0.1769193891319233E+01_dp
   ros_Gamma(3) = 0.7592633437920482E+00_dp
   ros_Gamma(4) =- 0.1049021087100450E+00_dp

  END SUBROUTINE Ros4

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE Rodas3 (ros_S,ros_A,ros_C,ros_M,ros_E,ros_Alpha,&
            ros_Gamma,ros_NewF,ros_ELO,ros_Name)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !   - - -  A STIFFLY- STABLE METHOD, 4 stages, order 3
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


   INTEGER, PARAMETER :: S=4
   INTEGER, INTENT(OUT) ::  ros_S
   REAL(kind=dp), DIMENSION(S), INTENT(OUT) :: ros_M,ros_E,ros_Alpha,ros_Gamma
   REAL(kind=dp), DIMENSION(S*(S- 1)/2), INTENT(OUT) :: ros_A, ros_C
   REAL(kind=dp), INTENT(OUT) :: ros_ELO
   LOGICAL, DIMENSION(S), INTENT(OUT) :: ros_NewF
   CHARACTER(LEN=12), INTENT(OUT) :: ros_Name
   DOUBLE PRECISION g

  !  ~~~> Name of the method
   ros_Name = 'RODAS-3'
  !  ~~~> Number of stages
   ros_S = S

  !  ~~~> The coefficient matrices A and C are strictly lower triangular.
  !     The lower triangular (subdiagonal) elements are stored in row- wise order:
  !     A(2,1) = ros_A(1), A(3,1)=ros_A(2), A(3,2)=ros_A(3), etc.
  !     The general mapping formula is:
  !         A(i,j) = ros_A( (i- 1)*(i- 2)/2 +  j)
  !         C(i,j) = ros_C( (i- 1)*(i- 2)/2 +  j)

   ros_A(1) = 0.0E+00_dp
   ros_A(2) = 2.0E+00_dp
   ros_A(3) = 0.0E+00_dp
   ros_A(4) = 2.0E+00_dp
   ros_A(5) = 0.0E+00_dp
   ros_A(6) = 1.0E+00_dp

   ros_C(1) = 4.0E+00_dp
   ros_C(2) = 1.0E+00_dp
   ros_C(3) =- 1.0E+00_dp
   ros_C(4) = 1.0E+00_dp
   ros_C(5) =- 1.0E+00_dp
   ros_C(6) =- (8.0E+00_dp/3.0E+00_dp)

  !  ~~~> Does the stage i require a new function evaluation (ros_NewF(i)=TRUE)
  !     or does it re-use the function evaluation from stage i- 1 (ros_NewF(i)=FALSE)
   ros_NewF(1)  = .TRUE.
   ros_NewF(2)  = .FALSE.
   ros_NewF(3)  = .TRUE.
   ros_NewF(4)  = .TRUE.
  !  ~~~> M_i = Coefficients for new step solution
   ros_M(1) = 2.0E+00_dp
   ros_M(2) = 0.0E+00_dp
   ros_M(3) = 1.0E+00_dp
   ros_M(4) = 1.0E+00_dp
  !  ~~~> E_i  = Coefficients for error estimator
   ros_E(1) = 0.0E+00_dp
   ros_E(2) = 0.0E+00_dp
   ros_E(3) = 0.0E+00_dp
   ros_E(4) = 1.0E+00_dp
  !  ~~~> ros_ELO  = estimator of local order -  the minimum between the
  !      main and the embedded scheme orders plus 1
   ros_ELO  = 3.0E+00_dp
  !  ~~~> Y_stage_i ~ Y( T +  H*Alpha_i)
   ros_Alpha(1) = 0.0E+00_dp
   ros_Alpha(2) = 0.0E+00_dp
   ros_Alpha(3) = 1.0E+00_dp
   ros_Alpha(4) = 1.0E+00_dp
  !  ~~~> Gamma_i = \sum_j  gamma_{i,j}
   ros_Gamma(1) = 0.5E+00_dp
   ros_Gamma(2) = 1.5E+00_dp
   ros_Gamma(3) = 0.0E+00_dp
   ros_Gamma(4) = 0.0E+00_dp

  END SUBROUTINE Rodas3

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  SUBROUTINE Rodas4 (ros_S,ros_A,ros_C,ros_M,ros_E,ros_Alpha,&
             ros_Gamma,ros_NewF,ros_ELO,ros_Name)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !       STIFFLY- STABLE ROSENBROCK METHOD OF ORDER 4, WITH 6 STAGES
  !  
  !        E. HAIRER AND G. WANNER, SOLVING ORDINARY DIFFERENTIAL
  !        EQUATIONS II. STIFF AND DIFFERENTIAL- ALGEBRAIC PROBLEMS.
  !        SPRINGER SERIES IN COMPUTATIONAL MATHEMATICS,
  !        SPRINGER- VERLAG (1996)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


   INTEGER, PARAMETER :: S=6
   INTEGER, INTENT(OUT) ::  ros_S
   REAL(kind=dp), DIMENSION(S), INTENT(OUT) :: ros_M,ros_E,ros_Alpha,ros_Gamma
   REAL(kind=dp), DIMENSION(S*(S- 1)/2), INTENT(OUT) :: ros_A, ros_C
   REAL(kind=dp), INTENT(OUT) :: ros_ELO
   LOGICAL, DIMENSION(S), INTENT(OUT) :: ros_NewF
   CHARACTER(LEN=12), INTENT(OUT) :: ros_Name
   DOUBLE PRECISION g

  !  ~~~> Name of the method
    ros_Name = 'RODAS-4'
  !  ~~~> Number of stages
    ros_S = 6

  !  ~~~> Y_stage_i ~ Y( T +  H*Alpha_i)
    ros_Alpha(1) = 0.000_dp
    ros_Alpha(2) = 0.386_dp
    ros_Alpha(3) = 0.210_dp
    ros_Alpha(4) = 0.630_dp
    ros_Alpha(5) = 1.000_dp
    ros_Alpha(6) = 1.000_dp

  !  ~~~> Gamma_i = \sum_j  gamma_{i,j}
    ros_Gamma(1) = 0.2500000000000000E+00_dp
    ros_Gamma(2) =- 0.1043000000000000E+00_dp
    ros_Gamma(3) = 0.1035000000000000E+00_dp
    ros_Gamma(4) =- 0.3620000000000023E-01_dp
    ros_Gamma(5) = 0.0_dp
    ros_Gamma(6) = 0.0_dp

  !  ~~~> The coefficient matrices A and C are strictly lower triangular.
  !     The lower triangular (subdiagonal) elements are stored in row- wise order:
  !     A(2,1) = ros_A(1), A(3,1)=ros_A(2), A(3,2)=ros_A(3), etc.
  !     The general mapping formula is:  A(i,j) = ros_A( (i- 1)*(i- 2)/2 +  j)
  !                    C(i,j) = ros_C( (i- 1)*(i- 2)/2 +  j)

    ros_A(1) = 0.1544000000000000E+01_dp
    ros_A(2) = 0.9466785280815826E+00_dp
    ros_A(3) = 0.2557011698983284E+00_dp
    ros_A(4) = 0.3314825187068521E+01_dp
    ros_A(5) = 0.2896124015972201E+01_dp
    ros_A(6) = 0.9986419139977817E+00_dp
    ros_A(7) = 0.1221224509226641E+01_dp
    ros_A(8) = 0.6019134481288629E+01_dp
    ros_A(9) = 0.1253708332932087E+02_dp
    ros_A(10) =- 0.6878860361058950E+00_dp
    ros_A(11) = ros_A(7)
    ros_A(12) = ros_A(8)
    ros_A(13) = ros_A(9)
    ros_A(14) = ros_A(10)
    ros_A(15) = 1.0E+00_dp

    ros_C(1) =- 0.5668800000000000E+01_dp
    ros_C(2) =- 0.2430093356833875E+01_dp
    ros_C(3) =- 0.2063599157091915E+00_dp
    ros_C(4) =- 0.1073529058151375E+00_dp
    ros_C(5) =- 0.9594562251023355E+01_dp
    ros_C(6) =- 0.2047028614809616E+02_dp
    ros_C(7) = 0.7496443313967647E+01_dp
    ros_C(8) =- 0.1024680431464352E+02_dp
    ros_C(9) =- 0.3399990352819905E+02_dp
    ros_C(10) = 0.1170890893206160E+02_dp
    ros_C(11) = 0.8083246795921522E+01_dp
    ros_C(12) =- 0.7981132988064893E+01_dp
    ros_C(13) =- 0.3152159432874371E+02_dp
    ros_C(14) = 0.1631930543123136E+02_dp
    ros_C(15) =- 0.6058818238834054E+01_dp

  !  ~~~> M_i = Coefficients for new step solution
    ros_M(1) = ros_A(7)
    ros_M(2) = ros_A(8)
    ros_M(3) = ros_A(9)
    ros_M(4) = ros_A(10)
    ros_M(5) = 1.0E+00_dp
    ros_M(6) = 1.0E+00_dp

  !  ~~~> E_i  = Coefficients for error estimator
    ros_E(1) = 0.0E+00_dp
    ros_E(2) = 0.0E+00_dp
    ros_E(3) = 0.0E+00_dp
    ros_E(4) = 0.0E+00_dp
    ros_E(5) = 0.0E+00_dp
    ros_E(6) = 1.0E+00_dp

  !  ~~~> Does the stage i require a new function evaluation (ros_NewF(i)=TRUE)
  !     or does it re-use the function evaluation from stage i- 1 (ros_NewF(i)=FALSE)
    ros_NewF(1) = .TRUE.
    ros_NewF(2) = .TRUE.
    ros_NewF(3) = .TRUE.
    ros_NewF(4) = .TRUE.
    ros_NewF(5) = .TRUE.
    ros_NewF(6) = .TRUE.

  !  ~~~> ros_ELO  = estimator of local order -  the minimum between the
  !          main and the embedded scheme orders plus 1
    ros_ELO = 4.0_dp

  END SUBROUTINE Rodas4

  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !     End of the set of internal Rosenbrock subroutines
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
END SUBROUTINE Rosenbrock
 
SUBROUTINE FunTemplate( T, Y, Ydot)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !    Template for the ODE function call.
  !    Updates the rate coefficients (and possibly the fixed species) at each call
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  ~~~> Input variables
   REAL(kind=dp) :: T, Y(NVAR)
  !  ~~~> Output variables
   REAL(kind=dp) :: Ydot(NVAR)
  !  ~~~> Local variables
   REAL(kind=dp) :: Told

   Told = TIME
   TIME = T
  !     CALL Update_SUN()
  !     CALL Update_RCONST()
   CALL Fun( Y, FIX, RCONST, Ydot)
   TIME = Told

   Nfun = Nfun+ 1

END SUBROUTINE FunTemplate
 
SUBROUTINE JacTemplate( T, Y, Jcb)
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !    Template for the ODE Jacobian call.
  !    Updates the rate coefficients (and possibly the fixed species) at each call
  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  !  ~~~> Input variables
    REAL(kind=dp) :: T, Y(NVAR)
  !  ~~~> Output variables
    REAL(kind=dp) :: Jcb(LU_NONZERO)
  !  ~~~> Local variables
    REAL(kind=dp) :: Told

    Told = TIME
    TIME = T
  !      CALL Update_SUN()
  !      CALL Update_RCONST()
    CALL Jac_SP( Y, FIX, RCONST, Jcb)
    TIME = Told

    Njac = Njac+ 1

END SUBROUTINE JacTemplate
 
  SUBROUTINE Update_SUN()
       ! USE messy_mecca_kpp_Parameters
       ! USE messy_mecca_kpp_Global


    REAL(kind=dp) :: SunRise, SunSet
    REAL(kind=dp) :: Thour, Tlocal, Ttmp 
     !  PI -  Value of pi
    REAL(kind=dp), PARAMETER :: PI = 3.14159265358979d0
    
    SunRise = 4.5_dp 
    SunSet  = 19.5_dp 
    Thour = TIME/3600.0_dp 
    Tlocal = Thour -  (INT(Thour)/24)*24

    IF ((Tlocal>=SunRise).AND.(Tlocal<=SunSet))THEN
       Ttmp = (2.0*Tlocal- SunRise-SunSet)/(SunSet- SunRise)
       IF (Ttmp.GT.0) THEN
          Ttmp =  Ttmp*Ttmp
       ELSE
          Ttmp = - Ttmp*Ttmp
       END IF
       SUN =(1.0_dp +  COS(PI*Ttmp))/2.0_dp 
    ELSE
       SUN = 0.0_dp 
    END IF

 END SUBROUTINE Update_SUN
 
 
  SUBROUTINE KppDecomp( JVS,IER)                                     
  ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
  !        Sparse LU factorization                                    
  ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
  ! Loop expansion generated by kp4                                   
                                                                      
    INTEGER  :: IER                                                   
    REAL(kind=dp):: JVS(LU_NONZERO),W(NVAR),a             
    INTEGER  :: k,kk,j,jj                                          
                                                                      
    a = 0.                                                            
    IER = 0                                                           
                                                                      
!   k = 1     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (1 0)
!   k = 2     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (2 1)
!   k = 3     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (5 4)
!   k = 4     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (9 8)
!   k = 5     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (13 12)
!   k = 6     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (16 15)
!   k = 7     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (19 18)
!   k = 8     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (25 24)
!   k = 9     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (28 27)
!   k = 10
    W(1)= JVS(33)
    W(10)= JVS(34)
    a = - W(1)/ JVS(1)
    W(1)= -a
    JVS(33)= W(1)
    JVS(34)= W(10)
!   k = 11
    W(1)= JVS(35)
    W(11)= JVS(36)
    a = - W(1)/ JVS(1)
    W(1)= -a
    JVS(35)= W(1)
    JVS(36)= W(11)
!   k = 12     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (37 36)
!   k = 13     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (41 40)
!   k = 14     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (44 43)
!   k = 15     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (47 46)
!   k = 16     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (49 48)
!   k = 17     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (52 51)
!   k = 18
    W(1)= JVS(55)
    W(18)= JVS(56)
    W(42)= JVS(57)
    W(45)= JVS(58)
    W(48)= JVS(59)
    W(54)= JVS(60)
    W(61)= JVS(61)
    W(65)= JVS(62)
    W(66)= JVS(63)
    W(67)= JVS(64)
    W(70)= JVS(65)
    W(71)= JVS(66)
    W(72)= JVS(67)
    W(73)= JVS(68)
    a = - W(1)/ JVS(1)
    W(1)= -a
    JVS(55)= W(1)
    JVS(56)= W(18)
    JVS(57)= W(42)
    JVS(58)= W(45)
    JVS(59)= W(48)
    JVS(60)= W(54)
    JVS(61)= W(61)
    JVS(62)= W(65)
    JVS(63)= W(66)
    JVS(64)= W(67)
    JVS(65)= W(70)
    JVS(66)= W(71)
    JVS(67)= W(72)
    JVS(68)= W(73)
!   k = 19     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (69 68)
!   k = 20     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (74 73)
!   k = 21     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (79 78)
!   k = 22     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (83 82)
!   k = 23     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (87 86)
!   k = 24     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (90 89)
!   k = 25     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (93 92)
!   k = 26     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (96 95)
!   k = 27     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (99 98)
!   k = 28     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (104 103)
!   k = 29     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (111 110)
!   k = 30     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (113 112)
!   k = 31     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (115 114)
!   k = 32     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (117 116)
!   k = 33     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (120 119)
!   k = 34     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (122 121)
!   k = 35     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (124 123)
!   k = 36     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (126 125)
!   k = 37     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (128 127)
!   k = 38     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (130 129)
!   k = 39     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (132 131)
!   k = 40     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (136 135)
!   k = 41     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (138 137)
!   k = 42     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (140 139)
!   k = 43     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (142 141)
!   k = 44     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (144 143)
!   k = 45     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (146 145)
!   k = 46     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (150 149)
!   k = 47     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (153 152)
!   k = 48
    W(30)= JVS(156)
    W(33)= JVS(157)
    W(34)= JVS(158)
    W(35)= JVS(159)
    W(36)= JVS(160)
    W(37)= JVS(161)
    W(38)= JVS(162)
    W(40)= JVS(163)
    W(41)= JVS(164)
    W(42)= JVS(165)
    W(48)= JVS(166)
    W(53)= JVS(167)
    W(58)= JVS(168)
    W(59)= JVS(169)
    W(66)= JVS(170)
    W(72)= JVS(171)
    a = - W(30)/ JVS(113)
    W(30)= -a
      W(48)= W(48)+ a *JVS(114)
    a = - W(33)/ JVS(120)
    W(33)= -a
      W(66)= W(66)+ a *JVS(121)
    a = - W(34)/ JVS(122)
    W(34)= -a
      W(66)= W(66)+ a *JVS(123)
    a = - W(35)/ JVS(124)
    W(35)= -a
      W(66)= W(66)+ a *JVS(125)
    a = - W(36)/ JVS(126)
    W(36)= -a
      W(66)= W(66)+ a *JVS(127)
    a = - W(37)/ JVS(128)
    W(37)= -a
      W(66)= W(66)+ a *JVS(129)
    a = - W(38)/ JVS(130)
    W(38)= -a
      W(66)= W(66)+ a *JVS(131)
    a = - W(40)/ JVS(136)
    W(40)= -a
      W(66)= W(66)+ a *JVS(137)
    a = - W(41)/ JVS(138)
    W(41)= -a
      W(66)= W(66)+ a *JVS(139)
    a = - W(42)/ JVS(140)
    W(42)= -a
      W(48)= W(48)+ a *JVS(141)
    JVS(156)= W(30)
    JVS(157)= W(33)
    JVS(158)= W(34)
    JVS(159)= W(35)
    JVS(160)= W(36)
    JVS(161)= W(37)
    JVS(162)= W(38)
    JVS(163)= W(40)
    JVS(164)= W(41)
    JVS(165)= W(42)
    JVS(166)= W(48)
    JVS(167)= W(53)
    JVS(168)= W(58)
    JVS(169)= W(59)
    JVS(170)= W(66)
    JVS(171)= W(72)
!   k = 49     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (172 171)
!   k = 50     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (175 174)
!   k = 51     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (178 177)
!   k = 52     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (182 181)
!   k = 53     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (185 184)
!   k = 54     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (189 188)
!   k = 55     Nothing to do    LU_CROW[k] > LU_DIAG[k]-1   (195 194)
!   k = 56
    W(49)= JVS(201)
    W(56)= JVS(202)
    W(62)= JVS(203)
    W(64)= JVS(204)
    W(70)= JVS(205)
    W(73)= JVS(206)
    a = - W(49)/ JVS(172)
    W(49)= -a
      W(70)= W(70)+ a *JVS(173)
      W(73)= W(73)+ a *JVS(174)
    JVS(201)= W(49)
    JVS(202)= W(56)
    JVS(203)= W(62)
    JVS(204)= W(64)
    JVS(205)= W(70)
    JVS(206)= W(73)
!   k = 57
    W(55)= JVS(207)
    W(57)= JVS(208)
    W(60)= JVS(209)
    W(64)= JVS(210)
    W(68)= JVS(211)
    W(69)= JVS(212)
    W(70)= JVS(213)
    W(73)= JVS(214)
    a = - W(55)/ JVS(195)
    W(55)= -a
      W(57)= W(57)+ a *JVS(196)
      W(64)= W(64)+ a *JVS(197)
      W(68)= W(68)+ a *JVS(198)
      W(69)= W(69)+ a *JVS(199)
      W(70)= W(70)+ a *JVS(200)
    JVS(207)= W(55)
    JVS(208)= W(57)
    JVS(209)= W(60)
    JVS(210)= W(64)
    JVS(211)= W(68)
    JVS(212)= W(69)
    JVS(213)= W(70)
    JVS(214)= W(73)
!   k = 58
    W(46)= JVS(215)
    W(47)= JVS(216)
    W(50)= JVS(217)
    W(52)= JVS(218)
    W(58)= JVS(219)
    W(63)= JVS(220)
    W(65)= JVS(221)
    W(66)= JVS(222)
    W(68)= JVS(223)
    W(69)= JVS(224)
    W(72)= JVS(225)
    a = - W(46)/ JVS(150)
    W(46)= -a
      W(68)= W(68)+ a *JVS(151)
      W(69)= W(69)+ a *JVS(152)
    a = - W(47)/ JVS(153)
    W(47)= -a
      W(68)= W(68)+ a *JVS(154)
      W(69)= W(69)+ a *JVS(155)
    a = - W(50)/ JVS(175)
    W(50)= -a
      W(68)= W(68)+ a *JVS(176)
      W(69)= W(69)+ a *JVS(177)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    JVS(215)= W(46)
    JVS(216)= W(47)
    JVS(217)= W(50)
    JVS(218)= W(52)
    JVS(219)= W(58)
    JVS(220)= W(63)
    JVS(221)= W(65)
    JVS(222)= W(66)
    JVS(223)= W(68)
    JVS(224)= W(69)
    JVS(225)= W(72)
!   k = 59
    W(43)= JVS(226)
    W(44)= JVS(227)
    W(46)= JVS(228)
    W(47)= JVS(229)
    W(50)= JVS(230)
    W(52)= JVS(231)
    W(53)= JVS(232)
    W(59)= JVS(233)
    W(63)= JVS(234)
    W(65)= JVS(235)
    W(66)= JVS(236)
    W(68)= JVS(237)
    W(69)= JVS(238)
    W(72)= JVS(239)
    a = - W(43)/ JVS(142)
    W(43)= -a
      W(68)= W(68)+ a *JVS(143)
    a = - W(44)/ JVS(144)
    W(44)= -a
      W(68)= W(68)+ a *JVS(145)
    a = - W(46)/ JVS(150)
    W(46)= -a
      W(68)= W(68)+ a *JVS(151)
      W(69)= W(69)+ a *JVS(152)
    a = - W(47)/ JVS(153)
    W(47)= -a
      W(68)= W(68)+ a *JVS(154)
      W(69)= W(69)+ a *JVS(155)
    a = - W(50)/ JVS(175)
    W(50)= -a
      W(68)= W(68)+ a *JVS(176)
      W(69)= W(69)+ a *JVS(177)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    a = - W(53)/ JVS(185)
    W(53)= -a
      W(66)= W(66)+ a *JVS(186)
      W(68)= W(68)+ a *JVS(187)
      W(72)= W(72)+ a *JVS(188)
    JVS(226)= W(43)
    JVS(227)= W(44)
    JVS(228)= W(46)
    JVS(229)= W(47)
    JVS(230)= W(50)
    JVS(231)= W(52)
    JVS(232)= W(53)
    JVS(233)= W(59)
    JVS(234)= W(63)
    JVS(235)= W(65)
    JVS(236)= W(66)
    JVS(237)= W(68)
    JVS(238)= W(69)
    JVS(239)= W(72)
!   k = 60
    W(57)= JVS(240)
    W(60)= JVS(241)
    W(62)= JVS(242)
    W(64)= JVS(243)
    W(66)= JVS(244)
    W(68)= JVS(245)
    W(69)= JVS(246)
    W(70)= JVS(247)
    W(73)= JVS(248)
    a = - W(57)/ JVS(208)
    W(57)= -a
      W(60)= W(60)+ a *JVS(209)
      W(64)= W(64)+ a *JVS(210)
      W(68)= W(68)+ a *JVS(211)
      W(69)= W(69)+ a *JVS(212)
      W(70)= W(70)+ a *JVS(213)
      W(73)= W(73)+ a *JVS(214)
    JVS(240)= W(57)
    JVS(241)= W(60)
    JVS(242)= W(62)
    JVS(243)= W(64)
    JVS(244)= W(66)
    JVS(245)= W(68)
    JVS(246)= W(69)
    JVS(247)= W(70)
    JVS(248)= W(73)
!   k = 61
    W(54)= JVS(249)
    W(61)= JVS(250)
    W(62)= JVS(251)
    W(64)= JVS(252)
    W(65)= JVS(253)
    W(66)= JVS(254)
    W(67)= JVS(255)
    W(68)= JVS(256)
    W(69)= JVS(257)
    a = - W(54)/ JVS(189)
    W(54)= -a
      W(62)= W(62)+ a *JVS(190)
      W(64)= W(64)+ a *JVS(191)
      W(65)= W(65)+ a *JVS(192)
      W(68)= W(68)+ a *JVS(193)
      W(69)= W(69)+ a *JVS(194)
    JVS(249)= W(54)
    JVS(250)= W(61)
    JVS(251)= W(62)
    JVS(252)= W(64)
    JVS(253)= W(65)
    JVS(254)= W(66)
    JVS(255)= W(67)
    JVS(256)= W(68)
    JVS(257)= W(69)
!   k = 62
    W(56)= JVS(258)
    W(62)= JVS(259)
    W(64)= JVS(260)
    W(69)= JVS(261)
    W(70)= JVS(262)
    W(73)= JVS(263)
    a = - W(56)/ JVS(202)
    W(56)= -a
      W(62)= W(62)+ a *JVS(203)
      W(64)= W(64)+ a *JVS(204)
      W(70)= W(70)+ a *JVS(205)
      W(73)= W(73)+ a *JVS(206)
    JVS(258)= W(56)
    JVS(259)= W(62)
    JVS(260)= W(64)
    JVS(261)= W(69)
    JVS(262)= W(70)
    JVS(263)= W(73)
!   k = 63
    W(51)= JVS(264)
    W(52)= JVS(265)
    W(54)= JVS(266)
    W(62)= JVS(267)
    W(63)= JVS(268)
    W(64)= JVS(269)
    W(65)= JVS(270)
    W(66)= JVS(271)
    W(68)= JVS(272)
    W(69)= JVS(273)
    W(70)= JVS(274)
    W(71)= JVS(275)
    W(73)= JVS(276)
    a = - W(51)/ JVS(178)
    W(51)= -a
      W(65)= W(65)+ a *JVS(179)
      W(66)= W(66)+ a *JVS(180)
      W(73)= W(73)+ a *JVS(181)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    a = - W(54)/ JVS(189)
    W(54)= -a
      W(62)= W(62)+ a *JVS(190)
      W(64)= W(64)+ a *JVS(191)
      W(65)= W(65)+ a *JVS(192)
      W(68)= W(68)+ a *JVS(193)
      W(69)= W(69)+ a *JVS(194)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    JVS(264)= W(51)
    JVS(265)= W(52)
    JVS(266)= W(54)
    JVS(267)= W(62)
    JVS(268)= W(63)
    JVS(269)= W(64)
    JVS(270)= W(65)
    JVS(271)= W(66)
    JVS(272)= W(68)
    JVS(273)= W(69)
    JVS(274)= W(70)
    JVS(275)= W(71)
    JVS(276)= W(73)
!   k = 64
    W(56)= JVS(277)
    W(62)= JVS(278)
    W(64)= JVS(279)
    W(68)= JVS(280)
    W(69)= JVS(281)
    W(70)= JVS(282)
    W(73)= JVS(283)
    a = - W(56)/ JVS(202)
    W(56)= -a
      W(62)= W(62)+ a *JVS(203)
      W(64)= W(64)+ a *JVS(204)
      W(70)= W(70)+ a *JVS(205)
      W(73)= W(73)+ a *JVS(206)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    JVS(277)= W(56)
    JVS(278)= W(62)
    JVS(279)= W(64)
    JVS(280)= W(68)
    JVS(281)= W(69)
    JVS(282)= W(70)
    JVS(283)= W(73)
!   k = 65
    W(54)= JVS(284)
    W(62)= JVS(285)
    W(64)= JVS(286)
    W(65)= JVS(287)
    W(66)= JVS(288)
    W(68)= JVS(289)
    W(69)= JVS(290)
    W(70)= JVS(291)
    W(73)= JVS(292)
    a = - W(54)/ JVS(189)
    W(54)= -a
      W(62)= W(62)+ a *JVS(190)
      W(64)= W(64)+ a *JVS(191)
      W(65)= W(65)+ a *JVS(192)
      W(68)= W(68)+ a *JVS(193)
      W(69)= W(69)+ a *JVS(194)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    JVS(284)= W(54)
    JVS(285)= W(62)
    JVS(286)= W(64)
    JVS(287)= W(65)
    JVS(288)= W(66)
    JVS(289)= W(68)
    JVS(290)= W(69)
    JVS(291)= W(70)
    JVS(292)= W(73)
!   k = 66
    W(33)= JVS(293)
    W(34)= JVS(294)
    W(35)= JVS(295)
    W(36)= JVS(296)
    W(37)= JVS(297)
    W(38)= JVS(298)
    W(40)= JVS(299)
    W(41)= JVS(300)
    W(42)= JVS(301)
    W(45)= JVS(302)
    W(48)= JVS(303)
    W(51)= JVS(304)
    W(52)= JVS(305)
    W(53)= JVS(306)
    W(58)= JVS(307)
    W(59)= JVS(308)
    W(60)= JVS(309)
    W(61)= JVS(310)
    W(62)= JVS(311)
    W(63)= JVS(312)
    W(64)= JVS(313)
    W(65)= JVS(314)
    W(66)= JVS(315)
    W(67)= JVS(316)
    W(68)= JVS(317)
    W(69)= JVS(318)
    W(70)= JVS(319)
    W(71)= JVS(320)
    W(72)= JVS(321)
    W(73)= JVS(322)
    a = - W(33)/ JVS(120)
    W(33)= -a
      W(66)= W(66)+ a *JVS(121)
    a = - W(34)/ JVS(122)
    W(34)= -a
      W(66)= W(66)+ a *JVS(123)
    a = - W(35)/ JVS(124)
    W(35)= -a
      W(66)= W(66)+ a *JVS(125)
    a = - W(36)/ JVS(126)
    W(36)= -a
      W(66)= W(66)+ a *JVS(127)
    a = - W(37)/ JVS(128)
    W(37)= -a
      W(66)= W(66)+ a *JVS(129)
    a = - W(38)/ JVS(130)
    W(38)= -a
      W(66)= W(66)+ a *JVS(131)
    a = - W(40)/ JVS(136)
    W(40)= -a
      W(66)= W(66)+ a *JVS(137)
    a = - W(41)/ JVS(138)
    W(41)= -a
      W(66)= W(66)+ a *JVS(139)
    a = - W(42)/ JVS(140)
    W(42)= -a
      W(48)= W(48)+ a *JVS(141)
    a = - W(45)/ JVS(146)
    W(45)= -a
      W(51)= W(51)+ a *JVS(147)
      W(61)= W(61)+ a *JVS(148)
      W(66)= W(66)+ a *JVS(149)
    a = - W(48)/ JVS(166)
    W(48)= -a
      W(53)= W(53)+ a *JVS(167)
      W(58)= W(58)+ a *JVS(168)
      W(59)= W(59)+ a *JVS(169)
      W(66)= W(66)+ a *JVS(170)
      W(72)= W(72)+ a *JVS(171)
    a = - W(51)/ JVS(178)
    W(51)= -a
      W(65)= W(65)+ a *JVS(179)
      W(66)= W(66)+ a *JVS(180)
      W(73)= W(73)+ a *JVS(181)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    a = - W(53)/ JVS(185)
    W(53)= -a
      W(66)= W(66)+ a *JVS(186)
      W(68)= W(68)+ a *JVS(187)
      W(72)= W(72)+ a *JVS(188)
    a = - W(58)/ JVS(219)
    W(58)= -a
      W(63)= W(63)+ a *JVS(220)
      W(65)= W(65)+ a *JVS(221)
      W(66)= W(66)+ a *JVS(222)
      W(68)= W(68)+ a *JVS(223)
      W(69)= W(69)+ a *JVS(224)
      W(72)= W(72)+ a *JVS(225)
    a = - W(59)/ JVS(233)
    W(59)= -a
      W(63)= W(63)+ a *JVS(234)
      W(65)= W(65)+ a *JVS(235)
      W(66)= W(66)+ a *JVS(236)
      W(68)= W(68)+ a *JVS(237)
      W(69)= W(69)+ a *JVS(238)
      W(72)= W(72)+ a *JVS(239)
    a = - W(60)/ JVS(241)
    W(60)= -a
      W(62)= W(62)+ a *JVS(242)
      W(64)= W(64)+ a *JVS(243)
      W(66)= W(66)+ a *JVS(244)
      W(68)= W(68)+ a *JVS(245)
      W(69)= W(69)+ a *JVS(246)
      W(70)= W(70)+ a *JVS(247)
      W(73)= W(73)+ a *JVS(248)
    a = - W(61)/ JVS(250)
    W(61)= -a
      W(62)= W(62)+ a *JVS(251)
      W(64)= W(64)+ a *JVS(252)
      W(65)= W(65)+ a *JVS(253)
      W(66)= W(66)+ a *JVS(254)
      W(67)= W(67)+ a *JVS(255)
      W(68)= W(68)+ a *JVS(256)
      W(69)= W(69)+ a *JVS(257)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(63)/ JVS(268)
    W(63)= -a
      W(64)= W(64)+ a *JVS(269)
      W(65)= W(65)+ a *JVS(270)
      W(66)= W(66)+ a *JVS(271)
      W(68)= W(68)+ a *JVS(272)
      W(69)= W(69)+ a *JVS(273)
      W(70)= W(70)+ a *JVS(274)
      W(71)= W(71)+ a *JVS(275)
      W(73)= W(73)+ a *JVS(276)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    JVS(293)= W(33)
    JVS(294)= W(34)
    JVS(295)= W(35)
    JVS(296)= W(36)
    JVS(297)= W(37)
    JVS(298)= W(38)
    JVS(299)= W(40)
    JVS(300)= W(41)
    JVS(301)= W(42)
    JVS(302)= W(45)
    JVS(303)= W(48)
    JVS(304)= W(51)
    JVS(305)= W(52)
    JVS(306)= W(53)
    JVS(307)= W(58)
    JVS(308)= W(59)
    JVS(309)= W(60)
    JVS(310)= W(61)
    JVS(311)= W(62)
    JVS(312)= W(63)
    JVS(313)= W(64)
    JVS(314)= W(65)
    JVS(315)= W(66)
    JVS(316)= W(67)
    JVS(317)= W(68)
    JVS(318)= W(69)
    JVS(319)= W(70)
    JVS(320)= W(71)
    JVS(321)= W(72)
    JVS(322)= W(73)
!   k = 67
    W(29)= JVS(323)
    W(42)= JVS(324)
    W(48)= JVS(325)
    W(53)= JVS(326)
    W(58)= JVS(327)
    W(59)= JVS(328)
    W(61)= JVS(329)
    W(62)= JVS(330)
    W(63)= JVS(331)
    W(64)= JVS(332)
    W(65)= JVS(333)
    W(66)= JVS(334)
    W(67)= JVS(335)
    W(68)= JVS(336)
    W(69)= JVS(337)
    W(70)= JVS(338)
    W(71)= JVS(339)
    W(72)= JVS(340)
    W(73)= JVS(341)
    a = - W(29)/ JVS(111)
    W(29)= -a
      W(42)= W(42)+ a *JVS(112)
    a = - W(42)/ JVS(140)
    W(42)= -a
      W(48)= W(48)+ a *JVS(141)
    a = - W(48)/ JVS(166)
    W(48)= -a
      W(53)= W(53)+ a *JVS(167)
      W(58)= W(58)+ a *JVS(168)
      W(59)= W(59)+ a *JVS(169)
      W(66)= W(66)+ a *JVS(170)
      W(72)= W(72)+ a *JVS(171)
    a = - W(53)/ JVS(185)
    W(53)= -a
      W(66)= W(66)+ a *JVS(186)
      W(68)= W(68)+ a *JVS(187)
      W(72)= W(72)+ a *JVS(188)
    a = - W(58)/ JVS(219)
    W(58)= -a
      W(63)= W(63)+ a *JVS(220)
      W(65)= W(65)+ a *JVS(221)
      W(66)= W(66)+ a *JVS(222)
      W(68)= W(68)+ a *JVS(223)
      W(69)= W(69)+ a *JVS(224)
      W(72)= W(72)+ a *JVS(225)
    a = - W(59)/ JVS(233)
    W(59)= -a
      W(63)= W(63)+ a *JVS(234)
      W(65)= W(65)+ a *JVS(235)
      W(66)= W(66)+ a *JVS(236)
      W(68)= W(68)+ a *JVS(237)
      W(69)= W(69)+ a *JVS(238)
      W(72)= W(72)+ a *JVS(239)
    a = - W(61)/ JVS(250)
    W(61)= -a
      W(62)= W(62)+ a *JVS(251)
      W(64)= W(64)+ a *JVS(252)
      W(65)= W(65)+ a *JVS(253)
      W(66)= W(66)+ a *JVS(254)
      W(67)= W(67)+ a *JVS(255)
      W(68)= W(68)+ a *JVS(256)
      W(69)= W(69)+ a *JVS(257)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(63)/ JVS(268)
    W(63)= -a
      W(64)= W(64)+ a *JVS(269)
      W(65)= W(65)+ a *JVS(270)
      W(66)= W(66)+ a *JVS(271)
      W(68)= W(68)+ a *JVS(272)
      W(69)= W(69)+ a *JVS(273)
      W(70)= W(70)+ a *JVS(274)
      W(71)= W(71)+ a *JVS(275)
      W(73)= W(73)+ a *JVS(276)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    a = - W(66)/ JVS(315)
    W(66)= -a
      W(67)= W(67)+ a *JVS(316)
      W(68)= W(68)+ a *JVS(317)
      W(69)= W(69)+ a *JVS(318)
      W(70)= W(70)+ a *JVS(319)
      W(71)= W(71)+ a *JVS(320)
      W(72)= W(72)+ a *JVS(321)
      W(73)= W(73)+ a *JVS(322)
    JVS(323)= W(29)
    JVS(324)= W(42)
    JVS(325)= W(48)
    JVS(326)= W(53)
    JVS(327)= W(58)
    JVS(328)= W(59)
    JVS(329)= W(61)
    JVS(330)= W(62)
    JVS(331)= W(63)
    JVS(332)= W(64)
    JVS(333)= W(65)
    JVS(334)= W(66)
    JVS(335)= W(67)
    JVS(336)= W(68)
    JVS(337)= W(69)
    JVS(338)= W(70)
    JVS(339)= W(71)
    JVS(340)= W(72)
    JVS(341)= W(73)
!   k = 68
    W(40)= JVS(342)
    W(43)= JVS(343)
    W(44)= JVS(344)
    W(46)= JVS(345)
    W(47)= JVS(346)
    W(49)= JVS(347)
    W(50)= JVS(348)
    W(52)= JVS(349)
    W(53)= JVS(350)
    W(55)= JVS(351)
    W(57)= JVS(352)
    W(59)= JVS(353)
    W(60)= JVS(354)
    W(62)= JVS(355)
    W(63)= JVS(356)
    W(64)= JVS(357)
    W(65)= JVS(358)
    W(66)= JVS(359)
    W(67)= JVS(360)
    W(68)= JVS(361)
    W(69)= JVS(362)
    W(70)= JVS(363)
    W(71)= JVS(364)
    W(72)= JVS(365)
    W(73)= JVS(366)
    a = - W(40)/ JVS(136)
    W(40)= -a
      W(66)= W(66)+ a *JVS(137)
    a = - W(43)/ JVS(142)
    W(43)= -a
      W(68)= W(68)+ a *JVS(143)
    a = - W(44)/ JVS(144)
    W(44)= -a
      W(68)= W(68)+ a *JVS(145)
    a = - W(46)/ JVS(150)
    W(46)= -a
      W(68)= W(68)+ a *JVS(151)
      W(69)= W(69)+ a *JVS(152)
    a = - W(47)/ JVS(153)
    W(47)= -a
      W(68)= W(68)+ a *JVS(154)
      W(69)= W(69)+ a *JVS(155)
    a = - W(49)/ JVS(172)
    W(49)= -a
      W(70)= W(70)+ a *JVS(173)
      W(73)= W(73)+ a *JVS(174)
    a = - W(50)/ JVS(175)
    W(50)= -a
      W(68)= W(68)+ a *JVS(176)
      W(69)= W(69)+ a *JVS(177)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    a = - W(53)/ JVS(185)
    W(53)= -a
      W(66)= W(66)+ a *JVS(186)
      W(68)= W(68)+ a *JVS(187)
      W(72)= W(72)+ a *JVS(188)
    a = - W(55)/ JVS(195)
    W(55)= -a
      W(57)= W(57)+ a *JVS(196)
      W(64)= W(64)+ a *JVS(197)
      W(68)= W(68)+ a *JVS(198)
      W(69)= W(69)+ a *JVS(199)
      W(70)= W(70)+ a *JVS(200)
    a = - W(57)/ JVS(208)
    W(57)= -a
      W(60)= W(60)+ a *JVS(209)
      W(64)= W(64)+ a *JVS(210)
      W(68)= W(68)+ a *JVS(211)
      W(69)= W(69)+ a *JVS(212)
      W(70)= W(70)+ a *JVS(213)
      W(73)= W(73)+ a *JVS(214)
    a = - W(59)/ JVS(233)
    W(59)= -a
      W(63)= W(63)+ a *JVS(234)
      W(65)= W(65)+ a *JVS(235)
      W(66)= W(66)+ a *JVS(236)
      W(68)= W(68)+ a *JVS(237)
      W(69)= W(69)+ a *JVS(238)
      W(72)= W(72)+ a *JVS(239)
    a = - W(60)/ JVS(241)
    W(60)= -a
      W(62)= W(62)+ a *JVS(242)
      W(64)= W(64)+ a *JVS(243)
      W(66)= W(66)+ a *JVS(244)
      W(68)= W(68)+ a *JVS(245)
      W(69)= W(69)+ a *JVS(246)
      W(70)= W(70)+ a *JVS(247)
      W(73)= W(73)+ a *JVS(248)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(63)/ JVS(268)
    W(63)= -a
      W(64)= W(64)+ a *JVS(269)
      W(65)= W(65)+ a *JVS(270)
      W(66)= W(66)+ a *JVS(271)
      W(68)= W(68)+ a *JVS(272)
      W(69)= W(69)+ a *JVS(273)
      W(70)= W(70)+ a *JVS(274)
      W(71)= W(71)+ a *JVS(275)
      W(73)= W(73)+ a *JVS(276)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    a = - W(66)/ JVS(315)
    W(66)= -a
      W(67)= W(67)+ a *JVS(316)
      W(68)= W(68)+ a *JVS(317)
      W(69)= W(69)+ a *JVS(318)
      W(70)= W(70)+ a *JVS(319)
      W(71)= W(71)+ a *JVS(320)
      W(72)= W(72)+ a *JVS(321)
      W(73)= W(73)+ a *JVS(322)
    a = - W(67)/ JVS(335)
    W(67)= -a
      W(68)= W(68)+ a *JVS(336)
      W(69)= W(69)+ a *JVS(337)
      W(70)= W(70)+ a *JVS(338)
      W(71)= W(71)+ a *JVS(339)
      W(72)= W(72)+ a *JVS(340)
      W(73)= W(73)+ a *JVS(341)
    JVS(342)= W(40)
    JVS(343)= W(43)
    JVS(344)= W(44)
    JVS(345)= W(46)
    JVS(346)= W(47)
    JVS(347)= W(49)
    JVS(348)= W(50)
    JVS(349)= W(52)
    JVS(350)= W(53)
    JVS(351)= W(55)
    JVS(352)= W(57)
    JVS(353)= W(59)
    JVS(354)= W(60)
    JVS(355)= W(62)
    JVS(356)= W(63)
    JVS(357)= W(64)
    JVS(358)= W(65)
    JVS(359)= W(66)
    JVS(360)= W(67)
    JVS(361)= W(68)
    JVS(362)= W(69)
    JVS(363)= W(70)
    JVS(364)= W(71)
    JVS(365)= W(72)
    JVS(366)= W(73)
!   k = 69
    W(33)= JVS(367)
    W(34)= JVS(368)
    W(35)= JVS(369)
    W(36)= JVS(370)
    W(37)= JVS(371)
    W(38)= JVS(372)
    W(46)= JVS(373)
    W(47)= JVS(374)
    W(49)= JVS(375)
    W(50)= JVS(376)
    W(52)= JVS(377)
    W(55)= JVS(378)
    W(57)= JVS(379)
    W(58)= JVS(380)
    W(60)= JVS(381)
    W(62)= JVS(382)
    W(63)= JVS(383)
    W(64)= JVS(384)
    W(65)= JVS(385)
    W(66)= JVS(386)
    W(67)= JVS(387)
    W(68)= JVS(388)
    W(69)= JVS(389)
    W(70)= JVS(390)
    W(71)= JVS(391)
    W(72)= JVS(392)
    W(73)= JVS(393)
    a = - W(33)/ JVS(120)
    W(33)= -a
      W(66)= W(66)+ a *JVS(121)
    a = - W(34)/ JVS(122)
    W(34)= -a
      W(66)= W(66)+ a *JVS(123)
    a = - W(35)/ JVS(124)
    W(35)= -a
      W(66)= W(66)+ a *JVS(125)
    a = - W(36)/ JVS(126)
    W(36)= -a
      W(66)= W(66)+ a *JVS(127)
    a = - W(37)/ JVS(128)
    W(37)= -a
      W(66)= W(66)+ a *JVS(129)
    a = - W(38)/ JVS(130)
    W(38)= -a
      W(66)= W(66)+ a *JVS(131)
    a = - W(46)/ JVS(150)
    W(46)= -a
      W(68)= W(68)+ a *JVS(151)
      W(69)= W(69)+ a *JVS(152)
    a = - W(47)/ JVS(153)
    W(47)= -a
      W(68)= W(68)+ a *JVS(154)
      W(69)= W(69)+ a *JVS(155)
    a = - W(49)/ JVS(172)
    W(49)= -a
      W(70)= W(70)+ a *JVS(173)
      W(73)= W(73)+ a *JVS(174)
    a = - W(50)/ JVS(175)
    W(50)= -a
      W(68)= W(68)+ a *JVS(176)
      W(69)= W(69)+ a *JVS(177)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    a = - W(55)/ JVS(195)
    W(55)= -a
      W(57)= W(57)+ a *JVS(196)
      W(64)= W(64)+ a *JVS(197)
      W(68)= W(68)+ a *JVS(198)
      W(69)= W(69)+ a *JVS(199)
      W(70)= W(70)+ a *JVS(200)
    a = - W(57)/ JVS(208)
    W(57)= -a
      W(60)= W(60)+ a *JVS(209)
      W(64)= W(64)+ a *JVS(210)
      W(68)= W(68)+ a *JVS(211)
      W(69)= W(69)+ a *JVS(212)
      W(70)= W(70)+ a *JVS(213)
      W(73)= W(73)+ a *JVS(214)
    a = - W(58)/ JVS(219)
    W(58)= -a
      W(63)= W(63)+ a *JVS(220)
      W(65)= W(65)+ a *JVS(221)
      W(66)= W(66)+ a *JVS(222)
      W(68)= W(68)+ a *JVS(223)
      W(69)= W(69)+ a *JVS(224)
      W(72)= W(72)+ a *JVS(225)
    a = - W(60)/ JVS(241)
    W(60)= -a
      W(62)= W(62)+ a *JVS(242)
      W(64)= W(64)+ a *JVS(243)
      W(66)= W(66)+ a *JVS(244)
      W(68)= W(68)+ a *JVS(245)
      W(69)= W(69)+ a *JVS(246)
      W(70)= W(70)+ a *JVS(247)
      W(73)= W(73)+ a *JVS(248)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(63)/ JVS(268)
    W(63)= -a
      W(64)= W(64)+ a *JVS(269)
      W(65)= W(65)+ a *JVS(270)
      W(66)= W(66)+ a *JVS(271)
      W(68)= W(68)+ a *JVS(272)
      W(69)= W(69)+ a *JVS(273)
      W(70)= W(70)+ a *JVS(274)
      W(71)= W(71)+ a *JVS(275)
      W(73)= W(73)+ a *JVS(276)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    a = - W(66)/ JVS(315)
    W(66)= -a
      W(67)= W(67)+ a *JVS(316)
      W(68)= W(68)+ a *JVS(317)
      W(69)= W(69)+ a *JVS(318)
      W(70)= W(70)+ a *JVS(319)
      W(71)= W(71)+ a *JVS(320)
      W(72)= W(72)+ a *JVS(321)
      W(73)= W(73)+ a *JVS(322)
    a = - W(67)/ JVS(335)
    W(67)= -a
      W(68)= W(68)+ a *JVS(336)
      W(69)= W(69)+ a *JVS(337)
      W(70)= W(70)+ a *JVS(338)
      W(71)= W(71)+ a *JVS(339)
      W(72)= W(72)+ a *JVS(340)
      W(73)= W(73)+ a *JVS(341)
    a = - W(68)/ JVS(361)
    W(68)= -a
      W(69)= W(69)+ a *JVS(362)
      W(70)= W(70)+ a *JVS(363)
      W(71)= W(71)+ a *JVS(364)
      W(72)= W(72)+ a *JVS(365)
      W(73)= W(73)+ a *JVS(366)
    JVS(367)= W(33)
    JVS(368)= W(34)
    JVS(369)= W(35)
    JVS(370)= W(36)
    JVS(371)= W(37)
    JVS(372)= W(38)
    JVS(373)= W(46)
    JVS(374)= W(47)
    JVS(375)= W(49)
    JVS(376)= W(50)
    JVS(377)= W(52)
    JVS(378)= W(55)
    JVS(379)= W(57)
    JVS(380)= W(58)
    JVS(381)= W(60)
    JVS(382)= W(62)
    JVS(383)= W(63)
    JVS(384)= W(64)
    JVS(385)= W(65)
    JVS(386)= W(66)
    JVS(387)= W(67)
    JVS(388)= W(68)
    JVS(389)= W(69)
    JVS(390)= W(70)
    JVS(391)= W(71)
    JVS(392)= W(72)
    JVS(393)= W(73)
!   k = 70
    W(31)= JVS(394)
    W(49)= JVS(395)
    W(56)= JVS(396)
    W(62)= JVS(397)
    W(64)= JVS(398)
    W(67)= JVS(399)
    W(68)= JVS(400)
    W(69)= JVS(401)
    W(70)= JVS(402)
    W(71)= JVS(403)
    W(72)= JVS(404)
    W(73)= JVS(405)
    a = - W(31)/ JVS(115)
    W(31)= -a
      W(70)= W(70)+ a *JVS(116)
    a = - W(49)/ JVS(172)
    W(49)= -a
      W(70)= W(70)+ a *JVS(173)
      W(73)= W(73)+ a *JVS(174)
    a = - W(56)/ JVS(202)
    W(56)= -a
      W(62)= W(62)+ a *JVS(203)
      W(64)= W(64)+ a *JVS(204)
      W(70)= W(70)+ a *JVS(205)
      W(73)= W(73)+ a *JVS(206)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(67)/ JVS(335)
    W(67)= -a
      W(68)= W(68)+ a *JVS(336)
      W(69)= W(69)+ a *JVS(337)
      W(70)= W(70)+ a *JVS(338)
      W(71)= W(71)+ a *JVS(339)
      W(72)= W(72)+ a *JVS(340)
      W(73)= W(73)+ a *JVS(341)
    a = - W(68)/ JVS(361)
    W(68)= -a
      W(69)= W(69)+ a *JVS(362)
      W(70)= W(70)+ a *JVS(363)
      W(71)= W(71)+ a *JVS(364)
      W(72)= W(72)+ a *JVS(365)
      W(73)= W(73)+ a *JVS(366)
    a = - W(69)/ JVS(389)
    W(69)= -a
      W(70)= W(70)+ a *JVS(390)
      W(71)= W(71)+ a *JVS(391)
      W(72)= W(72)+ a *JVS(392)
      W(73)= W(73)+ a *JVS(393)
    JVS(394)= W(31)
    JVS(395)= W(49)
    JVS(396)= W(56)
    JVS(397)= W(62)
    JVS(398)= W(64)
    JVS(399)= W(67)
    JVS(400)= W(68)
    JVS(401)= W(69)
    JVS(402)= W(70)
    JVS(403)= W(71)
    JVS(404)= W(72)
    JVS(405)= W(73)
!   k = 71
    W(43)= JVS(406)
    W(44)= JVS(407)
    W(50)= JVS(408)
    W(51)= JVS(409)
    W(52)= JVS(410)
    W(61)= JVS(411)
    W(62)= JVS(412)
    W(64)= JVS(413)
    W(65)= JVS(414)
    W(66)= JVS(415)
    W(67)= JVS(416)
    W(68)= JVS(417)
    W(69)= JVS(418)
    W(70)= JVS(419)
    W(71)= JVS(420)
    W(72)= JVS(421)
    W(73)= JVS(422)
    a = - W(43)/ JVS(142)
    W(43)= -a
      W(68)= W(68)+ a *JVS(143)
    a = - W(44)/ JVS(144)
    W(44)= -a
      W(68)= W(68)+ a *JVS(145)
    a = - W(50)/ JVS(175)
    W(50)= -a
      W(68)= W(68)+ a *JVS(176)
      W(69)= W(69)+ a *JVS(177)
    a = - W(51)/ JVS(178)
    W(51)= -a
      W(65)= W(65)+ a *JVS(179)
      W(66)= W(66)+ a *JVS(180)
      W(73)= W(73)+ a *JVS(181)
    a = - W(52)/ JVS(182)
    W(52)= -a
      W(68)= W(68)+ a *JVS(183)
      W(69)= W(69)+ a *JVS(184)
    a = - W(61)/ JVS(250)
    W(61)= -a
      W(62)= W(62)+ a *JVS(251)
      W(64)= W(64)+ a *JVS(252)
      W(65)= W(65)+ a *JVS(253)
      W(66)= W(66)+ a *JVS(254)
      W(67)= W(67)+ a *JVS(255)
      W(68)= W(68)+ a *JVS(256)
      W(69)= W(69)+ a *JVS(257)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    a = - W(66)/ JVS(315)
    W(66)= -a
      W(67)= W(67)+ a *JVS(316)
      W(68)= W(68)+ a *JVS(317)
      W(69)= W(69)+ a *JVS(318)
      W(70)= W(70)+ a *JVS(319)
      W(71)= W(71)+ a *JVS(320)
      W(72)= W(72)+ a *JVS(321)
      W(73)= W(73)+ a *JVS(322)
    a = - W(67)/ JVS(335)
    W(67)= -a
      W(68)= W(68)+ a *JVS(336)
      W(69)= W(69)+ a *JVS(337)
      W(70)= W(70)+ a *JVS(338)
      W(71)= W(71)+ a *JVS(339)
      W(72)= W(72)+ a *JVS(340)
      W(73)= W(73)+ a *JVS(341)
    a = - W(68)/ JVS(361)
    W(68)= -a
      W(69)= W(69)+ a *JVS(362)
      W(70)= W(70)+ a *JVS(363)
      W(71)= W(71)+ a *JVS(364)
      W(72)= W(72)+ a *JVS(365)
      W(73)= W(73)+ a *JVS(366)
    a = - W(69)/ JVS(389)
    W(69)= -a
      W(70)= W(70)+ a *JVS(390)
      W(71)= W(71)+ a *JVS(391)
      W(72)= W(72)+ a *JVS(392)
      W(73)= W(73)+ a *JVS(393)
    a = - W(70)/ JVS(402)
    W(70)= -a
      W(71)= W(71)+ a *JVS(403)
      W(72)= W(72)+ a *JVS(404)
      W(73)= W(73)+ a *JVS(405)
    JVS(406)= W(43)
    JVS(407)= W(44)
    JVS(408)= W(50)
    JVS(409)= W(51)
    JVS(410)= W(52)
    JVS(411)= W(61)
    JVS(412)= W(62)
    JVS(413)= W(64)
    JVS(414)= W(65)
    JVS(415)= W(66)
    JVS(416)= W(67)
    JVS(417)= W(68)
    JVS(418)= W(69)
    JVS(419)= W(70)
    JVS(420)= W(71)
    JVS(421)= W(72)
    JVS(422)= W(73)
!   k = 72
    W(32)= JVS(423)
    W(39)= JVS(424)
    W(41)= JVS(425)
    W(45)= JVS(426)
    W(51)= JVS(427)
    W(53)= JVS(428)
    W(61)= JVS(429)
    W(62)= JVS(430)
    W(63)= JVS(431)
    W(64)= JVS(432)
    W(65)= JVS(433)
    W(66)= JVS(434)
    W(67)= JVS(435)
    W(68)= JVS(436)
    W(69)= JVS(437)
    W(70)= JVS(438)
    W(71)= JVS(439)
    W(72)= JVS(440)
    W(73)= JVS(441)
    a = - W(32)/ JVS(117)
    W(32)= -a
      W(41)= W(41)+ a *JVS(118)
      W(66)= W(66)+ a *JVS(119)
    a = - W(39)/ JVS(132)
    W(39)= -a
      W(61)= W(61)+ a *JVS(133)
      W(67)= W(67)+ a *JVS(134)
      W(72)= W(72)+ a *JVS(135)
    a = - W(41)/ JVS(138)
    W(41)= -a
      W(66)= W(66)+ a *JVS(139)
    a = - W(45)/ JVS(146)
    W(45)= -a
      W(51)= W(51)+ a *JVS(147)
      W(61)= W(61)+ a *JVS(148)
      W(66)= W(66)+ a *JVS(149)
    a = - W(51)/ JVS(178)
    W(51)= -a
      W(65)= W(65)+ a *JVS(179)
      W(66)= W(66)+ a *JVS(180)
      W(73)= W(73)+ a *JVS(181)
    a = - W(53)/ JVS(185)
    W(53)= -a
      W(66)= W(66)+ a *JVS(186)
      W(68)= W(68)+ a *JVS(187)
      W(72)= W(72)+ a *JVS(188)
    a = - W(61)/ JVS(250)
    W(61)= -a
      W(62)= W(62)+ a *JVS(251)
      W(64)= W(64)+ a *JVS(252)
      W(65)= W(65)+ a *JVS(253)
      W(66)= W(66)+ a *JVS(254)
      W(67)= W(67)+ a *JVS(255)
      W(68)= W(68)+ a *JVS(256)
      W(69)= W(69)+ a *JVS(257)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(63)/ JVS(268)
    W(63)= -a
      W(64)= W(64)+ a *JVS(269)
      W(65)= W(65)+ a *JVS(270)
      W(66)= W(66)+ a *JVS(271)
      W(68)= W(68)+ a *JVS(272)
      W(69)= W(69)+ a *JVS(273)
      W(70)= W(70)+ a *JVS(274)
      W(71)= W(71)+ a *JVS(275)
      W(73)= W(73)+ a *JVS(276)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    a = - W(66)/ JVS(315)
    W(66)= -a
      W(67)= W(67)+ a *JVS(316)
      W(68)= W(68)+ a *JVS(317)
      W(69)= W(69)+ a *JVS(318)
      W(70)= W(70)+ a *JVS(319)
      W(71)= W(71)+ a *JVS(320)
      W(72)= W(72)+ a *JVS(321)
      W(73)= W(73)+ a *JVS(322)
    a = - W(67)/ JVS(335)
    W(67)= -a
      W(68)= W(68)+ a *JVS(336)
      W(69)= W(69)+ a *JVS(337)
      W(70)= W(70)+ a *JVS(338)
      W(71)= W(71)+ a *JVS(339)
      W(72)= W(72)+ a *JVS(340)
      W(73)= W(73)+ a *JVS(341)
    a = - W(68)/ JVS(361)
    W(68)= -a
      W(69)= W(69)+ a *JVS(362)
      W(70)= W(70)+ a *JVS(363)
      W(71)= W(71)+ a *JVS(364)
      W(72)= W(72)+ a *JVS(365)
      W(73)= W(73)+ a *JVS(366)
    a = - W(69)/ JVS(389)
    W(69)= -a
      W(70)= W(70)+ a *JVS(390)
      W(71)= W(71)+ a *JVS(391)
      W(72)= W(72)+ a *JVS(392)
      W(73)= W(73)+ a *JVS(393)
    a = - W(70)/ JVS(402)
    W(70)= -a
      W(71)= W(71)+ a *JVS(403)
      W(72)= W(72)+ a *JVS(404)
      W(73)= W(73)+ a *JVS(405)
    a = - W(71)/ JVS(420)
    W(71)= -a
      W(72)= W(72)+ a *JVS(421)
      W(73)= W(73)+ a *JVS(422)
    JVS(423)= W(32)
    JVS(424)= W(39)
    JVS(425)= W(41)
    JVS(426)= W(45)
    JVS(427)= W(51)
    JVS(428)= W(53)
    JVS(429)= W(61)
    JVS(430)= W(62)
    JVS(431)= W(63)
    JVS(432)= W(64)
    JVS(433)= W(65)
    JVS(434)= W(66)
    JVS(435)= W(67)
    JVS(436)= W(68)
    JVS(437)= W(69)
    JVS(438)= W(70)
    JVS(439)= W(71)
    JVS(440)= W(72)
    JVS(441)= W(73)
!   k = 73
    W(49)= JVS(442)
    W(56)= JVS(443)
    W(62)= JVS(444)
    W(64)= JVS(445)
    W(65)= JVS(446)
    W(66)= JVS(447)
    W(67)= JVS(448)
    W(68)= JVS(449)
    W(69)= JVS(450)
    W(70)= JVS(451)
    W(71)= JVS(452)
    W(72)= JVS(453)
    W(73)= JVS(454)
    a = - W(49)/ JVS(172)
    W(49)= -a
      W(70)= W(70)+ a *JVS(173)
      W(73)= W(73)+ a *JVS(174)
    a = - W(56)/ JVS(202)
    W(56)= -a
      W(62)= W(62)+ a *JVS(203)
      W(64)= W(64)+ a *JVS(204)
      W(70)= W(70)+ a *JVS(205)
      W(73)= W(73)+ a *JVS(206)
    a = - W(62)/ JVS(259)
    W(62)= -a
      W(64)= W(64)+ a *JVS(260)
      W(69)= W(69)+ a *JVS(261)
      W(70)= W(70)+ a *JVS(262)
      W(73)= W(73)+ a *JVS(263)
    a = - W(64)/ JVS(279)
    W(64)= -a
      W(68)= W(68)+ a *JVS(280)
      W(69)= W(69)+ a *JVS(281)
      W(70)= W(70)+ a *JVS(282)
      W(73)= W(73)+ a *JVS(283)
    a = - W(65)/ JVS(287)
    W(65)= -a
      W(66)= W(66)+ a *JVS(288)
      W(68)= W(68)+ a *JVS(289)
      W(69)= W(69)+ a *JVS(290)
      W(70)= W(70)+ a *JVS(291)
      W(73)= W(73)+ a *JVS(292)
    a = - W(66)/ JVS(315)
    W(66)= -a
      W(67)= W(67)+ a *JVS(316)
      W(68)= W(68)+ a *JVS(317)
      W(69)= W(69)+ a *JVS(318)
      W(70)= W(70)+ a *JVS(319)
      W(71)= W(71)+ a *JVS(320)
      W(72)= W(72)+ a *JVS(321)
      W(73)= W(73)+ a *JVS(322)
    a = - W(67)/ JVS(335)
    W(67)= -a
      W(68)= W(68)+ a *JVS(336)
      W(69)= W(69)+ a *JVS(337)
      W(70)= W(70)+ a *JVS(338)
      W(71)= W(71)+ a *JVS(339)
      W(72)= W(72)+ a *JVS(340)
      W(73)= W(73)+ a *JVS(341)
    a = - W(68)/ JVS(361)
    W(68)= -a
      W(69)= W(69)+ a *JVS(362)
      W(70)= W(70)+ a *JVS(363)
      W(71)= W(71)+ a *JVS(364)
      W(72)= W(72)+ a *JVS(365)
      W(73)= W(73)+ a *JVS(366)
    a = - W(69)/ JVS(389)
    W(69)= -a
      W(70)= W(70)+ a *JVS(390)
      W(71)= W(71)+ a *JVS(391)
      W(72)= W(72)+ a *JVS(392)
      W(73)= W(73)+ a *JVS(393)
    a = - W(70)/ JVS(402)
    W(70)= -a
      W(71)= W(71)+ a *JVS(403)
      W(72)= W(72)+ a *JVS(404)
      W(73)= W(73)+ a *JVS(405)
    a = - W(71)/ JVS(420)
    W(71)= -a
      W(72)= W(72)+ a *JVS(421)
      W(73)= W(73)+ a *JVS(422)
    a = - W(72)/ JVS(440)
    W(72)= -a
      W(73)= W(73)+ a *JVS(441)
    JVS(442)= W(49)
    JVS(443)= W(56)
    JVS(444)= W(62)
    JVS(445)= W(64)
    JVS(446)= W(65)
    JVS(447)= W(66)
    JVS(448)= W(67)
    JVS(449)= W(68)
    JVS(450)= W(69)
    JVS(451)= W(70)
    JVS(452)= W(71)
    JVS(453)= W(72)
    JVS(454)= W(73)
    return                                                            
                                                                      
  End SUBROUTINE KppDecomp                                            

SUBROUTINE kpp_integrate (time_step_len,Conc,ierrf,xNacc,xNrej,istatus,l_debug,PE) 
                                                                    
  IMPLICIT NONE                                                     
                                                                    
  REAL(dp),INTENT(IN)                   :: time_step_len           
  REAL(dp),INTENT(INOUT),dimension(VL_GLOBAL,NSPEC) :: Conc                    
  INTEGER, INTENT(OUT),OPTIONAL        :: ierrf                
  INTEGER, INTENT(OUT),OPTIONAL        :: xNacc(VL_GLOBAL)                
  INTEGER, INTENT(OUT),OPTIONAL        :: xNrej(VL_GLOBAL)                
  INTEGER, INTENT(INOUT),OPTIONAL      :: istatus(20)              
  INTEGER, INTENT(IN),OPTIONAL         :: PE                      
  LOGICAL, INTENT(IN),OPTIONAL         :: l_debug                 
  
  integer, save                        :: counter = 0  ! For debuging
  integer, save                        :: newcounter = 0  ! For debuging

                                                                    
  INTEGER                                :: k   ! loop variable     
  REAL(dp)                               :: dt                      
  REAL(dp)                               :: roundoff
  integer,dimension(:),allocatable      :: xNacc_u, xNrej_u, ierr_u2
  integer                                :: ierr_u                  
  integer                                :: i
  integer                                :: j
  integer                                :: istep
  integer,dimension(20)                  :: istatus_u               
  integer,dimension(5)                   :: sizes
                                                                    
  LOGICAL :: file_exists

  character(len=10) :: filename
  CHARACTER(LEN=3000) :: rowfmt
             



  sizes(1) = VL_glo
  sizes(2) = size(khet_st,2)
  sizes(3) = size(khet_tr,2)
  sizes(4) = size(jx,2)
  roundoff = WLAMCH('E')


  DO k=1,VL_glo,VL_DIM                                              
    is = k                                                          
    ie = min(k+VL_DIM-1,VL_glo)                                     
    vl = ie-is+1                                                    
                                                                    
    C(:) = Conc(is,:)                                             
                                                                    
    CALL update_rconst                                              
                                                                    
    dt = time_step_len                                              
                                                                    
    ! integrate from t=0 to t=dt                                    
    CALL integrate(0._dp,dt,icntrl,rcntrl,istatus_u = istatus_u,ierr_u=ierr_u)
                       
                                                                    
    Conc(is,:) = C(:)                                                 


  END DO  

! Deallocate input arrays                                           
      

                                                                    
  return                                                            
END SUBROUTINE kpp_integrate
 
 
SUBROUTINE kpp_integrate_init (VL, tmp, ress, air, j, khet, tol1, tol2, ctrl) 
                                                                    
  IMPLICIT NONE                                                     
                                                                    
  INTEGER, INTENT(IN)         :: VL
  INTEGER, INTENT(IN)         :: ctrl(20)
  REAL(dp), INTENT(IN)             :: TMP(VL_GLOBAL)
  REAL(dp), INTENT(IN)             :: RESS(VL_GLOBAL)
  REAL(dp), INTENT(IN)             :: AIR(VL_GLOBAL)
  REAL(dp), INTENT(IN)             :: j(VL_GLOBAL,NSPEC)
  REAL(dp), INTENT(IN)             :: khet(VL_GLOBAL,NSPEC)
  REAL(dp), INTENT(IN)             :: tol1(NVAR)
  REAL(dp), INTENT(IN)             :: tol2(NVAR)

  VL_glo = VL
  TEMP = tmp
  PRESS = RESS
  CAIR = AIR
  jx = j
  khet_Tr = khet
  atol = tol1
  rtol = tol2
  icntrl = ctrl
  RCNTRL = 0
 

END SUBROUTINE kpp_integrate_init




end module messy_mecca_kpp
 
